/* A Bison parser, made by GNU Bison 2.7.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2012 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.7"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         VLparse
#define yylex           VLlex
#define yyerror         VLerror
#define yylval          VLlval
#define yychar          VLchar
#define yydebug         VLdebug
#define yynerrs         VLnerrs
#define yylloc          VLlloc

/* Copy the first part of user declarations.  */
/* Line 371 of yacc.c  */
#line 2 "./parser.y"

/*
 Copyright (c) 2006-2010 Trevor Williams

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by the Free Software
 Foundation; either version 2 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 See the GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along with this program;
 if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*!
 \file     parser.c
 \author   Trevor Williams  (phase1geo@gmail.com)
 \date     12/14/2001
*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdio.h>
#include <assert.h>
#include <stdlib.h>
#ifdef HAVE_STRING_H
#include <string.h>
#endif

#include "db.h"
#include "defines.h"
#include "expr.h"
#include "func_unit.h"
#include "gen_item.h"
#include "link.h"
#include "obfuscate.h"
#include "parser_misc.h"
#include "profiler.h"
#include "statement.h"
#include "static.h"
#include "stmt_blk.h"
#include "util.h"
#include "vector.h"
#include "vsignal.h"

extern char   user_msg[USER_MSG_LENGTH];
extern int    delay_expr_type;
extern int    stmt_conn_id;
extern int    gi_conn_id;
extern isuppl info_suppl;
extern char*  file_version;

/* Functions from lexer */
extern void lex_start_udp_table();
extern void lex_end_udp_table();

/*!
 If set to a value > 0, specifies that we are currently parsing code that should be ignored by
 Covered; otherwise, evaluate parsed code.
*/
int ignore_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing a parameter expression
*/
int param_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing an attribute
*/
int attr_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing the control block of a for loop.
*/
int for_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing a generate block
*/
int generate_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing the top-most level of structures in a generate block.
*/
int  generate_top_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing the body of a generate loop
*/
int  generate_for_mode = 0;

/*!
 If set to a value > 0, specifies that we are creating generate expressions
*/
int  generate_expr_mode = 0;

/*!
 Points to current generate variable name.
*/
char* generate_varname = NULL;

/*!
 Array storing the depth that a given fork block is at.
*/
int* fork_block_depth;

/*!
 Current fork depth position in the fork_block_depth array.
*/
int  fork_depth  = -1;

/*!
 Specifies the current block depth (for embedded blocks).
*/
int  block_depth = 0; 

/*!
 If set to TRUE, specifies that we are currently parsing syntax on the left-hand-side of an
 assignment.
*/
bool lhs_mode    = FALSE;

/*!
 Pointer to head of parameter override list.
*/
param_oride* param_oride_head = NULL;

/*!
 Pointer to tail of parameter override list.
*/
param_oride* param_oride_tail = NULL;

/*!
 Pointer to head of signal list
*/
sig_link* dummy_head    = NULL;

/*!
 Pointer to tail of signal list
*/
sig_link* dummy_tail    = NULL;

/*!
 Contains the last explicitly or implicitly defined packed range information.  This is needed because lists
 of signals/parameters can be made using a previously set range.
*/
sig_range curr_prange;

/*!
 Contains the last explicitly or implicitly defined unpacked range information.  This is needed because lists
 of signals/parameters can be made using a previously set range.
*/
sig_range curr_urange;

/*!
 Contains the last explicitly or implicitly defines signed indication.
*/
bool curr_signed = FALSE;

/*!
 Specifies if the current variable list is handled by Covered or not.
*/
bool curr_handled = TRUE;

/*!
 Specifies if current signal must be assigned or not (by Covered).
*/
bool curr_mba = FALSE;

/*!
 Specifies if current range should be flagged as packed or not.
*/
bool curr_packed = TRUE;

/*!
 Specifies the current signal/port type for a variable list.
*/
int curr_sig_type = SSUPPL_TYPE_DECL_NET;

/*!
 Pointer to head of stack structure that stores the contents of generate
 items that we want to refer to later.
*/
gitem_link* save_gi_head = NULL;

/*!
 Pointer to tail of stack structure that stores the contents of generate
 items that we want to refer to later.
*/
gitem_link* save_gi_tail = NULL;

/*!
 Macro to free a text variable type.  Sets the pointer to NULL so that the pointer is re-deallocated.
 x = pointer to the variable.
*/
#define FREE_TEXT(x)  free_safe( x, (strlen( x ) + 1) );  x = NULL;

#define YYERROR_VERBOSE 1

/* Uncomment these lines to turn debugging on */
/*
#define YYDEBUG 1
int yydebug = 1; 
*/

/* Recent version of bison expect that the user supply a
   YYLLOC_DEFAULT macro that makes up a yylloc value from existing
   values. I need to supply an explicit version to account for the
   text field, that otherwise won't be copied. */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC(Rhs, 1).first_line;         \
          (Current).first_column = YYRHSLOC(Rhs, 1).first_column;       \
          (Current).last_line    = YYRHSLOC(Rhs, N).last_line;          \
          (Current).last_column  = YYRHSLOC(Rhs, N).last_column;        \
          (Current).text         = YYRHSLOC(Rhs, 1).text;               \
          (Current).ppline       = YYRHSLOC(Rhs, 1).ppline;             \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC(Rhs, 0).last_line;                                 \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC(Rhs, 0).last_column;                               \
          (Current).text         = YYRHSLOC(Rhs, 0).text;               \
          (Current).ppline       = YYRHSLOC(Rhs, 0).ppline;             \
        }                                                               \
    while (0)


/* Line 371 of yacc.c  */
#line 316 "parser.c"

# ifndef YY_NULL
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULL nullptr
#  else
#   define YY_NULL 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "parser.h".  */
#ifndef YY_VL_PARSER_H_INCLUDED
# define YY_VL_PARSER_H_INCLUDED
/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int VLdebug;
#endif

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENTIFIER = 258,
     TYPEDEF_IDENTIFIER = 259,
     PATHPULSE_IDENTIFIER = 260,
     DEC_NUMBER = 261,
     BASE_NUMBER = 262,
     REALTIME = 263,
     STRING = 264,
     IGNORE = 265,
     K_LE = 266,
     K_GE = 267,
     K_EG = 268,
     K_EQ = 269,
     K_NE = 270,
     K_CEQ = 271,
     K_CNE = 272,
     K_LS = 273,
     K_LSS = 274,
     K_RS = 275,
     K_RSS = 276,
     K_SG = 277,
     K_ADD_A = 278,
     K_SUB_A = 279,
     K_MLT_A = 280,
     K_DIV_A = 281,
     K_MOD_A = 282,
     K_AND_A = 283,
     K_OR_A = 284,
     K_XOR_A = 285,
     K_LS_A = 286,
     K_RS_A = 287,
     K_ALS_A = 288,
     K_ARS_A = 289,
     K_INC = 290,
     K_DEC = 291,
     K_POW = 292,
     K_PO_POS = 293,
     K_PO_NEG = 294,
     K_STARP = 295,
     K_PSTAR = 296,
     K_LOR = 297,
     K_LAND = 298,
     K_NAND = 299,
     K_NOR = 300,
     K_NXOR = 301,
     K_TRIGGER = 302,
     K_always = 303,
     K_and = 304,
     K_assign = 305,
     K_begin = 306,
     K_buf = 307,
     K_bufif0 = 308,
     K_bufif1 = 309,
     K_case = 310,
     K_casex = 311,
     K_casez = 312,
     K_cmos = 313,
     K_deassign = 314,
     K_default = 315,
     K_defparam = 316,
     K_disable = 317,
     K_edge = 318,
     K_else = 319,
     K_end = 320,
     K_endcase = 321,
     K_endfunction = 322,
     K_endmodule = 323,
     I_endmodule = 324,
     K_endprimitive = 325,
     K_endspecify = 326,
     K_endtable = 327,
     K_endtask = 328,
     K_event = 329,
     K_for = 330,
     K_force = 331,
     K_forever = 332,
     K_fork = 333,
     K_function = 334,
     K_highz0 = 335,
     K_highz1 = 336,
     K_if = 337,
     K_generate = 338,
     K_endgenerate = 339,
     K_genvar = 340,
     K_initial = 341,
     K_inout = 342,
     K_input = 343,
     K_integer = 344,
     K_join = 345,
     K_large = 346,
     K_localparam = 347,
     K_macromodule = 348,
     K_medium = 349,
     K_module = 350,
     K_nand = 351,
     K_negedge = 352,
     K_nmos = 353,
     K_nor = 354,
     K_not = 355,
     K_notif0 = 356,
     K_notif1 = 357,
     K_or = 358,
     K_output = 359,
     K_parameter = 360,
     K_pmos = 361,
     K_posedge = 362,
     K_primitive = 363,
     K_pull0 = 364,
     K_pull1 = 365,
     K_pulldown = 366,
     K_pullup = 367,
     K_rcmos = 368,
     K_real = 369,
     K_realtime = 370,
     K_reg = 371,
     K_release = 372,
     K_repeat = 373,
     K_rnmos = 374,
     K_rpmos = 375,
     K_rtran = 376,
     K_rtranif0 = 377,
     K_rtranif1 = 378,
     K_scalered = 379,
     K_signed = 380,
     K_small = 381,
     K_specify = 382,
     K_specparam = 383,
     K_strong0 = 384,
     K_strong1 = 385,
     K_supply0 = 386,
     K_supply1 = 387,
     K_table = 388,
     K_task = 389,
     K_time = 390,
     K_tran = 391,
     K_tranif0 = 392,
     K_tranif1 = 393,
     K_tri = 394,
     K_tri0 = 395,
     K_tri1 = 396,
     K_triand = 397,
     K_trior = 398,
     K_trireg = 399,
     K_vectored = 400,
     K_wait = 401,
     K_wand = 402,
     K_weak0 = 403,
     K_weak1 = 404,
     K_while = 405,
     K_wire = 406,
     K_uwire = 407,
     K_wor = 408,
     K_xnor = 409,
     K_xor = 410,
     K_Shold = 411,
     K_Speriod = 412,
     K_Srecovery = 413,
     K_Ssetup = 414,
     K_Swidth = 415,
     K_Ssetuphold = 416,
     S_user = 417,
     S_ignore = 418,
     S_allow = 419,
     S_finish = 420,
     S_stop = 421,
     S_time = 422,
     S_realtime = 423,
     S_random = 424,
     S_srandom = 425,
     S_dumpfile = 426,
     S_urandom = 427,
     S_urandom_range = 428,
     S_realtobits = 429,
     S_bitstoreal = 430,
     S_rtoi = 431,
     S_itor = 432,
     S_shortrealtobits = 433,
     S_bitstoshortreal = 434,
     S_testargs = 435,
     S_valargs = 436,
     S_signed = 437,
     S_unsigned = 438,
     S_clog2 = 439,
     K_automatic = 440,
     K_cell = 441,
     K_use = 442,
     K_library = 443,
     K_config = 444,
     K_endconfig = 445,
     K_design = 446,
     K_liblist = 447,
     K_instance = 448,
     K_showcancelled = 449,
     K_noshowcancelled = 450,
     K_pulsestyle_onevent = 451,
     K_pulsestyle_ondetect = 452,
     K_TU_S = 453,
     K_TU_MS = 454,
     K_TU_US = 455,
     K_TU_NS = 456,
     K_TU_PS = 457,
     K_TU_FS = 458,
     K_TU_STEP = 459,
     K_INCDIR = 460,
     K_DPI = 461,
     K_PP = 462,
     K_PS = 463,
     K_PEQ = 464,
     K_PNE = 465,
     K_bit = 466,
     K_byte = 467,
     K_char = 468,
     K_logic = 469,
     K_shortint = 470,
     K_int = 471,
     K_longint = 472,
     K_unsigned = 473,
     K_shortreal = 474,
     K_unique = 475,
     K_priority = 476,
     K_do = 477,
     K_always_comb = 478,
     K_always_latch = 479,
     K_always_ff = 480,
     K_typedef = 481,
     K_type = 482,
     K_enum = 483,
     K_union = 484,
     K_struct = 485,
     K_packed = 486,
     K_assert = 487,
     K_assume = 488,
     K_property = 489,
     K_endproperty = 490,
     K_cover = 491,
     K_sequence = 492,
     K_endsequence = 493,
     K_expect = 494,
     K_program = 495,
     K_endprogram = 496,
     K_final = 497,
     K_void = 498,
     K_return = 499,
     K_continue = 500,
     K_break = 501,
     K_extern = 502,
     K_interface = 503,
     K_endinterface = 504,
     K_class = 505,
     K_endclass = 506,
     K_extends = 507,
     K_package = 508,
     K_endpackage = 509,
     K_timeunit = 510,
     K_timeprecision = 511,
     K_ref = 512,
     K_bind = 513,
     K_const = 514,
     K_new = 515,
     K_static = 516,
     K_protected = 517,
     K_local = 518,
     K_rand = 519,
     K_randc = 520,
     K_randcase = 521,
     K_constraint = 522,
     K_import = 523,
     K_export = 524,
     K_scalared = 525,
     K_chandle = 526,
     K_context = 527,
     K_pure = 528,
     K_modport = 529,
     K_clocking = 530,
     K_iff = 531,
     K_intersect = 532,
     K_first_match = 533,
     K_throughout = 534,
     K_with = 535,
     K_within = 536,
     K_dist = 537,
     K_covergroup = 538,
     K_endgroup = 539,
     K_coverpoint = 540,
     K_optionDOT = 541,
     K_type_optionDOT = 542,
     K_wildcard = 543,
     K_bins = 544,
     K_illegal_bins = 545,
     K_ignore_bins = 546,
     K_cross = 547,
     K_binsof = 548,
     K_alias = 549,
     K_join_any = 550,
     K_join_none = 551,
     K_matches = 552,
     K_tagged = 553,
     K_foreach = 554,
     K_randsequence = 555,
     K_ifnone = 556,
     K_randomize = 557,
     K_null = 558,
     K_inside = 559,
     K_super = 560,
     K_this = 561,
     K_wait_order = 562,
     K_include = 563,
     K_Sroot = 564,
     K_Sunit = 565,
     K_endclocking = 566,
     K_virtual = 567,
     K_before = 568,
     K_forkjoin = 569,
     K_solve = 570,
     KK_attribute = 571,
     K_TAND = 572,
     UNARY_PREC = 573,
     less_than_K_else = 574
   };
#endif


#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{
/* Line 387 of yacc.c  */
#line 242 "./parser.y"

  bool            logical;
  char*           text;
  int	          integer;
  const_value     num;
  vector*         realtime;
  vsignal*        sig;
  expression*     expr;
  statement*      state;
  static_expr*    statexp;
  str_link*       strlink;
  exp_link*       explink;
  case_statement* case_stmt;
  attr_param*     attr_parm;
  exp_bind*       expbind;
  port_info*      portinfo;
  gen_item*       gitem;
  case_gitem*     case_gi;
  typedef_item*   typdef;
  func_unit*      funit;


/* Line 387 of yacc.c  */
#line 701 "parser.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif

extern YYSTYPE VLlval;
extern YYLTYPE VLlloc;
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int VLparse (void *YYPARSE_PARAM);
#else
int VLparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int VLparse (void);
#else
int VLparse ();
#endif
#endif /* ! YYPARSE_PARAM */

#endif /* !YY_VL_PARSER_H_INCLUDED  */

/* Copy the second part of user declarations.  */

/* Line 390 of yacc.c  */
#line 742 "parser.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(N) (N)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  109
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   9464

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  364
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  248
/* YYNRULES -- Number of rules.  */
#define YYNRULES  870
/* YYNRULES -- Number of states.  */
#define YYNSTATES  1952

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   574

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   344,     2,   337,     2,   329,   322,     2,
     334,   335,   327,   325,   332,   326,   338,   328,   345,   346,
       2,     2,     2,     2,     2,     2,     2,     2,   319,   336,
     323,   333,   324,   318,   363,     2,   353,     2,     2,     2,
     350,     2,     2,     2,     2,     2,     2,   356,   358,     2,
     360,   361,   355,     2,     2,     2,     2,     2,     2,     2,
       2,   341,     2,   342,   321,   362,     2,     2,   348,     2,
       2,     2,   349,     2,   352,     2,     2,     2,   351,     2,
     357,     2,   359,     2,   354,     2,     2,     2,     2,     2,
     347,     2,     2,   339,   320,   340,   343,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   330,   331
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     6,     7,    12,    13,    17,    18,
      22,    24,    26,    27,    28,    34,    36,    39,    41,    43,
      52,    54,    60,    66,    67,    73,    74,    82,    86,    91,
      96,   102,   106,   110,   117,   124,   126,   127,   132,   133,
     134,   144,   145,   146,   158,   161,   165,   169,   170,   180,
     185,   190,   192,   194,   195,   201,   202,   207,   211,   218,
     222,   226,   227,   229,   233,   237,   242,   250,   262,   267,
     275,   279,   281,   283,   284,   286,   292,   296,   304,   306,
     315,   322,   327,   329,   333,   335,   337,   340,   344,   346,
     348,   351,   354,   357,   360,   363,   366,   369,   372,   375,
     378,   382,   386,   390,   394,   398,   402,   406,   410,   414,
     418,   422,   426,   430,   434,   438,   442,   446,   450,   454,
     458,   462,   466,   468,   470,   472,   476,   481,   486,   488,
     490,   492,   494,   499,   501,   504,   507,   510,   513,   516,
     519,   522,   525,   528,   531,   534,   537,   540,   543,   546,
     549,   552,   555,   558,   561,   565,   569,   573,   577,   581,
     585,   589,   593,   597,   601,   605,   609,   613,   617,   621,
     625,   629,   633,   637,   641,   645,   649,   653,   657,   661,
     665,   671,   673,   675,   677,   679,   682,   685,   688,   691,
     693,   695,   697,   699,   701,   703,   706,   710,   714,   718,
     722,   727,   734,   741,   746,   751,   756,   761,   766,   771,
     776,   781,   786,   791,   796,   801,   806,   811,   815,   819,
     826,   830,   832,   833,   836,   840,   842,   846,   848,   851,
     852,   854,   858,   860,   861,   865,   869,   874,   885,   889,
     891,   895,   897,   900,   906,   910,   914,   916,   917,   923,
     924,   929,   931,   933,   935,   938,   943,   945,   948,   950,
     952,   954,   956,   958,   960,   962,   964,   966,   968,   970,
     972,   974,   976,   978,   980,   982,   984,   986,   988,   990,
     992,   994,   996,   998,  1000,  1002,  1005,  1012,  1016,  1020,
    1024,  1028,  1032,  1036,  1040,  1044,  1048,  1052,  1056,  1060,
    1064,  1067,  1070,  1072,  1073,  1076,  1078,  1080,  1084,  1085,
    1092,  1093,  1094,  1110,  1120,  1132,  1143,  1149,  1155,  1160,
    1168,  1171,  1173,  1175,  1176,  1179,  1181,  1189,  1197,  1198,
    1206,  1207,  1213,  1214,  1222,  1223,  1232,  1233,  1242,  1249,
    1250,  1259,  1264,  1270,  1276,  1283,  1288,  1293,  1301,  1309,
    1311,  1316,  1317,  1323,  1329,  1330,  1331,  1340,  1344,  1345,
    1350,  1351,  1356,  1357,  1362,  1366,  1370,  1371,  1372,  1383,
    1384,  1385,  1398,  1399,  1404,  1405,  1410,  1411,  1419,  1420,
    1425,  1426,  1432,  1435,  1436,  1437,  1446,  1451,  1456,  1461,
    1464,  1470,  1474,  1478,  1482,  1492,  1498,  1500,  1504,  1507,
    1513,  1521,  1523,  1525,  1526,  1528,  1530,  1533,  1538,  1545,
    1546,  1548,  1550,  1552,  1554,  1556,  1558,  1560,  1562,  1564,
    1566,  1568,  1570,  1575,  1582,  1586,  1590,  1594,  1598,  1602,
    1606,  1610,  1614,  1618,  1622,  1626,  1630,  1634,  1637,  1640,
    1641,  1642,  1650,  1651,  1652,  1658,  1659,  1660,  1668,  1669,
    1670,  1676,  1682,  1687,  1691,  1695,  1700,  1708,  1718,  1728,
    1738,  1748,  1758,  1768,  1777,  1788,  1789,  1790,  1799,  1811,
    1823,  1835,  1843,  1851,  1859,  1869,  1874,  1879,  1885,  1888,
    1893,  1899,  1905,  1911,  1917,  1927,  1937,  1945,  1953,  1961,
    1969,  1977,  1983,  1986,  1989,  1992,  1995,  2001,  2004,  2007,
    2012,  2015,  2016,  2022,  2023,  2024,  2029,  2031,  2033,  2037,
    2040,  2042,  2045,  2047,  2049,  2051,  2053,  2058,  2064,  2066,
    2071,  2077,  2079,  2080,  2082,  2085,  2086,  2095,  2096,  2104,
    2105,  2113,  2114,  2121,  2122,  2129,  2130,  2137,  2138,  2145,
    2146,  2153,  2154,  2161,  2162,  2168,  2169,  2176,  2177,  2183,
    2184,  2190,  2191,  2197,  2202,  2208,  2214,  2215,  2221,  2226,
    2231,  2236,  2241,  2246,  2251,  2256,  2261,  2266,  2271,  2276,
    2281,  2286,  2287,  2293,  2297,  2301,  2304,  2305,  2306,  2312,
    2315,  2317,  2320,  2325,  2328,  2333,  2340,  2349,  2351,  2352,
    2354,  2360,  2362,  2364,  2366,  2370,  2372,  2376,  2378,  2379,
    2385,  2392,  2394,  2396,  2398,  2400,  2402,  2403,  2405,  2409,
    2410,  2414,  2416,  2420,  2422,  2423,  2426,  2428,  2430,  2431,
    2438,  2439,  2447,  2448,  2454,  2455,  2461,  2462,  2468,  2469,
    2475,  2477,  2478,  2480,  2482,  2483,  2485,  2487,  2488,  2493,
    2498,  2503,  2508,  2513,  2518,  2523,  2528,  2533,  2538,  2543,
    2548,  2550,  2553,  2555,  2557,  2559,  2560,  2562,  2564,  2566,
    2568,  2570,  2572,  2574,  2576,  2578,  2580,  2582,  2584,  2588,
    2590,  2594,  2599,  2601,  2602,  2608,  2614,  2620,  2626,  2632,
    2638,  2640,  2642,  2644,  2646,  2648,  2650,  2652,  2654,  2657,
    2662,  2667,  2669,  2673,  2677,  2680,  2683,  2685,  2687,  2688,
    2692,  2696,  2700,  2702,  2704,  2706,  2708,  2711,  2715,  2719,
    2720,  2721,  2728,  2733,  2736,  2739,  2740,  2742,  2746,  2752,
    2757,  2761,  2763,  2770,  2778,  2783,  2789,  2795,  2797,  2799,
    2801,  2803,  2805,  2807,  2809,  2811,  2813,  2815,  2817,  2819,
    2821,  2823,  2825,  2827,  2829,  2831,  2833,  2835,  2837,  2839,
    2841,  2843,  2845,  2848,  2849,  2856,  2858,  2862,  2864,  2868,
    2872,  2876,  2878,  2882,  2886,  2890,  2892,  2900,  2906,  2911,
    2914,  2916,  2918,  2921,  2925,  2928,  2931,  2938,  2945,  2956,
    2965,  2976,  2987,  3000,  3011,  3019,  3021,  3025,  3029,  3037,
    3041,  3049,  3055,  3059,  3065,  3072,  3079,  3083,  3085,  3090,
    3094,  3101,  3103,  3105,  3106,  3109,  3112,  3117,  3122,  3126,
    3128,  3129,  3131,  3133,  3136,  3139,  3143,  3145,  3151,  3155,
    3163,  3175,  3183,  3195,  3203,  3215,  3223,  3235,  3237,  3239,
    3241,  3243,  3247,  3249,  3251,  3252,  3258,  3261,  3264,  3267,
    3269,  3271,  3273,  3275,  3277,  3279,  3281,  3285,  3289,  3291,
    3293,  3297,  3302,  3307,  3311,  3317,  3323,  3329,  3332,  3334,
    3335,  3336,  3337,  3338,  3339,  3340,  3341,  3342,  3343,  3344,
    3345
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     365,     0,    -1,   373,    -1,    -1,    -1,    41,   367,   369,
      40,    -1,    -1,    41,   368,    40,    -1,    -1,   369,   332,
     370,    -1,   370,    -1,     3,    -1,    -1,    -1,     3,   333,
     371,   400,   372,    -1,   374,    -1,   373,   374,    -1,   382,
      -1,   409,    -1,   316,   334,     3,   332,     9,   332,     9,
     335,    -1,   597,    -1,   541,   536,   520,   407,   336,    -1,
     541,   536,   520,   543,   336,    -1,    -1,   541,   546,   375,
     543,   336,    -1,    -1,   144,   552,   520,   515,   376,   407,
     336,    -1,   564,   562,   336,    -1,   564,   514,   562,   336,
      -1,   564,   546,   562,   336,    -1,   564,   546,   514,   562,
     336,    -1,   112,   562,   336,    -1,   111,   562,   336,    -1,
     112,   334,   548,   335,   562,   336,    -1,   111,   334,   547,
     335,   562,   336,    -1,   492,    -1,    -1,    74,   377,   407,
     336,    -1,    -1,    -1,   134,   535,     3,   336,   378,   526,
     487,   379,    73,    -1,    -1,    -1,    79,   535,   536,   522,
       3,   336,   380,   565,   470,   381,    67,    -1,     1,   336,
      -1,    79,     1,    67,    -1,   592,   596,   336,    -1,    -1,
     366,   384,     3,   383,   385,   388,   336,   434,    68,    -1,
     366,    95,    10,    69,    -1,   366,    93,    10,    69,    -1,
      95,    -1,    93,    -1,    -1,   337,   386,   334,   387,   335,
      -1,    -1,   105,   536,   520,   570,    -1,   387,   332,   570,
      -1,   387,   332,   105,   536,   520,   570,    -1,   334,   391,
     335,    -1,   334,   389,   335,    -1,    -1,   390,    -1,   389,
     332,   390,    -1,   389,   332,     3,    -1,   366,   554,   538,
       3,    -1,   366,   104,   542,   540,   536,   520,     3,    -1,
     366,   104,   542,   540,   536,   520,     3,   333,   600,   398,
     601,    -1,   366,   554,   538,     1,    -1,   366,   104,   542,
     540,   536,   520,     1,    -1,   391,   332,   392,    -1,   392,
      -1,   393,    -1,    -1,   394,    -1,   338,     3,   334,   394,
     335,    -1,   339,   395,   340,    -1,   338,     3,   334,   339,
     395,   340,   335,    -1,     3,    -1,     3,   341,   600,   398,
     319,   398,   601,   342,    -1,     3,   341,   600,   398,   601,
     342,    -1,     3,   341,     1,   342,    -1,   394,    -1,   395,
     332,   394,    -1,     6,    -1,     7,    -1,     6,     7,    -1,
     397,   332,   398,    -1,   398,    -1,   399,    -1,   325,   399,
      -1,   326,   399,    -1,   343,   399,    -1,   322,   399,    -1,
     344,   399,    -1,   320,   399,    -1,   321,   399,    -1,    44,
     399,    -1,    45,   399,    -1,    46,   399,    -1,   398,   321,
     398,    -1,   398,   327,   398,    -1,   398,   328,   398,    -1,
     398,   329,   398,    -1,   398,   325,   398,    -1,   398,   326,
     398,    -1,   398,    37,   398,    -1,   398,   322,   398,    -1,
     398,   320,   398,    -1,   398,    45,   398,    -1,   398,    44,
     398,    -1,   398,    46,   398,    -1,   398,    18,   398,    -1,
     398,    20,   398,    -1,   398,    12,   398,    -1,   398,    11,
     398,    -1,   398,    14,   398,    -1,   398,    15,   398,    -1,
     398,   324,   398,    -1,   398,   323,   398,    -1,   398,    43,
     398,    -1,   398,    42,   398,    -1,   396,    -1,     8,    -1,
       3,    -1,   334,   398,   335,    -1,     3,   334,   397,   335,
      -1,     3,   341,   398,   342,    -1,   163,    -1,   164,    -1,
     169,    -1,   172,    -1,   184,   334,   398,   335,    -1,   401,
      -1,   325,   401,    -1,   326,   401,    -1,   343,   401,    -1,
     322,   401,    -1,   344,   401,    -1,   320,   401,    -1,   321,
     401,    -1,    44,   401,    -1,    45,   401,    -1,    46,   401,
      -1,   325,     1,    -1,   326,     1,    -1,   343,     1,    -1,
     322,     1,    -1,   344,     1,    -1,   320,     1,    -1,   321,
       1,    -1,    44,     1,    -1,    45,     1,    -1,    46,     1,
      -1,   400,   321,   400,    -1,   400,   327,   400,    -1,   400,
     328,   400,    -1,   400,   329,   400,    -1,   400,   325,   400,
      -1,   400,   326,   400,    -1,   400,    37,   400,    -1,   400,
     322,   400,    -1,   400,   320,   400,    -1,   400,    44,   400,
      -1,   400,    45,   400,    -1,   400,    46,   400,    -1,   400,
     323,   400,    -1,   400,   324,   400,    -1,   400,    18,   400,
      -1,   400,    19,   400,    -1,   400,    20,   400,    -1,   400,
      21,   400,    -1,   400,    14,   400,    -1,   400,    16,   400,
      -1,   400,    11,   400,    -1,   400,    12,   400,    -1,   400,
      15,   400,    -1,   400,    17,   400,    -1,   400,    42,   400,
      -1,   400,    43,   400,    -1,   400,   318,   400,   319,   400,
      -1,   396,    -1,     8,    -1,     9,    -1,   406,    -1,   406,
      35,    -1,   406,    36,    -1,    35,   406,    -1,    36,   406,
      -1,   163,    -1,   164,    -1,   169,    -1,   172,    -1,   167,
      -1,   168,    -1,   406,   599,    -1,   406,   599,    35,    -1,
     406,   599,    36,    -1,    35,   406,   599,    -1,    36,   406,
     599,    -1,   406,   334,   403,   335,    -1,   163,   334,   600,
     403,   601,   335,    -1,   164,   334,   600,   403,   601,   335,
      -1,   182,   334,   400,   335,    -1,   183,   334,   400,   335,
      -1,   184,   334,   400,   335,    -1,   169,   334,   404,   335,
      -1,   172,   334,   404,   335,    -1,   173,   334,   404,   335,
      -1,   174,   334,   404,   335,    -1,   175,   334,   404,   335,
      -1,   177,   334,   404,   335,    -1,   176,   334,   404,   335,
      -1,   178,   334,   404,   335,    -1,   179,   334,   404,   335,
      -1,   180,   334,   404,   335,    -1,   181,   334,   404,   335,
      -1,   334,   400,   335,    -1,   339,   402,   340,    -1,   339,
     400,   339,   402,   340,   340,    -1,   402,   332,   400,    -1,
     400,    -1,    -1,   402,   332,    -1,   403,   332,   400,    -1,
     400,    -1,   404,   332,   400,    -1,   400,    -1,   319,     3,
      -1,    -1,     3,    -1,   406,   338,     3,    -1,     3,    -1,
      -1,     3,   408,   521,    -1,   407,   332,     3,    -1,   407,
     332,     3,   521,    -1,   108,     3,   334,   410,   335,   336,
     411,   413,   415,    70,    -1,   108,    10,    70,    -1,     3,
      -1,   410,   332,     3,    -1,   412,    -1,   411,   412,    -1,
      88,   600,   407,   601,   336,    -1,   104,     3,   336,    -1,
     116,     3,   336,    -1,   414,    -1,    -1,    86,     3,   333,
     396,   336,    -1,    -1,   133,   416,   417,    72,    -1,   418,
      -1,   423,    -1,   419,    -1,   418,   419,    -1,   420,   319,
     422,   336,    -1,   421,    -1,   420,   421,    -1,   345,    -1,
     346,    -1,   347,    -1,   318,    -1,   348,    -1,   327,    -1,
     329,    -1,   349,    -1,   350,    -1,   351,    -1,   352,    -1,
     353,    -1,   354,    -1,   355,    -1,   356,    -1,   357,    -1,
     358,    -1,   359,    -1,   360,    -1,   361,    -1,   362,    -1,
     325,    -1,   345,    -1,   346,    -1,   347,    -1,   326,    -1,
     424,    -1,   423,   424,    -1,   420,   319,   421,   319,   422,
     336,    -1,     3,   333,   398,    -1,     3,    23,   398,    -1,
       3,    24,   398,    -1,     3,    25,   398,    -1,     3,    26,
     398,    -1,     3,    27,   398,    -1,     3,    28,   398,    -1,
       3,    29,   398,    -1,     3,    30,   398,    -1,     3,    31,
     398,    -1,     3,    32,   398,    -1,     3,    33,   398,    -1,
       3,    34,   398,    -1,     3,    35,    -1,     3,    36,    -1,
     427,    -1,    -1,   427,   428,    -1,   428,    -1,   436,    -1,
      51,   426,    65,    -1,    -1,    51,   319,     3,   429,   426,
      65,    -1,    -1,    -1,    75,   430,   334,   425,   336,   398,
     336,   425,   335,    51,   319,     3,   431,   426,    65,    -1,
      82,   610,   334,   398,   335,   611,   606,   428,   607,    -1,
      82,   610,   334,   398,   335,   611,   606,   428,   607,    64,
     428,    -1,    55,   610,   334,   398,   335,   606,   433,   607,
     611,    66,    -1,   402,   319,   611,   428,   610,    -1,    60,
     319,   611,   428,   610,    -1,    60,   611,   428,   610,    -1,
       1,   600,   611,   319,   428,   601,   610,    -1,   433,   432,
      -1,   432,    -1,   435,    -1,    -1,   435,   436,    -1,   436,
      -1,   366,   541,   540,   536,   520,   407,   336,    -1,   366,
     541,   540,   536,   520,   543,   336,    -1,    -1,   366,   541,
     540,   546,   437,   543,   336,    -1,    -1,   366,     4,   438,
     525,   336,    -1,    -1,   366,   554,   536,   520,   439,   407,
     336,    -1,    -1,   366,   554,   541,   536,   520,   440,   407,
     336,    -1,    -1,   366,   104,   542,   536,   520,   441,   407,
     336,    -1,   366,   554,   536,   520,     1,   336,    -1,    -1,
     366,   144,   552,   520,   515,   442,   407,   336,    -1,   366,
     564,   562,   336,    -1,   366,   564,   514,   562,   336,    -1,
     366,   564,   546,   562,   336,    -1,   366,   564,   546,   514,
     562,   336,    -1,   366,   112,   562,   336,    -1,   366,   111,
     562,   336,    -1,   366,   112,   334,   548,   335,   562,   336,
      -1,   366,   111,   334,   547,   335,   562,   336,    -1,   492,
      -1,   366,    61,   555,   336,    -1,    -1,   366,    74,   443,
     407,   336,    -1,   366,     3,   557,   562,   336,    -1,    -1,
      -1,   366,    50,   545,   444,   515,   445,   518,   336,    -1,
     366,    48,   470,    -1,    -1,   366,   223,   446,   470,    -1,
      -1,   366,   224,   447,   470,    -1,    -1,   366,   225,   448,
     470,    -1,   366,    86,   470,    -1,   366,   242,   470,    -1,
      -1,    -1,   366,   134,   535,     3,   336,   449,   526,   487,
     450,    73,    -1,    -1,    -1,   366,    79,   535,   536,   522,
       3,   336,   451,   565,   470,   452,    67,    -1,    -1,    83,
     453,   426,    84,    -1,    -1,    85,   454,   407,   336,    -1,
      -1,   366,   127,   455,   600,   576,   601,    71,    -1,    -1,
     366,   127,   456,    71,    -1,    -1,   366,   127,   457,     1,
      71,    -1,     1,   336,    -1,    -1,    -1,   366,    50,     1,
     333,   458,   400,   459,   336,    -1,   366,    50,     1,   336,
      -1,   366,    79,     1,    67,    -1,   366,   592,   596,   336,
      -1,   366,   597,    -1,   366,     3,   319,   232,   336,    -1,
     366,   234,   235,    -1,   366,   237,   238,    -1,   366,   240,
     241,    -1,   316,   334,     3,   332,     9,   332,     9,   335,
     336,    -1,   316,   334,     1,   335,   336,    -1,   468,    -1,
     466,   536,   520,    -1,   467,   536,    -1,   463,   339,   464,
     340,   520,    -1,   463,   231,   536,   339,   464,   340,   520,
      -1,    74,    -1,   461,    -1,    -1,   230,    -1,   229,    -1,
     229,   298,    -1,   366,   465,   407,   336,    -1,   464,   332,
     366,   465,   407,   336,    -1,    -1,   461,    -1,   243,    -1,
     211,    -1,   214,    -1,   116,    -1,   212,    -1,   213,    -1,
     215,    -1,   216,    -1,    89,    -1,   217,    -1,   135,    -1,
     462,     3,   333,   400,    -1,   468,   332,   462,     3,   333,
     400,    -1,   488,   333,   400,    -1,   488,    23,   400,    -1,
     488,    24,   400,    -1,   488,    25,   400,    -1,   488,    26,
     400,    -1,   488,    27,   400,    -1,   488,    28,   400,    -1,
     488,    29,   400,    -1,   488,    30,   400,    -1,   488,    31,
     400,    -1,   488,    32,   400,    -1,   488,    33,   400,    -1,
     488,    34,   400,    -1,   488,    35,    -1,   488,    36,    -1,
      -1,    -1,    50,   471,   489,   333,   400,   336,   472,    -1,
      -1,    -1,    59,   473,   489,   336,   474,    -1,    -1,    -1,
      76,   475,   489,   333,   400,   336,   476,    -1,    -1,    -1,
     117,   477,   489,   336,   478,    -1,    51,   606,   483,   607,
      65,    -1,    78,   604,   481,    90,    -1,    62,   406,   336,
      -1,    47,     3,   336,    -1,    77,   606,   470,   607,    -1,
     118,   334,   400,   335,   606,   470,   607,    -1,   591,    55,
     334,   400,   335,   606,   512,   607,    66,    -1,   591,    56,
     334,   400,   335,   606,   512,   607,    66,    -1,   591,    57,
     334,   400,   335,   606,   512,   607,    66,    -1,   591,    55,
     334,   400,   335,   606,     1,   607,    66,    -1,   591,    56,
     334,   400,   335,   606,     1,   607,    66,    -1,   591,    57,
     334,   400,   335,   606,     1,   607,    66,    -1,   591,    82,
     334,   400,   335,   606,   487,   607,    -1,   591,    82,   334,
     400,   335,   606,   487,   607,    64,   487,    -1,    -1,    -1,
     591,    82,   334,     1,   335,   479,   485,   480,    -1,    75,
     608,   334,   460,   336,   400,   336,   469,   335,   470,   609,
      -1,    75,   608,   334,   460,   336,   400,   336,     1,   335,
     470,   609,    -1,    75,   608,   334,   460,   336,     1,   336,
     469,   335,   470,   609,    -1,    75,   608,   334,     1,   335,
     470,   609,    -1,   150,   334,   400,   335,   606,   470,   607,
      -1,   150,   334,     1,   335,   606,   470,   607,    -1,   222,
     606,   470,   607,   150,   334,   400,   335,   336,    -1,   513,
     606,   487,   607,    -1,   549,   606,   487,   607,    -1,   363,
     327,   606,   487,   607,    -1,   469,   336,    -1,   488,    11,
     400,   336,    -1,   488,   333,   513,   400,   336,    -1,   488,
      11,   513,   400,   336,    -1,   488,   333,   549,   400,   336,
      -1,   488,    11,   549,   400,   336,    -1,   488,   333,   118,
     334,   400,   335,   549,   400,   336,    -1,   488,    11,   118,
     334,   400,   335,   549,   400,   336,    -1,   146,   334,   400,
     335,   606,   487,   607,    -1,   163,   334,   600,   404,   601,
     335,   336,    -1,   164,   334,   600,   404,   601,   335,   336,
      -1,   165,   334,   600,   404,   601,   335,   336,    -1,   166,
     334,   600,   404,   601,   335,   336,    -1,   170,   334,   404,
     335,   336,    -1,   163,   336,    -1,   164,   336,    -1,   165,
     336,    -1,   166,   336,    -1,   406,   334,   403,   335,   336,
      -1,   406,   336,    -1,   232,   336,    -1,     3,   319,   232,
     336,    -1,     1,   336,    -1,    -1,   405,   482,   490,   486,
     605,    -1,    -1,    -1,   405,   484,   490,   486,    -1,   405,
      -1,   487,    -1,   487,    64,   487,    -1,   486,   470,    -1,
     470,    -1,   486,   336,    -1,   336,    -1,   470,    -1,   336,
      -1,   406,    -1,   406,   602,   599,   603,    -1,   339,   602,
     402,   603,   340,    -1,   406,    -1,   406,   602,   599,   603,
      -1,   339,   602,   402,   603,   340,    -1,   491,    -1,    -1,
     492,    -1,   491,   492,    -1,    -1,   366,   116,   540,   536,
     520,   493,   525,   336,    -1,    -1,   366,   211,   536,   520,
     494,   525,   336,    -1,    -1,   366,   214,   536,   520,   495,
     525,   336,    -1,    -1,   366,   213,   537,   496,   525,   336,
      -1,    -1,   366,   212,   537,   497,   525,   336,    -1,    -1,
     366,   215,   537,   498,   525,   336,    -1,    -1,   366,    89,
     537,   499,   525,   336,    -1,    -1,   366,   216,   537,   500,
     525,   336,    -1,    -1,   366,   217,   537,   501,   525,   336,
      -1,    -1,   366,   135,   502,   525,   336,    -1,    -1,   366,
       4,   336,   503,   525,   336,    -1,    -1,   366,   114,   504,
     525,   336,    -1,    -1,   366,   115,   505,   525,   336,    -1,
      -1,   366,   219,   506,   525,   336,    -1,   366,   105,   568,
     336,    -1,   366,   105,    89,   568,   336,    -1,   366,   105,
     114,   568,   336,    -1,    -1,   366,    92,   507,   571,   336,
      -1,   366,   116,     1,   336,    -1,   366,   211,     1,   336,
      -1,   366,   212,     1,   336,    -1,   366,   214,     1,   336,
      -1,   366,   213,     1,   336,    -1,   366,   215,     1,   336,
      -1,   366,    89,     1,   336,    -1,   366,   216,     1,   336,
      -1,   366,   217,     1,   336,    -1,   366,   135,     1,   336,
      -1,   366,   114,     1,   336,    -1,   366,   115,     1,   336,
      -1,   366,   105,     1,   336,    -1,    -1,   366,    92,   508,
       1,   336,    -1,   402,   319,   487,    -1,    60,   319,   487,
      -1,    60,   487,    -1,    -1,    -1,     1,   510,   319,   487,
     511,    -1,   512,   509,    -1,   509,    -1,   337,   517,    -1,
     337,   334,   516,   335,    -1,   337,   517,    -1,   337,   334,
     516,   335,    -1,   337,   334,   516,   332,   516,   335,    -1,
     337,   334,   516,   332,   516,   332,   516,   335,    -1,   514,
      -1,    -1,   398,    -1,   398,   319,   398,   319,   398,    -1,
       6,    -1,     8,    -1,     3,    -1,   518,   332,   519,    -1,
     519,    -1,   489,   333,   400,    -1,   521,    -1,    -1,   341,
     398,   319,   398,   342,    -1,   521,   341,   398,   319,   398,
     342,    -1,   521,    -1,    89,    -1,   114,    -1,   115,    -1,
     135,    -1,    -1,     3,    -1,     3,   333,   400,    -1,    -1,
       3,   524,   521,    -1,   523,    -1,   525,   332,   523,    -1,
     527,    -1,    -1,   527,   528,    -1,   528,    -1,   492,    -1,
      -1,   554,   536,   520,   529,   407,   336,    -1,    -1,   554,
     116,   536,   520,   530,   407,   336,    -1,    -1,   554,    89,
     531,   407,   336,    -1,    -1,   554,   135,   532,   407,   336,
      -1,    -1,   554,   114,   533,   407,   336,    -1,    -1,   554,
     115,   534,   407,   336,    -1,   185,    -1,    -1,   125,    -1,
     218,    -1,    -1,   218,    -1,   125,    -1,    -1,   151,   540,
     536,   520,    -1,   139,   540,   536,   520,    -1,   141,   540,
     536,   520,    -1,   131,   540,   536,   520,    -1,   147,   540,
     536,   520,    -1,   142,   540,   536,   520,    -1,   140,   540,
     536,   520,    -1,   132,   540,   536,   520,    -1,   153,   540,
     536,   520,    -1,   143,   540,   536,   520,    -1,   214,   540,
     536,   520,    -1,   152,   540,   536,   520,    -1,     4,    -1,
     536,   520,    -1,   214,    -1,   114,    -1,   539,    -1,    -1,
     151,    -1,   139,    -1,   141,    -1,   131,    -1,   147,    -1,
     142,    -1,   140,    -1,   132,    -1,   153,    -1,   143,    -1,
     152,    -1,   116,    -1,   543,   332,   544,    -1,   544,    -1,
       3,   333,   400,    -1,   513,     3,   333,   400,    -1,   546,
      -1,    -1,   334,   547,   332,   548,   335,    -1,   334,   548,
     332,   547,   335,    -1,   334,   547,   332,    81,   335,    -1,
     334,   548,   332,    80,   335,    -1,   334,    81,   332,   547,
     335,    -1,   334,    80,   332,   548,   335,    -1,   131,    -1,
     129,    -1,   109,    -1,   148,    -1,   132,    -1,   130,    -1,
     110,    -1,   149,    -1,   363,     3,    -1,   363,   334,   550,
     335,    -1,   363,   334,     1,   335,    -1,   551,    -1,   550,
     103,   551,    -1,   550,   332,   551,    -1,   107,   400,    -1,
      97,   400,    -1,   400,    -1,   553,    -1,    -1,   334,   126,
     335,    -1,   334,    94,   335,    -1,   334,    91,   335,    -1,
      88,    -1,   104,    -1,    87,    -1,   556,    -1,   521,   556,
      -1,   555,   332,   556,    -1,   406,   333,   400,    -1,    -1,
      -1,   337,   334,   558,   402,   559,   335,    -1,   337,   334,
     560,   335,    -1,   337,     6,    -1,   337,     1,    -1,    -1,
     561,    -1,   560,   332,   561,    -1,   338,     3,   334,   400,
     335,    -1,   338,     3,   334,   335,    -1,   562,   332,   563,
      -1,   563,    -1,     3,   334,   600,   402,   601,   335,    -1,
       3,   521,   334,   600,   402,   601,   335,    -1,     3,   334,
     574,   335,    -1,     3,   521,   334,   574,   335,    -1,   334,
     600,   402,   601,   335,    -1,    49,    -1,    96,    -1,   103,
      -1,    99,    -1,   155,    -1,   154,    -1,    52,    -1,    53,
      -1,    54,    -1,   100,    -1,   101,    -1,   102,    -1,    98,
      -1,   119,    -1,   106,    -1,   120,    -1,    58,    -1,   113,
      -1,   136,    -1,   121,    -1,   137,    -1,   138,    -1,   122,
      -1,   123,    -1,   566,    -1,   565,   566,    -1,    -1,    88,
     536,   520,   567,   407,   336,    -1,   492,    -1,   536,   520,
     569,    -1,   570,    -1,   569,   332,   570,    -1,     3,   333,
     400,    -1,   536,   520,   572,    -1,   573,    -1,   572,   332,
     573,    -1,     3,   333,   400,    -1,   574,   332,   575,    -1,
     575,    -1,   338,     3,   334,   600,   400,   601,   335,    -1,
     338,     3,   334,     1,   335,    -1,   338,     3,   334,   335,
      -1,   338,     3,    -1,   208,    -1,   577,    -1,   576,   577,
      -1,   128,   578,   336,    -1,   580,   336,    -1,   587,   336,
      -1,    82,   334,   400,   335,   580,   336,    -1,    82,   334,
     400,   335,   587,   336,    -1,   156,   334,   584,   332,   584,
     332,   400,   585,   335,   336,    -1,   157,   334,   584,   332,
     400,   585,   335,   336,    -1,   158,   334,   584,   332,   584,
     332,   400,   585,   335,   336,    -1,   159,   334,   584,   332,
     584,   332,   400,   585,   335,   336,    -1,   161,   334,   584,
     332,   584,   332,   400,   332,   400,   585,   335,   336,    -1,
     160,   334,   584,   332,   400,   332,   400,   585,   335,   336,
      -1,   160,   334,   584,   332,   400,   335,   336,    -1,   579,
      -1,   578,   332,   579,    -1,     3,   333,   400,    -1,     3,
     333,   400,   319,   400,   319,   400,    -1,     5,   333,   400,
      -1,     5,   333,   334,   400,   332,   400,   335,    -1,   581,
     333,   334,   590,   335,    -1,   581,   333,   517,    -1,   581,
     333,   334,     1,   335,    -1,   334,   582,   583,    13,   400,
     335,    -1,   334,   582,   583,    22,   400,   335,    -1,   334,
       1,   335,    -1,     3,    -1,     3,   341,   401,   342,    -1,
     582,   332,     3,    -1,   582,   332,     3,   341,   401,   342,
      -1,   325,    -1,   326,    -1,    -1,   107,   400,    -1,    97,
     400,    -1,   107,   401,   317,   400,    -1,    97,   401,   317,
     400,    -1,   401,   317,   400,    -1,   401,    -1,    -1,   586,
      -1,   332,    -1,   332,   406,    -1,   586,   332,    -1,   586,
     332,   406,    -1,     3,    -1,   588,   333,   334,   590,   335,
      -1,   588,   333,   517,    -1,   334,   107,   582,   583,    13,
       3,   335,    -1,   334,   107,   582,   583,    13,   334,   401,
     589,   400,   335,   335,    -1,   334,   107,   582,   583,    22,
       3,   335,    -1,   334,   107,   582,   583,    22,   334,   401,
     589,   400,   335,   335,    -1,   334,    97,   582,   583,    13,
       3,   335,    -1,   334,    97,   582,   583,    13,   334,   401,
     589,   400,   335,   335,    -1,   334,    97,   582,   583,    22,
       3,   335,    -1,   334,    97,   582,   583,    22,   334,   401,
     589,   400,   335,   335,    -1,    38,    -1,    39,    -1,   319,
      -1,   516,    -1,   590,   332,   516,    -1,   220,    -1,   221,
      -1,    -1,   228,   593,   339,   595,   340,    -1,     4,   520,
      -1,   116,   520,    -1,   214,   520,    -1,   216,    -1,    89,
      -1,   215,    -1,   217,    -1,   212,    -1,   520,    -1,     3,
      -1,     3,   333,   398,    -1,   595,   332,   594,    -1,   594,
      -1,     3,    -1,   596,   332,     3,    -1,   226,   592,     3,
     336,    -1,   226,   538,     3,   336,    -1,   341,   400,   342,
      -1,   341,   400,   319,   400,   342,    -1,   341,   400,    38,
     398,   342,    -1,   341,   400,    39,   398,   342,    -1,   599,
     598,    -1,   598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   369,   369,   370,   378,   377,   393,   392,   399,   403,
     414,   421,   432,   432,   432,   446,   447,   451,   452,   453,
     459,   460,   461,   463,   462,   471,   470,   478,   482,   486,
     490,   494,   498,   502,   506,   510,   512,   511,   521,   535,
     520,   555,   571,   554,   587,   591,   595,   608,   607,   618,
     619,   623,   624,   629,   628,   641,   645,   649,   650,   657,
     658,   666,   671,   675,   684,   696,   718,   741,   763,   772,
     785,   786,   790,   791,   797,   798,   802,   803,   810,   814,
     818,   822,   829,   830,   834,   840,   846,   861,   884,   903,
     907,   917,   927,   936,   945,   954,   963,   972,   981,   990,
     999,  1003,  1007,  1011,  1015,  1019,  1023,  1034,  1038,  1042,
    1046,  1050,  1054,  1058,  1062,  1066,  1070,  1074,  1078,  1082,
    1086,  1090,  1097,  1122,  1140,  1157,  1161,  1171,  1181,  1186,
    1202,  1218,  1234,  1246,  1250,  1259,  1273,  1286,  1299,  1312,
    1325,  1338,  1351,  1364,  1377,  1381,  1385,  1389,  1393,  1397,
    1401,  1405,  1409,  1413,  1417,  1432,  1447,  1462,  1477,  1492,
    1507,  1529,  1544,  1559,  1574,  1589,  1604,  1619,  1634,  1649,
    1671,  1686,  1708,  1723,  1738,  1753,  1768,  1783,  1798,  1813,
    1828,  1848,  1865,  1881,  1898,  1912,  1927,  1942,  1957,  1972,
    1977,  1990,  2003,  2016,  2029,  2042,  2055,  2073,  2091,  2109,
    2127,  2142,  2147,  2160,  2176,  2192,  2207,  2222,  2237,  2252,
    2267,  2283,  2299,  2314,  2329,  2345,  2360,  2375,  2384,  2398,
    2417,  2451,  2477,  2493,  2514,  2532,  2549,  2568,  2585,  2594,
    2598,  2607,  2624,  2631,  2631,  2643,  2650,  2666,  2679,  2683,
    2687,  2694,  2695,  2699,  2700,  2704,  2711,  2712,  2716,  2724,
    2724,  2730,  2731,  2735,  2736,  2740,  2744,  2745,  2749,  2750,
    2751,  2752,  2753,  2754,  2755,  2756,  2757,  2758,  2759,  2760,
    2761,  2762,  2763,  2764,  2765,  2766,  2767,  2768,  2769,  2770,
    2774,  2775,  2776,  2777,  2781,  2782,  2786,  2791,  2820,  2849,
    2878,  2907,  2936,  2965,  2994,  3023,  3052,  3081,  3110,  3139,
    3168,  3189,  3214,  3219,  3225,  3236,  3244,  3248,  3253,  3252,
    3284,  3288,  3283,  3353,  3376,  3402,  3449,  3463,  3477,  3491,
    3498,  3509,  3517,  3518,  3522,  3523,  3527,  3529,  3533,  3531,
    3542,  3540,  3551,  3550,  3567,  3566,  3587,  3586,  3607,  3616,
    3615,  3632,  3636,  3640,  3644,  3648,  3652,  3656,  3660,  3664,
    3665,  3673,  3672,  3682,  3714,  3714,  3713,  3715,  3730,  3728,
    3770,  3768,  3810,  3808,  3832,  3845,  3861,  3880,  3859,  3902,
    3925,  3900,  3943,  3942,  3968,  3967,  3988,  3986,  3996,  3994,
    4004,  4002,  4010,  4015,  4015,  4014,  4019,  4024,  4032,  4042,
    4045,  4051,  4055,  4058,  4060,  4066,  4073,  4081,  4082,  4083,
    4086,  4089,  4100,  4105,  4112,  4113,  4114,  4118,  4121,  4125,
    4130,  4131,  4137,  4143,  4149,  4158,  4165,  4172,  4179,  4186,
    4193,  4200,  4210,  4238,  4271,  4287,  4310,  4333,  4356,  4379,
    4402,  4425,  4448,  4473,  4498,  4523,  4548,  4573,  4595,  4620,
    4620,  4620,  4624,  4624,  4624,  4628,  4628,  4628,  4632,  4632,
    4632,  4636,  4667,  4692,  4708,  4723,  4744,  4775,  4814,  4853,
    4892,  4900,  4908,  4916,  4933,  4952,  4952,  4952,  4957,  5000,
    5008,  5016,  5022,  5042,  5047,  5069,  5087,  5105,  5139,  5143,
    5161,  5180,  5200,  5219,  5239,  5267,  5289,  5311,  5315,  5328,
    5341,  5354,  5369,  5373,  5386,  5399,  5412,  5427,  5443,  5454,
    5469,  5478,  5477,  5530,  5537,  5536,  5577,  5586,  5590,  5597,
    5616,  5621,  5636,  5643,  5647,  5656,  5670,  5683,  5703,  5717,
    5730,  5747,  5748,  5752,  5753,  5763,  5762,  5770,  5769,  5777,
    5776,  5784,  5783,  5792,  5791,  5800,  5799,  5808,  5807,  5817,
    5816,  5825,  5824,  5833,  5832,  5842,  5841,  5851,  5850,  5861,
    5860,  5871,  5870,  5880,  5881,  5882,  5884,  5883,  5896,  5900,
    5904,  5908,  5912,  5916,  5920,  5924,  5928,  5932,  5936,  5940,
    5944,  5949,  5948,  5963,  5978,  5993,  6008,  6008,  6008,  6015,
    6026,  6033,  6048,  6066,  6081,  6096,  6112,  6132,  6137,  6143,
    6168,  6232,  6252,  6269,  6286,  6287,  6291,  6319,  6321,  6329,
    6335,  6344,  6350,  6357,  6364,  6371,  6379,  6393,  6400,  6428,
    6428,  6440,  6441,  6445,  6446,  6450,  6451,  6455,  6457,  6456,
    6464,  6463,  6471,  6470,  6478,  6477,  6485,  6484,  6492,  6491,
    6501,  6502,  6506,  6507,  6508,  6512,  6513,  6514,  6522,  6528,
    6534,  6540,  6546,  6552,  6558,  6564,  6570,  6576,  6582,  6588,
    6593,  6602,  6611,  6612,  6624,  6628,  6634,  6642,  6650,  6658,
    6666,  6674,  6682,  6690,  6698,  6706,  6714,  6725,  6729,  6730,
    6734,  6765,  6800,  6801,  6805,  6806,  6807,  6808,  6809,  6810,
    6814,  6815,  6816,  6817,  6821,  6822,  6823,  6824,  6828,  6842,
    6846,  6854,  6858,  6873,  6898,  6912,  6926,  6943,  6944,  6948,
    6949,  6950,  6954,  6955,  6956,  6960,  6961,  6962,  6966,  6975,
    6975,  6975,  6981,  6982,  6986,  6990,  6994,  6995,  6999,  7023,
    7035,  7044,  7057,  7072,  7095,  7110,  7133,  7140,  7141,  7142,
    7143,  7144,  7145,  7146,  7147,  7148,  7149,  7150,  7151,  7152,
    7153,  7154,  7155,  7156,  7157,  7158,  7159,  7160,  7161,  7162,
    7163,  7171,  7172,  7177,  7176,  7183,  7187,  7191,  7192,  7196,
    7217,  7221,  7222,  7226,  7247,  7248,  7252,  7256,  7260,  7264,
    7271,  7280,  7281,  7285,  7286,  7287,  7288,  7289,  7290,  7291,
    7292,  7293,  7294,  7295,  7296,  7300,  7301,  7305,  7309,  7313,
    7317,  7324,  7325,  7326,  7330,  7331,  7332,  7336,  7340,  7344,
    7348,  7355,  7356,  7357,  7361,  7362,  7363,  7364,  7365,  7370,
    7376,  7378,  7382,  7383,  7387,  7388,  7392,  7399,  7400,  7404,
    7408,  7409,  7413,  7414,  7418,  7419,  7423,  7427,  7428,  7429,
    7433,  7437,  7445,  7446,  7447,  7452,  7460,  7473,  7474,  7475,
    7479,  7483,  7487,  7491,  7495,  7506,  7518,  7533,  7534,  7538,
    7553,  7576,  7584,  7595,  7608,  7622,  7658,  7701,  7715,  7723,
    7730,  7737,  7744,  7751,  7760,  7768,  7775,  7782,  7803,  7811,
    7818
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENTIFIER", "TYPEDEF_IDENTIFIER",
  "PATHPULSE_IDENTIFIER", "DEC_NUMBER", "BASE_NUMBER", "REALTIME",
  "STRING", "IGNORE", "K_LE", "K_GE", "K_EG", "K_EQ", "K_NE", "K_CEQ",
  "K_CNE", "K_LS", "K_LSS", "K_RS", "K_RSS", "K_SG", "K_ADD_A", "K_SUB_A",
  "K_MLT_A", "K_DIV_A", "K_MOD_A", "K_AND_A", "K_OR_A", "K_XOR_A",
  "K_LS_A", "K_RS_A", "K_ALS_A", "K_ARS_A", "K_INC", "K_DEC", "K_POW",
  "K_PO_POS", "K_PO_NEG", "K_STARP", "K_PSTAR", "K_LOR", "K_LAND",
  "K_NAND", "K_NOR", "K_NXOR", "K_TRIGGER", "K_always", "K_and",
  "K_assign", "K_begin", "K_buf", "K_bufif0", "K_bufif1", "K_case",
  "K_casex", "K_casez", "K_cmos", "K_deassign", "K_default", "K_defparam",
  "K_disable", "K_edge", "K_else", "K_end", "K_endcase", "K_endfunction",
  "K_endmodule", "I_endmodule", "K_endprimitive", "K_endspecify",
  "K_endtable", "K_endtask", "K_event", "K_for", "K_force", "K_forever",
  "K_fork", "K_function", "K_highz0", "K_highz1", "K_if", "K_generate",
  "K_endgenerate", "K_genvar", "K_initial", "K_inout", "K_input",
  "K_integer", "K_join", "K_large", "K_localparam", "K_macromodule",
  "K_medium", "K_module", "K_nand", "K_negedge", "K_nmos", "K_nor",
  "K_not", "K_notif0", "K_notif1", "K_or", "K_output", "K_parameter",
  "K_pmos", "K_posedge", "K_primitive", "K_pull0", "K_pull1", "K_pulldown",
  "K_pullup", "K_rcmos", "K_real", "K_realtime", "K_reg", "K_release",
  "K_repeat", "K_rnmos", "K_rpmos", "K_rtran", "K_rtranif0", "K_rtranif1",
  "K_scalered", "K_signed", "K_small", "K_specify", "K_specparam",
  "K_strong0", "K_strong1", "K_supply0", "K_supply1", "K_table", "K_task",
  "K_time", "K_tran", "K_tranif0", "K_tranif1", "K_tri", "K_tri0",
  "K_tri1", "K_triand", "K_trior", "K_trireg", "K_vectored", "K_wait",
  "K_wand", "K_weak0", "K_weak1", "K_while", "K_wire", "K_uwire", "K_wor",
  "K_xnor", "K_xor", "K_Shold", "K_Speriod", "K_Srecovery", "K_Ssetup",
  "K_Swidth", "K_Ssetuphold", "S_user", "S_ignore", "S_allow", "S_finish",
  "S_stop", "S_time", "S_realtime", "S_random", "S_srandom", "S_dumpfile",
  "S_urandom", "S_urandom_range", "S_realtobits", "S_bitstoreal", "S_rtoi",
  "S_itor", "S_shortrealtobits", "S_bitstoshortreal", "S_testargs",
  "S_valargs", "S_signed", "S_unsigned", "S_clog2", "K_automatic",
  "K_cell", "K_use", "K_library", "K_config", "K_endconfig", "K_design",
  "K_liblist", "K_instance", "K_showcancelled", "K_noshowcancelled",
  "K_pulsestyle_onevent", "K_pulsestyle_ondetect", "K_TU_S", "K_TU_MS",
  "K_TU_US", "K_TU_NS", "K_TU_PS", "K_TU_FS", "K_TU_STEP", "K_INCDIR",
  "K_DPI", "K_PP", "K_PS", "K_PEQ", "K_PNE", "K_bit", "K_byte", "K_char",
  "K_logic", "K_shortint", "K_int", "K_longint", "K_unsigned",
  "K_shortreal", "K_unique", "K_priority", "K_do", "K_always_comb",
  "K_always_latch", "K_always_ff", "K_typedef", "K_type", "K_enum",
  "K_union", "K_struct", "K_packed", "K_assert", "K_assume", "K_property",
  "K_endproperty", "K_cover", "K_sequence", "K_endsequence", "K_expect",
  "K_program", "K_endprogram", "K_final", "K_void", "K_return",
  "K_continue", "K_break", "K_extern", "K_interface", "K_endinterface",
  "K_class", "K_endclass", "K_extends", "K_package", "K_endpackage",
  "K_timeunit", "K_timeprecision", "K_ref", "K_bind", "K_const", "K_new",
  "K_static", "K_protected", "K_local", "K_rand", "K_randc", "K_randcase",
  "K_constraint", "K_import", "K_export", "K_scalared", "K_chandle",
  "K_context", "K_pure", "K_modport", "K_clocking", "K_iff", "K_intersect",
  "K_first_match", "K_throughout", "K_with", "K_within", "K_dist",
  "K_covergroup", "K_endgroup", "K_coverpoint", "K_optionDOT",
  "K_type_optionDOT", "K_wildcard", "K_bins", "K_illegal_bins",
  "K_ignore_bins", "K_cross", "K_binsof", "K_alias", "K_join_any",
  "K_join_none", "K_matches", "K_tagged", "K_foreach", "K_randsequence",
  "K_ifnone", "K_randomize", "K_null", "K_inside", "K_super", "K_this",
  "K_wait_order", "K_include", "K_Sroot", "K_Sunit", "K_endclocking",
  "K_virtual", "K_before", "K_forkjoin", "K_solve", "KK_attribute",
  "K_TAND", "'?'", "':'", "'|'", "'^'", "'&'", "'<'", "'>'", "'+'", "'-'",
  "'*'", "'/'", "'%'", "UNARY_PREC", "less_than_K_else", "','", "'='",
  "'('", "')'", "';'", "'#'", "'.'", "'{'", "'}'", "'['", "']'", "'~'",
  "'!'", "'0'", "'1'", "'x'", "'b'", "'f'", "'F'", "'l'", "'h'", "'B'",
  "'r'", "'R'", "'M'", "'n'", "'N'", "'p'", "'P'", "'Q'", "'_'", "'@'",
  "$accept", "main", "attribute_list_opt", "$@1", "$@2", "attribute_list",
  "attribute", "$@3", "$@4", "source_file", "description", "$@5", "$@6",
  "$@7", "$@8", "$@9", "$@10", "$@11", "module", "$@12", "module_start",
  "module_parameter_port_list_opt", "$@13", "module_parameter_port_list",
  "module_port_list_opt", "list_of_port_declarations", "port_declaration",
  "list_of_ports", "port_opt", "port", "port_reference",
  "port_reference_list", "number", "static_expr_port_list", "static_expr",
  "static_expr_primary", "expression", "expr_primary", "expression_list",
  "expression_port_list", "expression_systask_list", "begin_end_id",
  "identifier", "list_of_variables", "$@14", "udp_primitive",
  "udp_port_list", "udp_port_decls", "udp_port_decl", "udp_init_opt",
  "udp_initial", "udp_body", "$@15", "udp_entry_list",
  "udp_comb_entry_list", "udp_comb_entry", "udp_input_list",
  "udp_input_sym", "udp_output_sym", "udp_sequ_entry_list",
  "udp_sequ_entry", "generate_passign", "generate_item_list_opt",
  "generate_item_list", "generate_item", "$@16", "$@17", "$@18",
  "generate_case_item", "generate_case_items", "module_item_list_opt",
  "module_item_list", "module_item", "$@19", "$@20", "$@21", "$@22",
  "$@23", "$@24", "$@25", "$@26", "$@27", "$@28", "$@29", "$@30", "$@31",
  "$@32", "$@33", "$@34", "$@35", "$@36", "$@37", "$@38", "$@39", "$@40",
  "$@41", "for_initialization", "data_type", "data_type_opt",
  "struct_union", "struct_union_member_list", "data_type_or_void",
  "integer_vector_type", "integer_atom_type", "expression_assignment_list",
  "passign", "statement", "$@42", "$@43", "$@44", "$@45", "$@46", "$@47",
  "$@48", "$@49", "$@50", "$@51", "fork_statement", "$@52",
  "begin_end_block", "$@53", "if_statement_error", "statement_list",
  "statement_or_null", "lpvalue", "lavalue", "block_item_decls_opt",
  "block_item_decls", "block_item_decl", "$@54", "$@55", "$@56", "$@57",
  "$@58", "$@59", "$@60", "$@61", "$@62", "$@63", "$@64", "$@65", "$@66",
  "$@67", "$@68", "$@69", "case_item", "$@70", "$@71", "case_items",
  "delay1", "delay3", "delay3_opt", "delay_value", "delay_value_simple",
  "assign_list", "assign", "range_opt", "range", "range_or_type_opt",
  "register_variable", "$@72", "register_variable_list",
  "task_item_list_opt", "task_item_list", "task_item", "$@73", "$@74",
  "$@75", "$@76", "$@77", "$@78", "automatic_opt", "signed_opt",
  "unsigned_opt", "net_type_sign_range_opt", "primitive_type",
  "primitive_type_opt", "net_type", "var_type", "net_decl_assigns",
  "net_decl_assign", "drive_strength_opt", "drive_strength",
  "dr_strength0", "dr_strength1", "event_control", "event_expression_list",
  "event_expression", "charge_strength_opt", "charge_strength",
  "port_type", "defparam_assign_list", "defparam_assign",
  "parameter_value_opt", "$@79", "$@80", "parameter_value_byname_list",
  "parameter_value_byname", "gate_instance_list", "gate_instance",
  "gatetype", "function_item_list", "function_item", "$@81",
  "parameter_assign_decl", "parameter_assign_list", "parameter_assign",
  "localparam_assign_decl", "localparam_assign_list", "localparam_assign",
  "port_name_list", "port_name", "specify_item_list", "specify_item",
  "specparam_list", "specparam", "specify_simple_path_decl",
  "specify_simple_path", "specify_path_identifiers", "spec_polarity",
  "spec_reference_event", "spec_notifier_opt", "spec_notifier",
  "specify_edge_path_decl", "specify_edge_path", "polarity_operator",
  "specify_delay_value_list", "cond_specifier_opt", "enumeration",
  "enum_var_type_range_opt", "enum_variable", "enum_variable_list",
  "list_of_names", "typedef_decl", "single_index_expr", "index_expr",
  "ignore_more", "ignore_less", "start_lhs", "end_lhs", "inc_fork_depth",
  "dec_fork_depth", "inc_block_depth", "dec_block_depth", "inc_for_depth",
  "dec_for_depth", "inc_gen_expr_mode", "dec_gen_expr_mode", YY_NULL
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,    63,    58,
     124,    94,    38,    60,    62,    43,    45,    42,    47,    37,
     573,   574,    44,    61,    40,    41,    59,    35,    46,   123,
     125,    91,    93,   126,    33,    48,    49,   120,    98,   102,
      70,   108,   104,    66,   114,    82,    77,   110,    78,   112,
      80,    81,    95,    64
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   364,   365,   365,   367,   366,   368,   366,   366,   369,
     369,   370,   371,   372,   370,   373,   373,   374,   374,   374,
     374,   374,   374,   375,   374,   376,   374,   374,   374,   374,
     374,   374,   374,   374,   374,   374,   377,   374,   378,   379,
     374,   380,   381,   374,   374,   374,   374,   383,   382,   382,
     382,   384,   384,   386,   385,   385,   387,   387,   387,   388,
     388,   388,   389,   389,   389,   390,   390,   390,   390,   390,
     391,   391,   392,   392,   393,   393,   393,   393,   394,   394,
     394,   394,   395,   395,   396,   396,   396,   397,   397,   398,
     398,   398,   398,   398,   398,   398,   398,   398,   398,   398,
     398,   398,   398,   398,   398,   398,   398,   398,   398,   398,
     398,   398,   398,   398,   398,   398,   398,   398,   398,   398,
     398,   398,   399,   399,   399,   399,   399,   399,   399,   399,
     399,   399,   399,   400,   400,   400,   400,   400,   400,   400,
     400,   400,   400,   400,   400,   400,   400,   400,   400,   400,
     400,   400,   400,   400,   400,   400,   400,   400,   400,   400,
     400,   400,   400,   400,   400,   400,   400,   400,   400,   400,
     400,   400,   400,   400,   400,   400,   400,   400,   400,   400,
     400,   401,   401,   401,   401,   401,   401,   401,   401,   401,
     401,   401,   401,   401,   401,   401,   401,   401,   401,   401,
     401,   401,   401,   401,   401,   401,   401,   401,   401,   401,
     401,   401,   401,   401,   401,   401,   401,   401,   401,   401,
     402,   402,   402,   402,   403,   403,   404,   404,   405,   405,
     406,   406,   407,   408,   407,   407,   407,   409,   409,   410,
     410,   411,   411,   412,   412,   412,   413,   413,   414,   416,
     415,   417,   417,   418,   418,   419,   420,   420,   421,   421,
     421,   421,   421,   421,   421,   421,   421,   421,   421,   421,
     421,   421,   421,   421,   421,   421,   421,   421,   421,   421,
     422,   422,   422,   422,   423,   423,   424,   425,   425,   425,
     425,   425,   425,   425,   425,   425,   425,   425,   425,   425,
     425,   425,   426,   426,   427,   427,   428,   428,   429,   428,
     430,   431,   428,   428,   428,   428,   432,   432,   432,   432,
     433,   433,   434,   434,   435,   435,   436,   436,   437,   436,
     438,   436,   439,   436,   440,   436,   441,   436,   436,   442,
     436,   436,   436,   436,   436,   436,   436,   436,   436,   436,
     436,   443,   436,   436,   444,   445,   436,   436,   446,   436,
     447,   436,   448,   436,   436,   436,   449,   450,   436,   451,
     452,   436,   453,   436,   454,   436,   455,   436,   456,   436,
     457,   436,   436,   458,   459,   436,   436,   436,   436,   436,
     436,   436,   436,   436,   436,   436,   460,   461,   461,   461,
     461,   461,   462,   462,   463,   463,   463,   464,   464,   464,
     465,   465,   466,   466,   466,   467,   467,   467,   467,   467,
     467,   467,   468,   468,   469,   469,   469,   469,   469,   469,
     469,   469,   469,   469,   469,   469,   469,   469,   469,   471,
     472,   470,   473,   474,   470,   475,   476,   470,   477,   478,
     470,   470,   470,   470,   470,   470,   470,   470,   470,   470,
     470,   470,   470,   470,   470,   479,   480,   470,   470,   470,
     470,   470,   470,   470,   470,   470,   470,   470,   470,   470,
     470,   470,   470,   470,   470,   470,   470,   470,   470,   470,
     470,   470,   470,   470,   470,   470,   470,   470,   470,   470,
     470,   482,   481,   481,   484,   483,   483,   485,   485,   486,
     486,   486,   486,   487,   487,   488,   488,   488,   489,   489,
     489,   490,   490,   491,   491,   493,   492,   494,   492,   495,
     492,   496,   492,   497,   492,   498,   492,   499,   492,   500,
     492,   501,   492,   502,   492,   503,   492,   504,   492,   505,
     492,   506,   492,   492,   492,   492,   507,   492,   492,   492,
     492,   492,   492,   492,   492,   492,   492,   492,   492,   492,
     492,   508,   492,   509,   509,   509,   510,   511,   509,   512,
     512,   513,   513,   514,   514,   514,   514,   515,   515,   516,
     516,   517,   517,   517,   518,   518,   519,   520,   520,   521,
     521,   522,   522,   522,   522,   522,   522,   523,   523,   524,
     523,   525,   525,   526,   526,   527,   527,   528,   529,   528,
     530,   528,   531,   528,   532,   528,   533,   528,   534,   528,
     535,   535,   536,   536,   536,   537,   537,   537,   538,   538,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   538,   539,   539,   540,   540,   541,   541,   541,   541,
     541,   541,   541,   541,   541,   541,   541,   542,   543,   543,
     544,   544,   545,   545,   546,   546,   546,   546,   546,   546,
     547,   547,   547,   547,   548,   548,   548,   548,   549,   549,
     549,   550,   550,   550,   551,   551,   551,   552,   552,   553,
     553,   553,   554,   554,   554,   555,   555,   555,   556,   558,
     559,   557,   557,   557,   557,   557,   560,   560,   561,   561,
     562,   562,   563,   563,   563,   563,   563,   564,   564,   564,
     564,   564,   564,   564,   564,   564,   564,   564,   564,   564,
     564,   564,   564,   564,   564,   564,   564,   564,   564,   564,
     564,   565,   565,   567,   566,   566,   568,   569,   569,   570,
     571,   572,   572,   573,   574,   574,   575,   575,   575,   575,
     575,   576,   576,   577,   577,   577,   577,   577,   577,   577,
     577,   577,   577,   577,   577,   578,   578,   579,   579,   579,
     579,   580,   580,   580,   581,   581,   581,   582,   582,   582,
     582,   583,   583,   583,   584,   584,   584,   584,   584,   584,
     585,   585,   586,   586,   586,   586,   586,   587,   587,   588,
     588,   588,   588,   588,   588,   588,   588,   589,   589,   589,
     590,   590,   591,   591,   591,   592,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   594,   594,   595,   595,   596,
     596,   597,   597,   598,   598,   598,   598,   599,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     0,     0,     4,     0,     3,     0,     3,
       1,     1,     0,     0,     5,     1,     2,     1,     1,     8,
       1,     5,     5,     0,     5,     0,     7,     3,     4,     4,
       5,     3,     3,     6,     6,     1,     0,     4,     0,     0,
       9,     0,     0,    11,     2,     3,     3,     0,     9,     4,
       4,     1,     1,     0,     5,     0,     4,     3,     6,     3,
       3,     0,     1,     3,     3,     4,     7,    11,     4,     7,
       3,     1,     1,     0,     1,     5,     3,     7,     1,     8,
       6,     4,     1,     3,     1,     1,     2,     3,     1,     1,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     1,     1,     1,     3,     4,     4,     1,     1,
       1,     1,     4,     1,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       5,     1,     1,     1,     1,     2,     2,     2,     2,     1,
       1,     1,     1,     1,     1,     2,     3,     3,     3,     3,
       4,     6,     6,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     3,     3,     6,
       3,     1,     0,     2,     3,     1,     3,     1,     2,     0,
       1,     3,     1,     0,     3,     3,     4,    10,     3,     1,
       3,     1,     2,     5,     3,     3,     1,     0,     5,     0,
       4,     1,     1,     1,     2,     4,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     6,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     1,     0,     2,     1,     1,     3,     0,     6,
       0,     0,    15,     9,    11,    10,     5,     5,     4,     7,
       2,     1,     1,     0,     2,     1,     7,     7,     0,     7,
       0,     5,     0,     7,     0,     8,     0,     8,     6,     0,
       8,     4,     5,     5,     6,     4,     4,     7,     7,     1,
       4,     0,     5,     5,     0,     0,     8,     3,     0,     4,
       0,     4,     0,     4,     3,     3,     0,     0,    10,     0,
       0,    12,     0,     4,     0,     4,     0,     7,     0,     4,
       0,     5,     2,     0,     0,     8,     4,     4,     4,     2,
       5,     3,     3,     3,     9,     5,     1,     3,     2,     5,
       7,     1,     1,     0,     1,     1,     2,     4,     6,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     6,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     0,
       0,     7,     0,     0,     5,     0,     0,     7,     0,     0,
       5,     5,     4,     3,     3,     4,     7,     9,     9,     9,
       9,     9,     9,     8,    10,     0,     0,     8,    11,    11,
      11,     7,     7,     7,     9,     4,     4,     5,     2,     4,
       5,     5,     5,     5,     9,     9,     7,     7,     7,     7,
       7,     5,     2,     2,     2,     2,     5,     2,     2,     4,
       2,     0,     5,     0,     0,     4,     1,     1,     3,     2,
       1,     2,     1,     1,     1,     1,     4,     5,     1,     4,
       5,     1,     0,     1,     2,     0,     8,     0,     7,     0,
       7,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     5,     0,     6,     0,     5,     0,
       5,     0,     5,     4,     5,     5,     0,     5,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     0,     5,     3,     3,     2,     0,     0,     5,     2,
       1,     2,     4,     2,     4,     6,     8,     1,     0,     1,
       5,     1,     1,     1,     3,     1,     3,     1,     0,     5,
       6,     1,     1,     1,     1,     1,     0,     1,     3,     0,
       3,     1,     3,     1,     0,     2,     1,     1,     0,     6,
       0,     7,     0,     5,     0,     5,     0,     5,     0,     5,
       1,     0,     1,     1,     0,     1,     1,     0,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       1,     2,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       3,     4,     1,     0,     5,     5,     5,     5,     5,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     4,
       4,     1,     3,     3,     2,     2,     1,     1,     0,     3,
       3,     3,     1,     1,     1,     1,     2,     3,     3,     0,
       0,     6,     4,     2,     2,     0,     1,     3,     5,     4,
       3,     1,     6,     7,     4,     5,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     0,     6,     1,     3,     1,     3,     3,
       3,     1,     3,     3,     3,     1,     7,     5,     4,     2,
       1,     1,     2,     3,     2,     2,     6,     6,    10,     8,
      10,    10,    12,    10,     7,     1,     3,     3,     7,     3,
       7,     5,     3,     5,     6,     6,     3,     1,     4,     3,
       6,     1,     1,     0,     2,     2,     4,     4,     3,     1,
       0,     1,     1,     2,     2,     3,     1,     5,     3,     7,
      11,     7,    11,     7,    11,     7,    11,     1,     1,     1,
       1,     3,     1,     1,     0,     5,     2,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     3,     3,     1,     1,
       3,     4,     4,     3,     5,     5,     5,     2,     1,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       0,     0,     4,   727,   733,   734,   735,   743,    36,     0,
     728,   739,   730,   736,   737,   738,   729,   741,     0,     0,
       0,   744,   740,   742,   746,   749,   750,   659,   663,   631,
     745,   747,   748,   657,   662,   658,   661,   665,   698,   660,
     656,   666,   664,   732,   731,   634,   598,     0,     0,     0,
       0,    15,    17,    18,    35,   634,     0,     0,    20,    44,
       0,     0,     0,     0,   630,   634,     0,     0,     0,   859,
       0,   721,   859,     0,     0,     0,   598,   697,   650,   632,
     655,   655,   655,   655,   655,   655,   655,   655,   655,   655,
     655,   655,   633,   598,     0,     0,   598,   840,   598,   843,
     598,   841,   839,   842,     0,   844,   597,     0,     0,     1,
       0,     0,   556,    52,    51,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   551,     0,    16,
       0,   598,    23,   859,     0,     0,     0,     0,   849,     0,
      11,     0,    10,     7,   232,     0,    45,   606,     0,   238,
     859,     0,   682,   681,   680,   683,     0,   222,     0,    32,
     686,   685,   684,   687,     0,    31,     0,     0,     0,     0,
     588,   653,   652,   654,   634,   634,   634,   634,   634,   634,
     634,   634,   634,   634,   634,   634,   651,     0,     0,   836,
     837,   838,   124,    84,    85,   123,     0,     0,     0,   128,
     129,   130,   131,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   122,     0,    89,     0,     0,     0,   545,     0,
     636,   635,   537,   634,     0,     0,     0,     0,   634,   634,
     598,     0,     0,     0,     0,     0,     0,   634,     0,     0,
       0,   598,     0,   533,     0,   531,     0,   598,     0,   535,
       0,   539,     0,   541,     0,    47,     0,     0,     0,     0,
       0,     0,   593,   591,   592,     0,   583,   859,     0,     0,
       0,    27,     0,    46,    12,     5,     0,     0,     0,    37,
     602,   603,   604,   605,   601,     0,   239,     0,   770,     0,
       0,   765,   222,   859,     0,   230,   182,   183,     0,     0,
       0,     0,     0,   189,   190,   193,   194,   191,   192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
     181,   221,   133,   860,   184,   720,     0,    38,   701,   700,
     699,   587,    25,   598,   598,   598,   598,   598,   598,   598,
     598,   598,   598,   598,   598,   852,   851,     0,     0,    86,
      97,    98,    99,     0,    95,    96,    93,    90,    91,     0,
      92,    94,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   845,   848,     0,     0,
       0,   564,     0,   598,     0,     0,    50,    49,   570,     0,
       0,     0,   553,   568,   607,   611,     0,   569,     0,   558,
     598,   567,     0,   559,   527,   560,     0,   562,     0,   561,
     529,   563,     0,   565,     0,   566,     0,     0,    55,     0,
       0,     0,     0,   232,     0,     0,     0,     0,   669,     0,
       0,   589,     0,    28,     0,    29,   850,     0,     9,   234,
     235,     0,     0,     0,   769,     0,   724,   860,     0,   222,
       0,   187,   188,   151,   141,   152,   142,   153,   143,   859,
     859,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   149,   139,   150,   140,   147,
     137,   144,   134,   145,   135,     0,   221,     0,   146,   136,
     148,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,   185,   186,     0,     0,     0,   858,   195,     0,   614,
       0,   641,   645,   639,   644,   640,   643,   647,   642,   638,
     649,   646,   648,     0,    88,     0,     0,   125,   115,   114,
     116,   117,   112,   113,   106,   121,   120,   110,   109,   111,
       0,   108,   100,   107,   119,   118,   104,   105,   101,   102,
     103,     0,     0,     0,   835,     0,     0,     0,     0,   557,
     572,   554,   555,     0,   756,   757,     0,     0,     0,   548,
     550,   525,   544,     0,     0,     0,     0,     0,     0,     0,
     552,    53,    61,     0,     0,     0,     0,     0,     0,     0,
       0,   581,    21,     0,     0,    22,    24,     0,     0,   584,
      30,    13,   236,    41,   240,     0,     0,   764,     0,   725,
     860,    34,   198,   199,     0,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,   222,   218,   174,   175,   172,   176,   173,   177,
     168,   169,   170,   171,   160,   178,   179,   163,   164,   165,
       0,   162,   154,   161,   166,   167,   158,   159,   155,   156,
     157,   220,   726,   225,     0,   231,     0,   196,   197,   857,
      33,   704,   702,   703,     0,   617,     0,   613,   616,   634,
       0,     0,   126,   127,   132,   599,     0,   846,   847,     0,
     546,   538,     0,   760,   761,     0,     0,   608,   610,   612,
       0,     0,   534,   532,     0,   536,   540,   542,     0,     8,
       0,   679,   678,   676,   674,   677,   675,   670,     0,     0,
     668,     0,     0,    14,     8,   859,     0,     0,   247,   241,
       0,   768,     0,   722,     0,   860,   860,     0,   206,   207,
     208,   209,   210,   212,   211,   213,   214,   215,   216,   203,
     204,   205,     0,     0,     0,   200,     0,     0,     0,   853,
       0,   230,     0,   439,   865,   442,     0,   867,   445,   865,
     863,   448,     0,     0,     0,     0,     0,     0,     0,     0,
     832,   833,   865,     0,   514,   861,     0,   515,     0,   513,
      39,     0,   865,   865,     0,   615,   622,   626,   628,   634,
     624,   598,    26,    87,   600,     0,     0,     0,   759,   758,
       0,   528,   530,     0,    78,     0,     0,     0,     0,    62,
       0,    71,    72,    74,     0,   582,   671,     0,     0,   585,
     634,   755,     0,   751,     0,     0,     0,     0,   242,     0,
     246,   767,   860,   723,     0,     0,   226,     0,   180,   224,
       0,     0,     0,   500,     0,     0,     0,   229,     0,     0,
       0,     0,     0,   229,     0,     0,     0,     0,   859,   492,
     859,   493,   859,   494,   859,   495,     0,     0,   498,   222,
     688,   865,     0,     0,   497,     0,   478,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   598,     0,   618,    19,   763,   762,   526,
     634,     0,     0,     0,    82,     0,   703,   634,     8,    60,
      73,    59,     0,   372,   374,     0,     0,     0,     0,   325,
     349,   590,     0,   598,    42,   752,   860,   244,   245,     0,
     249,     0,     0,   201,   202,   219,   855,   856,   854,     0,
     454,   861,   518,     0,     0,   504,   866,     0,   453,     0,
       0,   866,   501,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   866,   862,     0,     0,     0,     0,
     696,     0,   691,     0,   862,    40,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   424,     0,     0,   866,   866,     0,
       0,     0,     0,     0,     0,     0,   620,     0,     0,   598,
       0,    54,     0,     0,     0,     0,    76,   667,   655,     0,
      64,    63,    70,   382,     0,     0,     0,   715,   330,     0,
       0,     0,   351,     0,     0,   703,     0,     0,   376,   631,
     698,   358,   360,   362,     0,     0,     0,     0,   655,   634,
       0,     0,   389,    48,   324,   586,   753,     0,     0,     0,
       0,   237,   766,   499,   222,     0,     0,   228,   522,     0,
     443,     0,   401,   419,   414,   421,   412,   415,   416,   413,
     417,   418,   420,   405,   404,     0,   402,     0,     0,   634,
     634,   396,     0,   455,   522,   452,   449,   865,   865,   865,
     865,   860,   860,   860,   860,     0,     0,     0,   866,   690,
     695,   694,     0,     0,   689,     0,   516,     0,   479,     0,
       0,     0,     0,     0,   475,   476,     0,     0,     0,     0,
       0,   623,   627,   629,     0,   625,     0,     0,   634,    57,
      81,   860,     0,     0,    83,   634,    68,    65,     0,   869,
     310,   869,     0,     0,   305,   306,     0,     0,     0,     0,
       0,     0,     0,   357,     0,   354,   672,     0,     0,     0,
     705,     0,     0,   634,   364,   634,   859,     0,   859,     0,
     859,     0,     0,     0,   598,     0,     0,     0,   391,   392,
     393,   365,   634,   598,   634,     0,     0,     0,     0,     0,
      43,   243,     0,   261,   279,   263,   264,   258,   259,   260,
     262,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   251,   253,     0,   256,
     252,   284,   862,   862,     0,     0,   521,   523,   451,   444,
       0,   406,     0,     0,   634,     8,   598,   398,   403,     0,
       0,   450,     0,     0,     0,     0,     0,     0,     0,     0,
     491,     0,   517,   477,   692,   693,   496,     0,   481,   483,
       0,   480,   482,   865,   865,   865,   465,   865,     0,   619,
      56,   598,     0,     0,     0,    75,   598,     0,     0,     0,
       0,     0,   373,   304,   375,     0,     0,     0,   714,   713,
     709,     0,     0,   383,   386,   588,     0,   706,     0,   350,
       0,   387,   606,   598,     0,   346,     0,   345,     0,   379,
       0,     0,   588,   359,   361,   363,   598,   328,     0,   598,
       0,     0,     0,   341,   388,     0,   248,   250,   254,     0,
       0,   257,     0,   285,     0,   519,   440,   512,   510,     0,
     524,   868,     0,     0,     0,     0,     0,     0,   397,     0,
     446,     0,   866,   866,   866,   866,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   621,     0,
     860,    80,     0,     0,   308,   307,     0,     0,     0,   395,
       0,   390,     0,   222,     0,   716,   353,   331,     0,   355,
     708,   707,   352,     0,   336,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   860,   771,     0,     0,
       0,     0,   381,   366,   339,     0,     0,     0,     0,   334,
     342,     0,   343,   754,     0,   283,   258,   259,   260,     0,
       0,     0,   520,   441,   511,   509,   471,     0,     0,   422,
       8,   411,   410,     0,     8,   598,     0,   447,   502,   456,
     486,   473,   472,   487,   488,   489,   490,     0,     0,     0,
     576,     0,     0,   580,     0,   576,     0,   576,     0,   466,
     507,   866,    58,     0,    77,    69,    66,     0,     0,     0,
       0,     0,     0,     0,   710,     0,   712,   384,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   785,     0,     0,
       0,     0,     0,     0,     0,   797,     0,     0,   803,   772,
       0,   774,     0,   775,     0,   614,     0,     0,     0,     0,
     338,     0,     0,   344,   280,   281,   282,     0,   255,   515,
       0,     0,     0,     0,     0,     0,     0,   399,     0,     0,
       0,     0,     0,     0,     0,   575,     0,   576,   579,     0,
       0,     0,     0,     0,   467,     0,   463,    79,   859,     0,
     865,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   300,   301,     0,     0,   870,     0,     0,
       0,   717,     0,     0,     0,   595,   369,     0,   348,   347,
       0,     0,     0,     0,   773,     0,     0,   809,     0,     0,
       0,     0,     0,     0,   796,     0,   803,   803,   801,   802,
       0,     0,   377,     0,   792,     0,   818,     0,     0,   326,
     327,   329,   333,     0,     0,     0,     0,     0,     0,   598,
     407,     0,   423,   474,   485,   484,     0,   460,   574,   573,
     457,   461,   458,   462,   459,   508,     0,     0,   309,     0,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   287,     0,   865,     0,   719,     0,   711,   385,
       0,     0,   356,     8,   337,     0,   787,     0,   789,   786,
     805,   133,   804,   133,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   799,     0,     0,     0,   830,     0,
       0,   367,   340,   335,   286,   868,   868,   868,   400,     0,
     577,   464,   860,   859,   870,     0,   321,     0,     0,     0,
     394,   718,   596,   594,     0,     0,     0,     0,     0,     0,
       0,   808,     0,   810,     0,     0,     0,     0,   798,     0,
       0,     0,     0,     0,     0,     0,   793,     0,   791,   817,
       0,   470,   469,   468,   408,   578,    67,   870,   870,     0,
     870,   320,   870,     0,   866,   370,   776,   777,     0,     0,
     807,   806,     0,   816,   812,     0,   811,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   794,   795,   831,   368,     0,     0,   869,     0,     0,
       0,   313,     0,     0,     0,   810,   813,     0,   814,   810,
     810,   810,   784,     0,   823,     0,   825,     0,   819,     0,
     821,     0,   800,     0,   869,   318,   869,   315,     0,     0,
     371,   788,   790,     0,   779,   815,     0,     0,     0,     0,
     827,   828,   829,     0,     0,     0,     0,   860,   317,   316,
       0,   314,     0,     0,     0,     0,   810,     0,     0,     0,
       0,   869,   311,   778,   780,   781,   783,     0,     0,     0,
       0,     0,   319,     0,     0,   824,   826,   820,   822,     0,
     782,   312
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    48,   976,    60,    61,   141,   142,   457,   763,    50,
      51,   261,   550,    62,   549,   927,   764,  1117,    52,   438,
     128,   622,   748,   961,   750,   858,   859,   860,   861,   862,
     863,   965,   330,   563,   451,   214,   656,   332,  1532,   704,
     657,  1005,   334,   145,   277,    53,   287,   768,   769,   879,
     880,   991,  1120,  1285,  1286,  1287,  1288,  1289,  1500,  1290,
    1291,  1550,  1212,  1213,  1214,  1547,  1350,  1943,  1786,  1787,
     977,   978,  1215,  1486,  1222,  1488,  1592,  1560,  1586,  1231,
    1365,  1558,  1245,  1246,  1247,  1585,  1820,  1743,  1872,  1084,
    1085,  1240,  1241,  1242,  1458,  1652,  1145,  1146,  1147,  1148,
    1417,  1513,  1149,  1150,  1151,   828,   829,   896,  1503,   898,
    1299,   901,  1517,   904,  1311,  1436,  1624,  1013,  1154,  1006,
    1128,  1539,  1409,   830,   831,  1653,  1295,  1296,   980,   740,
     613,   616,   428,   426,   432,   402,   434,   436,   239,   400,
     233,   235,   254,   223,   224,  1533,  1612,  1825,  1534,   832,
     341,   342,  1768,   266,  1654,  1655,   105,   106,   285,   415,
     607,   416,   716,   717,   718,  1068,  1194,   950,   954,   951,
     952,    65,   230,   222,    94,   173,   174,    55,  1078,   447,
     448,  1225,   132,   258,   259,   833,  1031,  1032,    76,    77,
     719,  1229,  1230,  1221,  1453,  1650,  1454,  1455,    70,    71,
      56,   872,   873,  1259,   231,   604,   605,   404,   733,   734,
     290,   291,  1476,  1477,  1566,  1567,  1478,  1479,  1578,  1681,
    1668,  1845,  1846,  1480,  1481,  1913,  1769,   834,    57,   107,
     397,   398,   139,    58,   546,   547,   157,   540,   925,  1167,
     903,  1518,   897,  1129,   900,  1506,  1349,  1734
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -1579
static const yytype_int16 yypact[] =
{
    7668,  -298,    55, -1579, -1579, -1579, -1579, -1579, -1579,    73,
   -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,   306,   123,
     125, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,   -44,
   -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,  -167, -1579,
   -1579, -1579, -1579, -1579, -1579,  1081,   211,   -46,   182,  2172,
    7851, -1579, -1579, -1579, -1579,   -50,    12,   296, -1579, -1579,
     356,   384,   465,   413, -1579,   -79,   174,   497,   322,   707,
     261, -1579,   887,   305,   659,   380,   348, -1579, -1579, -1579,
      -2,    -2,    -2,    -2,    -2,    -2,    -2,    -2,    -2,    -2,
      -2,    -2, -1579,   348,   713,   791,   348, -1579,   348, -1579,
     348, -1579, -1579, -1579,   126, -1579,   420,   485,   838, -1579,
     511,   622,   855,   852,   871,   108,   541,   831,   236,  1015,
     193,   627,   689,   235,   701,   702,   767, -1579,   910, -1579,
    1482,   348, -1579,  1482,   141,   143,    79,   510, -1579,   538,
     590,    -4, -1579, -1579,   597,   544, -1579,    95,   963, -1579,
     -42,   359, -1579, -1579, -1579, -1579,   609,  4173,   143, -1579,
   -1579, -1579, -1579, -1579,   638, -1579,   644,   693,   705,   724,
     673, -1579, -1579, -1579,   -79,   -79,   -79,   -79,   -79,   -79,
     -79,   -79,   -79,   -79,   -79,   -79, -1579,   750,   763, -1579,
   -1579, -1579,   412,  1113, -1579, -1579,   432,   432,   432, -1579,
   -1579, -1579, -1579,   785,   432,   432,   432,   432,   432,   126,
     432,   432, -1579,  7126, -1579,   126,  1123,   795, -1579,   802,
   -1579, -1579, -1579,   -79,  1144,  1098,  1104,   830,   -79,   -79,
     348,   853,   854,  1171,   862,  1171,   883,   -79,   894,  1171,
     908,   348,   909, -1579,   929, -1579,   953,   348,   981, -1579,
     982, -1579,   998, -1579,  1171, -1579,  1024,  1039,  1048,  1068,
      68,    75, -1579, -1579, -1579,   126, -1579, -1579,   564,   143,
     572, -1579,  1344, -1579, -1579, -1579,   356,   348,  1396, -1579,
   -1579, -1579, -1579, -1579,   420,  1406, -1579,   -75, -1579,  1411,
     238, -1579,  4173,   -42,   143, -1579, -1579, -1579,  1412,  1412,
    1500,  3694,  3924,  1082,  1086, -1579, -1579,  1087,  1092,  1105,
    1120,  1125,  1126,  1127,  1131,  1133,  1135,  1146,  1148,  1149,
    1151,  4246,  4268,  4452,  4474,  4527,  4173,  4173,  4551,  4575,
   -1579,  6909, -1579,  1100,   227, -1579,   143, -1579, -1579, -1579,
   -1579, -1579, -1579,   348,   348,   348,   348,   348,   348,   348,
     348,   348,   348,   348,   348, -1579, -1579,   126,   126, -1579,
   -1579, -1579, -1579,   126, -1579, -1579, -1579, -1579, -1579,  6503,
   -1579, -1579,   126,   126,   126,   126,   126,   126,   126,   126,
     126,   126,   126,   126,   126,   126,   126,   126,   126,   126,
     126,   126,   126,   126,   126,  7228,  1115, -1579,   102,  1448,
    1171, -1579,  1171,   348,  1152,  1153, -1579, -1579, -1579,  1154,
    1159,  1481, -1579, -1579,    14, -1579,   600, -1579,   601, -1579,
     348, -1579,   614, -1579, -1579, -1579,  1171, -1579,  1171, -1579,
   -1579, -1579,  1171, -1579,  1171, -1579,  1171,   621,  1167,   887,
     707,   681,  1106,   140,   142,   629,  1484,   639, -1579,  1158,
     650,  7266,   240, -1579,   675, -1579, -1579,  4173, -1579,   420,
     348,  1169,  1514,  1182,  1186,   -42, -1579,  1100,   289,  4173,
     676,  -158,  -158, -1579, -1579, -1579, -1579, -1579, -1579, -1579,
   -1579,  4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,
    4173,  4173,  4173,  4173,  4173, -1579, -1579, -1579, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579,  2991,  1772,   153, -1579, -1579,
   -1579, -1579,  4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,
    4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,
    4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,
    1184, -1579, -1579,  4173,  1519,  4173, -1579,     4,   741,  7321,
     465, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,
   -1579, -1579, -1579,   419,  7338,  4758,  6539, -1579,   286,   286,
    1444,  1444,   198,   198, -1579,  1392,  7359,   525,  1331,  1331,
    4800,  7374,  1331,   525,   286,   286,   186,   186, -1579, -1579,
   -1579,   126,   126,  1123, -1579,  1192,   743,   755,  1524, -1579,
   -1579, -1579, -1579,  1196,  1198, -1579,  4173,   348,  1171, -1579,
   -1579, -1579, -1579,  1171,   765,   770,  1171,   786,   800,   808,
   -1579, -1579,  1197,  1199,  1203,  1204,  1207,  1208,  1209,  4173,
     126, -1579, -1579,  1200,    75, -1579, -1579,   126,   126, -1579,
   -1579,  6909,   420, -1579, -1579,   189,  3645, -1579,  1210, -1579,
    1100, -1579,  1191,  1191,  4173,  4173,  6909,   442,   480,   486,
     556,   586,   655,   666,   703,   749,   789,   882,  5593,  5644,
    5683, -1579,  4173, -1579,   599,   599,   788,   788,   788,   788,
     203,   203,   203,   203, -1579,  6967,  1538,   255,  6710,  6710,
    2560,  7302,  6710,   255,   599,   599,   271,   271, -1579, -1579,
   -1579,  6909, -1579,  6909,   944, -1579,  2034, -1579, -1579, -1579,
   -1579, -1579, -1579, -1579,  3448, -1579,  2491,  7321, -1579,   889,
     814,   126, -1579, -1579, -1579, -1579,  4931,  7338, -1579,  1528,
   -1579, -1579,  1214,  1216, -1579,  4173,  1481,  6909,   420, -1579,
    1171,   821, -1579, -1579,   839, -1579, -1579, -1579,  1226,    83,
    1225, -1579, -1579, -1579, -1579, -1579, -1579,  6909,  1229,  4173,
   -1579,  7287,  1000, -1579,   191, -1579,  1562,  1563,   783, -1579,
    1236, -1579,  4173, -1579,  1237,  1238,  1238,  4173, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,
   -1579, -1579,   179,  4173,  4173, -1579,   126,   126,  4173, -1579,
    1240,  1255,  1574, -1579, -1579, -1579,  1412, -1579, -1579, -1579,
   -1579, -1579,  1245,  1246,  1253,   317,   467,   758,   774,  1254,
   -1579, -1579, -1579,  1257, -1579, -1579,   110,   611,  1259, -1579,
   -1579,  1019, -1579, -1579,   811, -1579, -1579, -1579, -1579,   -79,
   -1579,   348, -1579,  7338, -1579,  1261,  4173,  1524,  6909, -1579,
     840, -1579, -1579,  1493,  1248,  1596,  1598,   116,  1037, -1579,
    1062, -1579, -1579, -1579,  8826, -1579,  6909,   126,   126, -1579,
     -79, -1579,  2109, -1579,   465,  1266,  1267,  1604, -1579,  1475,
   -1579, -1579,  6909, -1579,  1275,  1282,  6909,  1278,  6909,  6909,
    4941,  4977,  4553, -1579,  1387,  1288,    15,  1307,    15,   801,
    1294,    15,  2693,   -55,    15,  4173,  4173,  3670, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579, -1579,  4173,  2693, -1579,  4173,
   -1579, -1579,  3461,  4173, -1579,  1191, -1579,  1556,  2728,  4173,
    4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,  4173,
    4173, -1579, -1579,  2816,  2491,  2491,  1298,  1299,  1302,  1304,
     465,   465,   465,   348,   465, -1579, -1579,  6909, -1579, -1579,
     -79,  1066,   857,  1305, -1579,   206,  1525,  3811,   117, -1579,
      91, -1579,  1306, -1579, -1579,  1309,  9222,  1572,  9024, -1579,
   -1579,  7338,  1310,   348, -1579, -1579,  1312, -1579, -1579,  1313,
   -1579,  1578,  1316, -1579, -1579, -1579, -1579, -1579, -1579,  1325,
   -1579, -1579,  1067,  1319,  1659,  1600, -1579,  1330, -1579,  2084,
    1337, -1579, -1579,  1581,  1352,  5719,  5755,  1356,  5792,  4173,
    4173,  4173,  4173,  1093, -1579,  1100,  2491,  1359,  4173,  4173,
    6909,   -54, -1579,  1095,  1191, -1579,  1361,   150,  5026,  4173,
    4173,  6909,  6909,  6909,  6909,  6909,  6909,  6909,  6909,  6909,
    6909,  6909,  6909,  1362,  6909,  4173,  4173, -1579, -1579,  4173,
    4173,  4173,  3718,   848,   849,   893, -1579,   911,   465,   348,
      64, -1579,  1358,   126,    69,  1598, -1579, -1579,    -2,  1155,
   -1579, -1579, -1579, -1579,  8232,   465,  1202,  -145,   511,  2693,
      19,    16, -1579,    76,  2693,  1525,   157,   158,   188,   -44,
    -167, -1579, -1579, -1579,  1467,  1466,  1464,  2693,    -2,  2064,
      12,   296, -1579, -1579, -1579, -1579, -1579,  1640,  1372,   547,
    7865, -1579, -1579, -1579,  4173,  1191,  4173, -1579,  2827,  1645,
   -1579,  1376, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,
   -1579, -1579, -1579,  1424, -1579,  1388, -1579,  1723,  -166,   -79,
     -79,  1395,  4173, -1579,  2827, -1579, -1579, -1579, -1579, -1579,
   -1579,  1397,  1397,  1397,  1397,  1394,  1582,  1391, -1579, -1579,
    6909,  6909,  3966,  3966, -1579,  1398, -1579,  4173, -1579,  5093,
    5129,  4173,  5165,  5201, -1579, -1579,  5828,  5864,  5915,  1393,
    5977, -1579, -1579, -1579,   465, -1579,   914,  1481,   -79, -1579,
   -1579,  7323,  1598,  1400, -1579,   -79, -1579, -1579,  6966, -1579,
   -1579, -1579,  1649,  8034, -1579, -1579,   919,  1401,  1405,  1507,
     109,   143,  1171, -1579,  1109, -1579, -1579,   183,    63,   920,
   -1579,   465,  1674,   -79, -1579,   -79,   707,   921,   887,   926,
   -1579,  1671,  1744,  1743,   348,  2693,  2693,  2693, -1579, -1579,
   -1579, -1579,   -50,   348,   -79,   143,    79,   927,   936,   465,
   -1579, -1579,  1413, -1579, -1579, -1579, -1579, -1579, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579,  1675,  7865, -1579,  7113, -1579,
    7865, -1579,  1100,  1191,  5270,  2615,  2827, -1579, -1579, -1579,
    2693, -1579,  3902,  1415,   -79,   -11,   348, -1579,  1687,  5349,
    2615, -1579,  2693,  2491,  2693,  2693,  1416,  1417,  1418,  1419,
   -1579,  1421, -1579, -1579, -1579, -1579, -1579,  6013, -1579, -1579,
    6049, -1579, -1579, -1579, -1579, -1579, -1579, -1579,   938, -1579,
   -1579,   348,   126,  1408,   223, -1579,   348,  1754,  1693,  1426,
    1428,  1440, -1579, -1579, -1579,  1439,  1768,  1442, -1579, -1579,
    1441,   939,   941, -1579, -1579,   673,  4173, -1579,  1412, -1579,
     946, -1579,    95,   348,  1445, -1579,  1446, -1579,   835, -1579,
    1711,  1449,   673, -1579, -1579, -1579,   348, -1579,  1235,   348,
     954,   143,   955, -1579, -1579,   956, -1579, -1579, -1579,  7158,
    7511, -1579,  7694, -1579,  1456, -1579, -1579, -1579, -1579,  1894,
   -1579, -1579,  1462,  5388,  4173,  1461,  6676,   224, -1579,  1798,
   -1579,  2289, -1579, -1579, -1579, -1579,  1468,  1469,  1470,  1471,
    4173,  1447,  1447,  3160,  3191,  3222,  2491,  2491, -1579,  1481,
    7338, -1579,  1473,  1360, -1579, -1579,   126,  1799,   126, -1579,
    1479, -1579,  1809,  4173,  1112, -1579, -1579, -1579,  4173, -1579,
    6909, -1579, -1579,  1810, -1579,   143,   143,  1485,  1382,  1486,
    1487,  1489,  1491,  1492,  1494,   698,   835, -1579,  1495,  1496,
    1497,  1499, -1579, -1579, -1579,    68,    75,  1501,   465, -1579,
   -1579,   962, -1579, -1579,   300, -1579,  1502,  1504,  1508,  1511,
    1509,  7865, -1579, -1579, -1579, -1579, -1579,   133,   122,  6909,
     -11, -1579, -1579,   465,  1786,   348,  1503, -1579, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579, -1579, -1579,  6086,  4173,  4173,
    1769,  2367,   100, -1579,  2921,  1769,  2921,  1769,  2921, -1579,
    1783, -1579, -1579,  1506, -1579, -1579,  1516,  8430,  6575,   218,
    1515,  6637,  1841,  1518,  1100,  1441, -1579,  6909,    15,  1520,
     465,   968,   970,  4173,  1521,  1522,   975, -1579,  4757,  4757,
    4757,  4757,  4757,  4757,  1547,  1542,  1854,  1854,   262, -1579,
    1813, -1579,   148, -1579,   149,  7321,   465,   978,   983,   993,
   -1579,   994,   465, -1579, -1579, -1579, -1579,   300, -1579,  1067,
    1550,  1845,  1551,  1552,   375,  1012,  6676, -1579,  4173,  1553,
    5424,  5460,  1569,  1824,  2491, -1579,  2491, -1579, -1579,  1826,
    1827,  1828,  1839,  1846, -1579,  2491,  1843, -1579, -1579,  1848,
   -1579,   126,   126,   126,   126,   126,   126,   126,   126,   126,
     126,   126,   126, -1579, -1579,   126,   126, -1579,  1579,  3991,
    1580, -1579,  1583,  1585,  1018, -1579, -1579,  1021, -1579, -1579,
    6122,  4173,  4198,  1382, -1579,  4173,  4173,  1603,  1589,  1590,
    1607,  1608,  1610,  1611, -1579,  2624,   262,   262, -1579, -1579,
    1932,   243, -1579,  1097, -1579,   126, -1579,  2491,  1023, -1579,
   -1579, -1579, -1579,  1026,  1612,  2693,  4173,  2693,  2693,   348,
   -1579,   465,  6909, -1579, -1579, -1579,  2491, -1579, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579, -1579,  2491,   126, -1579,  3413,
    7338,  7338,  7338,  7338,  7338,  7338,  7338,  7338,  7338,  7338,
    7338,  7338,  7338,  1150, -1579,  1616, -1579,  6158, -1579, -1579,
    4173,    15, -1579,   191, -1579,  1602,  6833,  4173,  6909, -1579,
    6909,  1629,  6909,  1630,  4173,  4757,  4173,  4757,  4757,  4173,
    4757,  1613,   298,   445,  1617,  4173,  4173,  1619, -1579,  1114,
    1118, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,  1038,
   -1579, -1579,  7338, -1579,  1638,   101, -1579,  3112,  1799,  8628,
   -1579, -1579,  6909, -1579,  2109,  1624,  1625,  4173,  5496,  4173,
    4173,  6909,  1631,  5013,  1633,  1634,  5532,  1635, -1579,   160,
     161,   175,   176,  2624,  6209,  6245, -1579,   126, -1579, -1579,
    1889, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,  8628,
   -1579, -1579, -1579,  1639, -1579, -1579, -1579, -1579,  6897,  4173,
    6909,  6909,  4173, -1579,  1412,  1643,  1636,  4173,  4173,  4173,
    1637,  4173,  1644,  2624,  1646,  2624,  1663,  2624,  1664,  2624,
    1652, -1579, -1579, -1579, -1579,  1661,  8628, -1579,  8628,  1934,
    1950,  1938,  1936,  4173,  6307,  5013,  1666,  1670,  1412,  5013,
    5013,  5013, -1579,  6674, -1579,   147, -1579,   147, -1579,   147,
   -1579,   147, -1579,  8628, -1579, -1579, -1579, -1579,  1688,  8628,
   -1579,  6909, -1579,  1673, -1579,  1666,  1678,  1679,  1680,  4173,
   -1579, -1579, -1579,  4173,  4173,  4173,  4173, -1579, -1579, -1579,
    2007, -1579,  1682,  1683,  1684,  1685,  5013,  6343,  6380,  6416,
    6452, -1579, -1579, -1579, -1579, -1579, -1579,  1681,  1689,  1690,
    1691,  1692, -1579,  8430,  1686, -1579, -1579, -1579, -1579,  1958,
   -1579, -1579
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1579, -1579,     0, -1579, -1579, -1579,  1752, -1579, -1579, -1579,
    1979, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579, -1579,  1063, -1579,  1060, -1579,
    -792,   832,   292, -1579,   351,  1185,  -150,  -232,  -152,  -611,
    -430,  1134,   596,     8, -1579, -1579, -1579, -1579,  1270, -1579,
   -1579, -1579, -1579, -1579, -1579,   753,  -845,  -741,   444, -1579,
     752,   259, -1195, -1579, -1070, -1579, -1579, -1579,   256, -1579,
   -1579, -1579,  -819, -1579, -1579, -1579, -1579, -1579, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1375,   748, -1579,
     551,   456, -1579, -1579, -1579, -1391,  -331, -1579, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,
   -1579, -1579,   756,  -739,  -813,  -244,   913, -1579,     1, -1579,
   -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579, -1579,
   -1579, -1579, -1579, -1579, -1579,  -677, -1579, -1579,  -713,  -237,
     -52, -1158,  -239,  -433, -1579,   324,   -13,   -59,   691,  1474,
   -1579,  -207,   484, -1579,  1353, -1579, -1579, -1579, -1579, -1579,
   -1579,   -19,   886,  1009,  1107, -1579,    17,  -928,   980,  -259,
    1452, -1579,   -53,   -48,   -41,  -914, -1579,  -275,   988, -1579,
    -776, -1579, -1166, -1579, -1579, -1579, -1579,   526,   -14,  1925,
    1129,   346,  -860, -1579,   727, -1579,  -719, -1579, -1579,  1260,
    1815,  1641, -1579,   626, -1579,   454,   373, -1579,  -577,  -643,
    -938, -1578, -1579,   377, -1579, -1281,   435, -1579,   -37, -1579,
    1530, -1579,  1013,  1156,  -522,  -438,   -77,  -451,  -788, -1007,
   -1579, -1579,  -695,  -214, -1579, -1462, -1092, -1225
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -867
static const yytype_int16 yytable[] =
{
      49,    54,   450,   136,   135,   333,    73,   331,    95,   151,
      74,   631,   985,  1348,  1040,    68,   648,   849,   295,   295,
    1224,   156,  -673,   446,   446,   709,   452,  1176,   418,  1056,
       2,   164,   422,   652,   653,  -503,   275,   919,    59,   707,
     708,  1512,   137,   775,   776,   979,    79,   437,  1108,  1172,
      49,    54,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,  1367,   170,   964,  1304,   295,   603,   474,   476,
     478,   443,   854,   292,    63,    79,  -631,  1232,   449,  -631,
     186,   967,    68,   189,   269,   190,   854,   191,   284,   496,
     498,   500,   502,   504,   854,    -6,   509,   511,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   227,
    1358,  -634,   171,   920,   902,  1359,  1600,  1603,   260,  1351,
    1080,   268,   270,  1602,     2,   295,    68,   917,    68,   192,
     709,   709,   193,   194,   195,   237,   295,   944,   945,    92,
     467,    64,   331,  1353,   262,   262,    68,   263,   263,   264,
     264,   262,   262,   920,   263,   263,   264,   264,     2,  1114,
      68,    68,  -631,  1852,  1854,  -631,   288,    75,    92,  1198,
     196,   197,   198,  1305,  1219,   507,   505,   506,  1856,  1858,
     544,  1254,   109,   545,   280,  1910,  1911,  -631,  -631,  -380,
    -631,  -631,  1220,   596,   240,   597,  -634,   228,  -631,   774,
    1109,  -631,  1461,   711,   712,  1057,  1058,  1459,  -631,   281,
     282,  -631,   172,  1124,  1125,    96,   469,   411,   459,   614,
     966,   615,   229,   378,  1484,   617,  1026,   618,   424,   619,
     283,  1512,     2,    79,   430,   378,   246,   236,  -634,  -655,
     522,  1631,  1632,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,  1641,  1642,  1643,  1644,   454,  1765,   462,    64,  -378,
     463,    64,   541,   542,  1004,  1766,   512,   513,   445,   514,
     515,   516,   517,   518,   519,   520,   521,   765,  1173,   870,
     470,  1174,  1203,  1204,   130,  1404,  1405,  1168,   108,   199,
     200,  -631,   522,   766,  -631,   201,   289,  1903,   202,   138,
      97,  1906,  1907,  1908,   376,   767,   377,   641,   522,    66,
     203,  1809,  1033,  1821,  1822,  1823,    67,   650,    79,   331,
    1810,  -409,   548,   378,   884,   885,    92,    98,   276,  -409,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   668,   669,   670,   545,   133,   606,  1937,   134,
     171,  1199,  1629,   130,  1001,  -609,  -673,   104,  -673,   140,
      79,  -655,   674,   675,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   689,   690,   691,
     692,   693,   694,   695,   696,   697,   698,   699,   700,   701,
     598,   758,   624,   703,   628,   706,   212,   446,   623,   762,
     626,   642,   654,   655,   215,   444,   741,   611,  1202,   744,
     964,    92,   444,   267,  -631,   -73,   134,  -631,   -73,  1616,
    1830,   855,   856,    99,   143,   100,   101,   102,   103,   855,
     856,   992,   539,   539,   593,   192,   104,   921,   193,   194,
     195,  1399,   594,  1360,   922,  1402,   204,   205,   206,  -634,
     172,   207,   208,    92,  -655,   213,   737,    69,  1811,    72,
     209,   825,  1312,  1313,  1314,  1315,  1912,  1812,   144,   210,
     211,   167,   825,   629,   168,   265,   630,   267,  1340,   757,
     146,  -233,  1683,  1685,   922,   539,  1023,  1034,   212,   212,
     212,  1236,  1238,   673,  1853,  1855,   212,   212,   212,   212,
     212,   212,   212,   212,   703,   703,   169,   212,   148,  1857,
    1859,   539,   709,   392,   393,   394,  1366,  1528,  1529,   887,
     792,   544,   331,   390,   391,   392,   393,   394,   534,   535,
     536,   537,   538,   850,  -634,  1118,   372,   373,  1075,   374,
     375,   984,   232,   376,  -547,   377,  1076,  1401,   738,   714,
     715,  1645,   104,   193,   194,  1075,  1514,   212,   720,  1829,
     369,   543,   378,  1442,  1515,   544,   395,   149,   545,   772,
     465,  1011,   638,   466,  1423,   639,  -634,  -655,   532,   533,
     534,   535,   536,   537,   538,   848,  1024,  1678,  1679,  1161,
    1162,  1163,  1164,   158,  1680,   199,   200,   159,   536,   537,
     538,   201,  1865,  1866,   202,  1868,  1914,  1869,  1915,   866,
    1916,   390,   391,   392,   393,   394,   203,   518,   519,   520,
     521,   465,   882,   219,   649,  -637,  1495,   886,   242,   982,
    -637,  1669,  1670,  1671,  1672,  1673,   522,   158,  1433,  1434,
    1435,   165,  1437,   888,   889,  1594,  1595,  1596,   892,   212,
     212,   908,  1003,   909,  1007,   212,   150,  1010,  1401,  1499,
    1014,  1401,   166,   104,   212,   212,   212,   212,   212,   212,
     212,   212,   212,   212,   212,   212,   212,   212,   212,   212,
     212,   212,   212,   212,   212,   212,   212,  1293,   874,   104,
     244,  1039,  -637,   293,  1601,  1601,   957,  1540,  1541,  1574,
     215,  1575,   248,   250,  -637,  -637,  1055,  1514,   564,   565,
    1316,  1317,  1318,  1319,   566,  1699,   187,   714,   715,  1834,
    1542,  1536,  1538,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   357,   220,  1949,   857,
    1343,   721,   220,   358,   722,  1015,  1016,  1018,  1223,  1867,
    1499,   215,   625,  1234,   714,   871,   209,  1025,   252,   331,
    -637,   709,  1030,   703,   777,  1895,  1251,   778,  1038,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,  1050,  1051,
    1052,   160,  1615,  1054,   188,  1576,  1894,  1153,  1896,   512,
     513,   910,  1918,   911,  1919,  1577,   518,   519,   520,   521,
    1166,   161,   777,   162,   220,   779,   152,  1802,   777,  1804,
    1805,   780,  1807,  1917,   216,   522,   220,   220,   955,  1921,
     163,  1019,   234,  1020,  -549,  1021,   153,  1022,   154,  1942,
     221,   217,   158,  1184,  1185,   221,   271,   218,   388,   389,
     390,   391,   392,   393,   394,   155,  -571,  1618,  1072,  1618,
    -859,  1618,   225,  -859,  -859,  -859,   946,   947,   948,   877,
     272,   765,   714,   871,   273,  1708,   278,  1709,  1170,  1171,
     279,   226,   986,   212,   212,  1073,  1715,   766,   777,  1179,
    1180,   781,   220,   949,   471,   472,   158,  1324,  1325,   767,
     453,  -859,  -859,  -859,   158,  1182,  1183,   221,   455,  1186,
    1187,  1188,  1190,   255,  1383,  1384,  1385,  1467,   777,   221,
     221,   782,   212,   274,   534,   535,   536,   537,   538,   212,
     212,    93,   608,   608,   985,  1719,   609,   610,  -233,  1111,
    1066,   131,   726,   727,   294,   923,   608,   924,  1771,   544,
     612,   147,  -861,   608,  1323,   409,   410,   620,  1063,  1064,
    1065,   278,  1067,  1468,  1408,   632,   286,  1780,   857,  1411,
    1116,   634,  1292,   336,   331,   635,  1294,  1781,   836,  1408,
     337,  1422,   634,  1424,  1425,   221,   636,   777,   761,  1543,
     783,  1469,  1470,  1471,  1472,  1473,  1474,   160,   777,  1676,
    1677,   784,  1309,   837,   838,   839,   241,   158,   158,   247,
     134,   640,   651,   212,    79,  1362,   238,   161,  -543,   162,
    -859,  -859,  1030,  1030,   840,  1580,  -859,  1327,   338,  -859,
     928,  1330,  1228,  1762,  1763,   777,   163,  1226,   785,  1789,
     339,  -859,   929,   930,   931,   932,   933,   934,   935,   936,
     937,   938,   939,   940,   941,   942,  1197,  1256,  1255,   340,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   843,   158,  1233,   608,  1196,   710,  1505,   730,
    1243,   777,  1237,  1239,   786,    78,   355,   608,   212,   212,
    1505,   731,   912,  1216,   913,  1205,  1257,   608,  1767,   356,
     192,   742,   608,   193,   194,   195,   743,    92,   914,   403,
     915,   532,   533,   534,   535,   536,   537,   538,   608,   363,
     359,   777,   745,   420,   787,  1252,   396,   399,   714,  1297,
     243,   245,   608,   249,   251,   253,   746,  1008,   401,   544,
     608,   196,   197,   198,   747,   405,   278,   890,   891,  1684,
     842,  1686,  1413,   608,   714,  1297,  1206,   851,  1207,   212,
     212,   372,   373,  1378,   374,   375,   408,   406,   376,  1475,
     377,   608,   608,   407,   414,   852,   959,  -859,  -859,  -859,
     278,   278,  -859,  -859,  1191,  1192,   627,   378,  1374,   412,
     413,  -859,   379,   380,   381,   382,   383,  1376,   417,  1387,
    -859,  -859,  1338,  1217,  1391,  1218,    79,  1361,  1519,  1520,
    1521,  1522,    80,    81,   777,   152,  1460,   788,   981,   419,
      82,    83,    84,    85,    86,   278,  1588,  1589,    87,  1193,
     421,  1382,    88,    89,    90,   153,  1487,   154,  -332,  1370,
    1388,  1390,  1392,   278,   423,   425,   278,  1195,   446,   446,
    1339,   278,  1368,   158,   155,  1354,  1369,  1375,   158,   158,
     199,   200,  1377,  1393,  1509,   427,   201,  1395,   272,   202,
     278,   158,  1394,   608,  1438,  1456,   794,  1457,   278,   795,
    1527,   203,  1462,   331,   331,   331,   158,   158,   278,   429,
    1490,  1492,  1493,  1418,   158,    91,   714,  1410,  1593,    92,
     158,  1554,   158,   331,  1658,  1416,  1659,  1663,  1557,    46,
     278,  1664,   827,   284,  1689,   634,  1613,   431,   433,  1690,
    1619,  1620,  1621,  1622,  1623,   634,   278,  1626,  1439,  1691,
    1692,  1826,   868,  1443,   435,   869,  1667,  1667,  1667,  1667,
    1667,  1667,   372,   373,   278,   374,   375,   456,  1700,   376,
    1741,   377,   943,   278,  1742,   278,   439,  1744,   278,  1772,
    1464,  1545,  1773,  1546,  1775,   212,  1776,  1777,   378,   968,
     278,   440,   969,  1485,  1824,   381,  1489,  1491,  1610,  1611,
     441,   360,   361,   362,   331,  1564,   331,  1565,   331,   364,
     365,   366,   367,   368,   970,   370,   371,   971,  1070,   460,
     442,  1071,   899,   372,   373,   544,   374,   375,  -861,   461,
     376,  1262,   377,  1660,   464,   295,   479,   204,   205,   206,
     480,   481,   207,   208,  1201,   777,   482,   794,  1165,   378,
    1175,   209,   539,  1751,  1753,   380,   381,   382,   383,   483,
     210,   211,  1363,  1761,  1555,  1364,  1817,  1556,   592,  1818,
    1817,  1561,  1562,  1819,   484,   372,   373,   595,  1702,   485,
     486,   487,   376,  1835,   377,   488,  1931,   489,   827,   490,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     491,   378,   492,   493,   603,   494,  1788,   633,   599,   600,
     601,   629,  1002,  1587,  1002,   602,  1591,  1002,   827,  1737,
    1002,   473,  1607,   295,   621,   643,   193,   194,   296,   297,
    1416,  1746,  1748,   827,  1606,  1750,  1752,   644,   645,   702,
     646,  1605,   705,  1667,   729,  1667,  1667,   732,  1667,   735,
     736,   749,   545,   759,   751,   298,   299,   845,   752,   753,
     827,   827,   754,   755,   756,   773,  1054,   846,   847,   512,
     513,  1717,   514,   515,   516,   517,   518,   519,   520,   521,
     853,   864,   256,   257,   865,   875,   876,  1785,  1657,   331,
     794,   881,   883,  1832,   894,   522,   893,   895,  1863,   905,
     906,  1860,   525,   526,   527,   714,   715,   907,   916,   962,
    1792,   152,   160,   918,  1688,   926,   956,  1798,   960,   963,
    1693,   854,   987,   988,  1801,   841,  1803,   989,   990,  1806,
     993,   153,   161,   154,   162,  1814,  1815,   994,   995,   999,
    1871,  1885,   827,  1887,  1000,  1889,  1004,  1891,  1009,  1035,
     155,   163,  1059,  1060,   212,  1785,  1061,   331,  1062,  1074,
    1113,  1077,  1083,  1086,   278,  1115,  1119,  1838,  1121,  1840,
    1841,  1122,  1126,   387,   388,   389,   390,   391,   392,   393,
     394,  1123,  1127,   303,   304,  -506,  1130,   305,   306,   307,
    1152,  1155,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   827,  1778,  1227,  1156,  1874,
     827,  1159,  1875,  1440,  1169,  1177,  1181,  1879,  1880,  1881,
    1200,  1883,  1248,   827,  1249,  1250,  1827,  1260,  1261,  1779,
    1298,  1300,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,  1301,  1901,  1302,   953,  1303,  1308,  1336,   777,
    1320,  1322,  1321,  1352,  1326,  1345,  1355,  1356,   212,  1357,
     212,  1371,  1379,   714,   871,  1380,  1381,  1397,  1414,  1396,
    1441,  1426,  1427,  1428,  1429,  1430,   983,  1444,  1445,  1926,
    1446,  1132,  1447,  1927,  1928,  1929,  1930,   388,   389,   390,
     391,   392,   393,   394,  1448,  1449,  1133,  1450,  1451,  1452,
    1465,  1466,  1482,   512,   513,  1483,   514,   515,   516,   517,
     518,   519,   520,   521,   714,   871,  1502,  1548,  1507,  1551,
    1510,  1516,  1549,  1134,  1523,  1524,  1525,  1526,  1544,   522,
    1037,  1552,  1553,  1559,   523,   524,   525,   526,   527,  1563,
    1568,  1569,  1135,  1570,  1227,  1571,  1572,     2,  1573,  1582,
    1597,  1581,  1584,  1583,   326,  -866,  1608,  1590,  -280,   327,
    -281,   827,   827,   827,  -282,  1598,  1069,  1625,  1627,  1628,
    1648,  1646,  1649,    93,  1661,  1662,  1656,  1575,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   929,   930,
     931,   932,   933,   934,   935,   936,   937,   938,   939,   940,
     941,   942,  1674,  1675,  1682,  1695,  1697,  1698,  1706,  1703,
    1707,   827,  1710,  1711,  1712,   800,   827,   801,  1136,  1137,
    1138,  1139,  1140,  1141,  1142,  1713,   827,  1716,   827,   827,
     827,   827,  1714,  1718,  1735,  1738,  1143,  1144,  1740,  1739,
    1754,  1755,  1756,   212,   212,   212,   212,   212,   212,   212,
     212,   212,   212,   212,   212,  1764,  1475,   212,   212,  1757,
    1758,   802,  1759,  1760,   803,   804,  1799,  1800,  1774,  -834,
    -834,  -834,  1790,   805,  1816,  1808,   806,  1828,  1813,  -505,
    1836,  1837,  1864,  1842,  1227,  1847,  1848,  1851,  1878,   807,
     808,   809,   810,  1882,  1870,   212,  -834,   212,  1877,  1884,
    1893,  1886,  1720,  1721,  1722,  1723,  1724,  1725,  1726,  1727,
    1728,  1729,  1730,  1731,  1892,  1253,  1732,  1733,  1888,  1890,
    1897,  1898,  1899,  1900,   544,   827,  1904,  1920,  1922,   212,
    1932,   811,   812,  1923,  1924,  1925,  1944,   827,  1933,  1934,
    1935,  1936,  1950,  1951,  1945,  1946,  1947,  1948,   458,   129,
    1082,  1081,   827,   827,  1344,  1306,  1307,  1012,   878,  1398,
     813,  1694,  1403,  1831,   814,   512,   513,  1833,   514,   515,
     516,   517,   518,   519,   520,   521,  1419,   815,   816,   817,
     818,  1604,  1701,  1463,   819,  1793,  1421,  1310,  1782,  1687,
     835,   522,   796,   797,  1079,  1235,   523,   524,   525,   526,
     527,  1651,   739,   335,  1341,  1131,   760,  -403,  1244,  1794,
     528,  1346,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,  1579,  1599,  1599,  1110,   647,   958,   468,   212,
     800,   672,   801,    -8,   820,   821,   822,  1749,  1795,  1372,
    1770,  1373,  1796,   728,  1258,     0,   823,   827,     0,     0,
       0,     0,  1112,     0,     0,     0,     0,     0,  1386,     0,
    1389,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       2,     0,     0,     0,  1002,     0,   802,     0,  1132,   803,
     804,     0,     0,     0,  -834,  -834,  -834,     0,   805,     0,
       0,   806,     0,  1133,     0,     0,   110,     0,  1696,     0,
       0,     0,     0,     0,   807,   808,   809,   810,     0,    79,
    1415,  -834,     0,     0,     0,    27,    28,   870,    -8,     0,
    1134,    -8,     0,    33,    34,    35,    36,    37,     0,     0,
     827,    39,   827,     0,    -8,    40,    41,    42,     0,  1135,
       0,   827,     0,    -8,    -8,    -8,   811,   812,     0,     0,
    1504,   444,     0,   825,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    -8,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   813,     0,   826,     0,   814,
       0,   111,     0,     0,   112,   113,     0,   114,     0,     0,
       0,     0,   815,   816,   817,   818,     0,   115,     0,   819,
       0,     0,    92,   827,     0,     0,   116,   117,   118,     0,
     800,   827,   801,   827,   827,  1136,  1137,  1138,  1139,  1140,
    1141,  1142,   827,     0,     0,     0,     0,   119,     0,     0,
       0,     0,   827,  1143,  1144,     0,     0,     0,     0,     0,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,    -8,   820,
     821,   822,     0,     0,     0,     0,   802,  1002,     0,   803,
     804,   823,     0,     0,  -834,  -834,  -834,     0,   805,     0,
       0,   806,   528,   798,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   807,   808,   809,   810,   800,     0,
     801,  -834,     0,     0,     0,     0,   799,     0,     0,  -864,
       0,     0,     0,   120,   121,   122,   123,   124,   125,   126,
     827,   127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   811,   812,     0,     0,
       0,     0,     0,     0,   802,     0,     0,   803,   804,     0,
       0,     0,  -834,  -834,  -834,     0,   805,     0,     0,   806,
       0,     0,     0,     0,     0,   813,     0,     0,     0,   814,
    1876,     0,   807,   808,   809,   810,   444,     0,   825,  -834,
       0,     0,   815,   816,   817,   818,     0,     0,     0,   819,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   826,     0,  1905,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   811,   812,     0,     0,     0,     0,
       0,     0,   800,     0,   801,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   820,
     821,   822,     0,   813,     0,     0,     0,   814,     0,     0,
       0,   823,     0,     0,     0,     0,     0,     0,     0,     0,
     815,   816,   817,   818,     0,     0,     0,   819,   802,     0,
       0,   803,   804,     0,     0,     0,  -834,  -834,  -834,     0,
     805,     0,     0,   806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   807,   808,   809,   810,
       0,   512,   513,  -834,   514,   515,   516,   517,   518,   519,
     520,   521,     0,     0,     0,     0,     0,   820,   821,   822,
       0,     0,     0,     0,     0,     0,     0,   522,     0,   823,
       0,     0,   523,   524,   525,   526,   527,     0,   811,   812,
       0,     0,     0,     0,     0,     0,   800,     0,   801,     0,
       0,     0,     0,     0,     0,  1504,   444,   295,   825,     0,
     193,   194,   296,   297,     0,     0,     0,   813,     0,     0,
       0,   814,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   826,     0,   815,   816,   817,   818,     0,   298,
     299,   819,   802,     0,     0,   803,   804,     0,     0,     0,
    -834,  -834,  -834,     0,   805,     0,     0,   806,     0,     0,
       0,     0,     0,     0,     0,     0,  1614,     0,     0,     0,
     807,   808,   809,   810,   800,     0,   801,  -834,     0,     0,
       0,     0,     0,   824,   444,     0,   825,     0,     0,     0,
       0,   820,   821,   822,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   823,     0,     0,     0,     0,     0,     0,
     826,   295,   811,   812,   193,   194,   296,   297,     0,     0,
     802,     0,     0,   803,   804,     0,     0,     0,  -834,  -834,
    -834,     0,   805,     0,     0,   806,     0,     0,     0,     0,
       0,   813,     0,   298,   299,   814,     0,     0,   807,   808,
     809,   810,   300,   301,   302,  -834,     0,     0,   815,   816,
     817,   818,     0,     0,     0,   819,     0,   303,   304,     0,
       0,   305,   306,   307,     0,     0,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
     811,   812,     0,     0,     0,     0,     0,     0,     0,   295,
       0,     0,   193,   194,   296,   297,     0,   824,   444,     0,
     825,    -8,     0,     0,     0,   820,   821,   822,     0,   813,
       0,     0,     0,   814,     0,     0,  1036,   823,     0,     0,
       0,   298,   299,     0,   826,     0,   815,   816,   817,   818,
     300,   301,   302,   819,     0,     0,     0,     0,     2,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   528,   793,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   303,   304,     0,     0,   305,   306,   307,     0,     0,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   820,   821,   822,    -8,     0,     0,    -8,
       0,     0,  1617,     0,   295,   823,     0,   193,   194,   296,
     297,     0,    -8,     0,  1053,     0,     0,     0,     0,     0,
       0,    -8,    -8,    -8,     0,     0,     0,     0,     0,     0,
       0,  1407,   444,     0,   825,     0,   298,   299,   326,     0,
       0,     0,    -8,   327,     0,   300,   301,   302,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   826,   303,
     304,  1531,     0,   305,   306,   307,     0,  -866,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   522,     0,
     444,     0,   825,   523,   524,   525,   526,   527,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,     0,    -8,     0,   321,   322,
     323,     0,     0,   324,   325,     0,   826,     0,     0,     0,
       0,     0,   326,     0,     0,   444,     0,   327,     0,     0,
       0,   328,   329,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   303,   304,     0,     0,   305,   306,
     307,  1037,     0,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,     0,     0,     0,     0,
       0,     0,     0,  1783,     0,   295,     0,     0,   193,   194,
     296,   297,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   321,   322,   323,     0,
       0,   324,   325,     0,     0,     0,     0,   298,   299,     0,
     326,     0,     0,   444,     0,   327,   300,   301,   302,   328,
     329,  1530,     0,   295,     0,     0,   193,   194,   296,   297,
       0,     0,  1784,     0,     0,     0,     0,     0,  -866,  1037,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1535,     0,   295,   298,   299,   193,   194,   296,
     297,     0,     0,     0,   300,   301,   302,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1531,     0,     0,  1537,     0,   295,   298,   299,   193,   194,
     296,   297,     0,     0,     0,   300,   301,   302,     0,     0,
    -222,   321,   322,   323,     0,     0,   324,   325,     0,     0,
       0,  1531,     0,  -222,     0,   326,     0,   298,   299,     0,
     327,     0,     0,     0,   328,   329,   300,   301,   302,     0,
       0,     0,     0,     0,     0,   303,   304,     0,     0,   305,
     306,   307,  1531,     0,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,     0,   303,   304,     0,   671,   305,   306,   307,
       0,     0,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   303,   304,     0,     0,   305,   306,
     307,     0,     0,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   303,   304,     0,     0,   305,
     306,   307,     0,     0,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,     0,     0,     0,
       0,     0,     0,     0,  1783,     0,   295,     0,     0,   193,
     194,   296,   297,     0,     0,     0,     0,     0,     0,     0,
       0,  -222,   321,   322,   323,     0,     0,   324,   325,     0,
       0,     0,     0,     0,  -222,     0,   326,     0,   298,   299,
       0,   327,   110,     0,     0,   328,   329,   300,   301,   302,
       0,     0,  1027,     0,   295,     0,     0,   193,   194,   296,
     297,     0,     0,  1784,     0,     0,     0,     0,     0,  -222,
     321,   322,   323,     0,     0,   324,   325,     0,     0,     0,
       0,     0,  -222,     0,   326,     0,   298,   299,     0,   327,
       0,     0,     0,   328,   329,   300,   301,   302,     0,     0,
    -222,   321,   322,   323,     0,     0,   324,   325,     0,     0,
       0,     0,     0,  -222,     0,   326,     0,     0,     0,     0,
     327,     0,     0,     0,   328,   329,     0,   111,     0,     0,
     112,  -222,   321,   322,   323,     0,     0,   324,   325,     0,
       0,     0,     0,   115,  -222,     0,   326,     0,  1028,     0,
       0,   327,   116,   117,   118,   328,   329,     0,  1029,     0,
       0,     0,     0,     0,     0,     0,   303,   304,     0,     0,
     305,   306,   307,   119,     0,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   303,   304,     0,     0,   305,   306,
     307,     0,     0,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   770,     0,  -859,     0,
       0,  -859,  -859,  -859,  -859,     0,     0,     0,     0,   120,
     121,   122,   123,   124,   125,   126,     0,   127,     0,     0,
       0,  1017,     0,   295,     0,     0,   193,   194,   296,   297,
    -859,  -859,     0,     0,     0,     0,     0,     0,     0,  -859,
    -859,  -859,     0,     0,     0,   475,     0,   295,     0,     0,
     193,   194,   296,   297,     0,   298,   299,     0,     0,     0,
       0,     0,     0,     0,   300,   301,   302,     0,     0,  1189,
       0,   295,     0,     0,   193,   194,   296,   297,     0,   298,
     299,     0,  -222,   321,   322,   323,     0,     0,   324,   325,
       0,     0,     0,     0,     0,  -222,     0,   326,     0,     0,
       0,     0,   327,   298,   299,     0,   328,   329,     0,     0,
       0,     0,   300,   301,   302,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   321,   322,   323,     0,     0,   324,   325,     0,     0,
       0,     0,     0,     0,     0,   326,     0,     0,     0,     0,
     327,     0,     0,     0,   328,   329,     0,     0,  -859,  -859,
       0,     0,  -859,  -859,  -859,    78,     0,  -859,  -859,  -859,
    -859,  -859,  -859,  -859,  -859,  -859,  -859,  -859,  -859,  -859,
       0,     0,     0,   303,   304,     0,     0,   305,   306,   307,
       0,     0,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,     0,     0,   303,   304,     0,
       0,   305,   306,   307,     0,     0,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
       0,   303,   304,     0,     0,   305,   306,   307,     0,     0,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,  1412,     0,   295,     0,     0,   193,   194,
     296,   297,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   477,     0,   295,     0,     0,
     193,   194,   296,   297,     0,     0,    79,   298,   299,     0,
       0,     0,    80,    81,     0,     0,   300,   301,   302,     0,
      82,    83,    84,    85,    86,     0,     0,     0,    87,   298,
     299,     0,    88,    89,    90,  -859,  -859,  -859,     0,   295,
    -859,  -859,   193,   194,   296,   297,     0,     0,     0,  -859,
     771,     0,     0,     0,  -859,     0,     0,     0,  -859,  -859,
     321,   322,   323,     0,   295,   324,   325,   193,   194,   296,
     297,   298,   299,     0,   326,     0,     0,     0,     0,   327,
     300,   301,   302,   328,   329,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    91,   298,   299,   326,    92,
       0,     0,     0,   327,     0,   300,   301,   302,   321,   322,
     323,     0,     0,   324,   325,     0,     0,     0,     0,     0,
       0,     0,   326,     0,     0,     0,     0,   327,     0,     0,
       0,   328,   329,  1028,     0,   303,   304,     0,     0,   305,
     306,   307,     0,  1029,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   303,   304,     0,
       0,   305,   306,   307,     0,     0,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   303,
     304,     0,     0,   305,   306,   307,     0,     0,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,     0,     0,     0,   303,   304,     0,     0,   305,   306,
     307,     0,     0,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   295,     0,     0,   193,
     194,   296,   297,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   295,     0,     0,   193,   194,   296,   297,   298,   299,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
       0,     0,   321,   322,   323,     0,     0,   324,   325,     0,
       0,     0,     0,   298,   299,     0,   326,     0,     0,     0,
       0,   327,   300,   301,   302,   328,   329,   495,     0,   295,
       0,     0,   193,   194,   296,   297,     0,     0,   326,     0,
       0,     0,     0,   327,     0,     0,     0,     0,     0,   497,
       0,   295,     0,     0,   193,   194,   296,   297,     0,     0,
       0,   298,   299,     0,     0,     0,   321,   322,   323,     0,
       0,   324,   325,     0,     0,     0,     0,     0,     0,     0,
     326,     0,     0,   298,   299,   327,     0,     0,     0,   328,
     329,   321,   322,   323,     0,     0,   324,   325,     0,     0,
       0,     0,     0,     0,     0,   326,  1736,     0,     0,     0,
     327,     0,     0,     0,   328,   329,   303,   304,     0,     0,
     305,   306,   307,     0,     0,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,     0,     0,
       0,   303,   304,     0,     0,   305,   306,   307,     0,     0,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   303,
     304,     0,     0,   305,   306,   307,     0,     0,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   303,   304,     0,     0,   305,   306,   307,     0,     0,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   499,     0,   295,     0,     0,   193,   194,
     296,   297,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   501,     0,   295,     0,     0,
     193,   194,   296,   297,     0,     0,     0,   298,   299,     0,
       0,     0,     0,   321,   322,   323,     0,     0,   324,   325,
       0,     0,     0,     0,     0,     0,     0,   326,     0,   298,
     299,     0,   327,     0,     0,     0,   328,   329,   321,   322,
     323,     0,     0,   324,   325,     0,     0,     0,   503,     0,
     295,     0,  1747,   193,   194,   296,   297,   327,     0,     0,
       0,   328,   329,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   508,     0,   295,     0,     0,   193,   194,   296,
     297,     0,   298,   299,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,     0,   510,     0,   295,     0,
     326,   193,   194,   296,   297,   327,   298,   299,     0,     0,
     522,     0,     0,     0,     0,   523,   524,   525,   526,   527,
       0,     0,   326,     0,     0,     0,     0,   327,     0,     0,
     298,   299,     0,     0,     0,   303,   304,     0,     0,   305,
     306,   307,     0,     0,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   303,   304,     0,
       0,   305,   306,   307,     0,     0,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     303,   304,     0,     0,   305,   306,   307,     0,     0,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,     0,     0,   303,   304,     0,     0,   305,   306,
     307,     0,     0,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,     0,     0,   303,   304,
       0,     0,   305,   306,   307,     0,     0,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     295,     0,     0,   193,   194,   296,   297,     0,     0,   372,
     373,     0,   374,   375,     0,     0,   376,     0,   377,     0,
       0,     0,     0,     0,     0,     0,   326,     0,     0,     0,
       0,   327,   298,   299,     0,   378,     0,     0,     0,     0,
     379,   380,   381,   382,   383,     0,     0,     0,   326,     0,
       0,   372,   373,   327,   374,   375,     0,     0,   376,     0,
     377,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   378,     0,     0,
       0,     0,   379,   380,   381,   382,   383,     0,     0,     0,
       0,     0,     0,     0,  1665,     0,     0,     0,     0,     0,
       0,   326,     0,     0,  1666,     0,   327,     0,     0,     0,
       0,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,     0,   326,     0,     0,     0,     0,
     327,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   326,
       0,     0,     0,     0,   327,     0,     0,     0,     0,     0,
     303,   304,     0,     0,   305,   306,   307,     0,     0,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   372,   373,     0,   374,   375,     0,     0,   376,
       0,   377,   372,   373,     0,   374,   375,     0,     0,   376,
       0,   377,     0,     0,     0,     0,     0,     0,   378,     0,
       0,     0,     0,   379,   380,   381,   382,   383,   378,     0,
       0,     0,     0,   379,   380,   381,   382,   383,   372,   373,
       0,   374,   375,     0,     0,   376,     0,   377,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   378,     0,  1843,     0,     0,   379,
     380,   381,   382,   383,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,     0,     0,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,     0,     0,
     522,     0,     0,     0,     0,   523,   524,   525,   526,   527,
       0,     0,     0,   522,     0,     0,     0,     0,   523,   524,
     525,   526,   527,     0,     0,     0,     0,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,     0,     0,
       0,   326,     0,     0,     0,     0,   327,     0,     0,     0,
     723,     0,     0,     0,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,     0,     0,     0,     0,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     522,     0,     0,     0,     0,   523,   524,   525,   526,   527,
     512,   513,   725,   514,   515,   516,   517,   518,   519,   520,
     521,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   522,     0,     0,     0,
       0,   523,   524,   525,   526,   527,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   522,     0,     0,     0,     0,   523,   524,   525,
     526,   527,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   522,     0,
       0,     0,     0,   523,   524,   525,   526,   527,     0,     0,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,     0,     0,   844,     0,     0,     0,     0,     0,     0,
       0,   512,   513,   996,   514,   515,   516,   517,   518,   519,
     520,   521,     0,     0,     0,     0,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   522,     0,     0,
       0,     0,   523,   524,   525,   526,   527,     0,     0,   997,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   528,  1844,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,     0,     0,     0,
     512,   513,  1178,   514,   515,   516,   517,   518,   519,   520,
     521,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   522,     0,     0,     0,
       0,   523,   524,   525,   526,   527,     0,     0,     0,   512,
     513,     0,   514,   515,   516,   517,   518,   519,   520,   521,
       0,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,     0,   522,     0,     0,     0,  1328,
     523,   524,   525,   526,   527,   512,   513,     0,   514,   515,
     516,   517,   518,   519,   520,   521,     0,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
       0,   522,     0,     0,     0,  1329,   523,   524,   525,   526,
     527,   512,   513,     0,   514,   515,   516,   517,   518,   519,
     520,   521,     0,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,     0,   522,     0,     0,
       0,  1331,   523,   524,   525,   526,   527,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,     0,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,     0,   522,     0,     0,     0,  1332,   523,   524,
     525,   526,   527,   512,   513,     0,   514,   515,   516,   517,
     518,   519,   520,   521,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   522,
       0,     0,     0,     0,   523,   524,   525,   526,   527,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
       0,     0,     0,     0,   512,   513,  1406,   514,   515,   516,
     517,   518,   519,   520,   521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     522,     0,     0,     0,     0,   523,   524,   525,   526,   527,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   512,   513,     0,   514,   515,
     516,   517,   518,   519,   520,   521,     0,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
       0,   522,     0,     0,     0,  1420,   523,   524,   525,   526,
     527,     0,     0,     0,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,     0,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,     0,
     522,     0,     0,     0,  1508,   523,   524,   525,   526,   527,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,     0,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,     0,   522,     0,     0,     0,
    1704,   523,   524,   525,   526,   527,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,     0,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
       0,     0,   522,     0,     0,     0,  1705,   523,   524,   525,
     526,   527,     0,   512,   513,     0,   514,   515,   516,   517,
     518,   519,   520,   521,   528,     0,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,     0,  1839,   522,
       0,   671,     0,     0,   523,   524,   525,   526,   527,   512,
     513,     0,   514,   515,   516,   517,   518,   519,   520,   521,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,     0,  1849,   522,     0,  1850,     0,     0,
     523,   524,   525,   526,   527,   512,   513,     0,   514,   515,
     516,   517,   518,   519,   520,   521,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   522,     0,     0,     0,     0,   523,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,     0,     0,   512,   513,   789,   514,
     515,   516,   517,   518,   519,   520,   521,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   522,     0,     0,     0,     0,   523,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,     0,     0,     0,     0,   790,
       0,     0,     0,     0,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,     0,
       0,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   522,     0,     0,     0,   791,   523,
     524,   525,   526,   527,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,     0,     0,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     522,     0,     0,     0,  1157,   523,   524,   525,   526,   527,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,     0,     0,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   522,     0,     0,     0,
    1158,   523,   524,   525,   526,   527,     0,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,     0,     0,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   522,     0,     0,     0,  1160,   523,   524,
     525,   526,   527,   512,   513,     0,   514,   515,   516,   517,
     518,   519,   520,   521,     0,     0,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   522,
       0,     0,     0,  1333,   523,   524,   525,   526,   527,   512,
     513,     0,   514,   515,   516,   517,   518,   519,   520,   521,
       0,     0,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   522,     0,     0,     0,  1334,
     523,   524,   525,   526,   527,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,     0,     0,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   522,     0,     0,     0,
    1335,   523,   524,   525,   526,   527,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   522,     0,     0,     0,     0,   523,   524,   525,
     526,   527,     0,     0,     0,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,     0,     0,
       0,     0,  1337,     0,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,     0,
       0,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   522,     0,     0,     0,  1431,   523,
     524,   525,   526,   527,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,     0,     0,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     522,     0,     0,     0,  1432,   523,   524,   525,   526,   527,
       0,   512,   513,     0,   514,   515,   516,   517,   518,   519,
     520,   521,     0,     0,   528,     0,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   522,     0,     0,
       0,  1609,   523,   524,   525,   526,   527,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,     0,     0,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   522,     0,     0,     0,  1745,   523,   524,
     525,   526,   527,   512,   513,     0,   514,   515,   516,   517,
     518,   519,   520,   521,     0,     0,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   522,
       0,     0,     0,  1791,   523,   524,   525,   526,   527,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   372,   373,     0,   374,   375,     0,
       0,   376,     0,   377,     0,     0,     0,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     378,     0,     0,     0,  1861,   379,   380,   381,   382,   383,
     372,   373,     0,   374,   375,     0,     0,   376,     0,   377,
       0,     0,     0,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   378,     0,     0,     0,
    1862,   379,   380,   381,   382,   383,   372,   373,     0,   374,
     375,     0,     0,   376,     0,   377,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   378,     0,     0,     0,     0,   379,   380,   381,
     382,   383,     0,     0,     0,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,     0,     0,
       0,     0,  1902,     0,     0,     0,     0,     0,   372,   373,
       0,   374,   375,     0,     0,   376,     0,   377,     0,     0,
       0,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   378,     0,     0,     0,  1938,   379,
     380,   381,   382,   383,     0,   512,   513,     0,   514,   515,
     516,   517,   518,   519,   520,   521,     0,     0,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   522,     0,     0,     0,  1939,   523,   524,   525,   526,
     527,   512,   513,     0,   514,   515,   516,   517,   518,   519,
     520,   521,     0,     0,   528,     0,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   522,     0,     0,
    1132,  1940,     0,     0,   525,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1133,     0,     0,     0,     0,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,     0,     0,     0,     0,  1941,     0,     0,
       0,     0,  1134,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,     0,     0,     0,     0,     0,   567,     0,
       0,     0,     0,     0,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,     0,     0,     0,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,     0,
     522,     0,     0,     0,   724,   523,   524,   525,   526,   527,
       0,     0,     0,     0,     0,     0,     0,  1136,  1137,  1138,
    1139,  1140,  1141,  1142,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,  1143,  1144,     0,   512,   513,
    1630,   514,   515,   516,   517,   518,   519,   520,   521,  1511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,     0,     0,     0,   522,     0,     0,     0,     0,   523,
     524,   525,   526,   527,     0,     0,   522,     0,     0,     0,
       0,   523,   524,   525,   526,   527,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   972,     0,    -8,
      -8,     0,  1647,     0,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,     0,
       0,     0,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   522,     0,  1909,     2,     0,     0,
     524,   525,   526,   527,    -8,    -8,    -8,  1208,    -8,    -8,
      -8,  1209,     0,     0,    -8,     0,     0,    -8,     0,     0,
       0,  -303,   531,   532,   533,   534,   535,   536,   537,   538,
      -8,  1210,     0,     0,     0,    -8,     0,     0,  1211,   973,
       0,   974,    -8,    -8,    -8,    -8,     0,     0,    -8,     0,
       0,     0,    -8,     0,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,     0,     0,     0,     0,    -8,    -8,    -8,
      -8,    -8,    -8,     0,     0,    -8,    -8,    -8,    -8,    -8,
       0,     0,     0,    -8,     0,     0,     0,    -8,    -8,     0,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,     0,    -8,     0,     0,     0,    -8,    -8,    -8,
      -8,    -8,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   372,   373,     0,
     374,   375,     0,     0,   376,     0,   377,     0,     0,     0,
       0,   528,  1797,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   378,     0,     0,     0,     0,   379,   380,
     381,   382,   383,     0,     0,     0,     0,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,     0,    -8,     0,     0,     0,    -8,
      -8,    -8,    -8,     0,    -8,     0,     0,     0,     0,     0,
      -8,     0,     0,    -8,     0,     0,    -8,     0,    -8,     0,
       0,     0,     0,     0,     0,   528,  1873,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   372,
     373,     0,   374,   375,     0,     0,   376,     0,   377,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   378,     0,     0,     0,     0,
     379,   380,   381,   382,   383,     0,     0,   372,   373,     0,
     374,   375,   975,     0,   376,  1347,   377,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   372,   373,
       0,   374,   375,   378,     0,   376,     0,   377,   379,   380,
     381,   382,   383,   512,   513,     0,   514,   515,   516,   517,
     518,   519,   520,   521,   378,    -8,     0,     0,     0,   379,
     380,   381,   382,   383,   372,   373,     0,   374,   375,   522,
       0,   376,     0,   377,     0,     0,   525,   526,   527,   372,
     373,     0,   374,   375,     0,     0,   376,     0,   377,     0,
     378,     0,     2,     0,     0,   379,   380,   381,   382,   383,
     372,   373,     0,   374,   375,   378,     0,   376,     0,   377,
     379,   380,   381,   382,   383,   372,   373,     0,   374,   375,
       0,     0,   376,     0,   377,     0,   378,     0,     0,     0,
       0,     0,     0,   381,   382,   383,     0,     0,   711,   712,
      -8,   378,     0,    -8,     0,     0,     0,     0,   381,   382,
     383,     0,     0,     0,     0,   713,    -8,     0,     0,     0,
       0,  1263,  1400,     0,     0,    -8,    -8,    -8,  1264,     0,
    1265,     0,  1266,     0,     0,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,    -8,     0,  1267,  1268,
    1269,  1270,  1271,  1272,  1273,  1274,  1275,  1276,  1277,  1278,
    1279,  1280,  1281,  1282,  1283,  1284,  1263,  1494,     0,     0,
       0,     0,     0,  1264,     0,  1265,     0,  1266,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1267,  1268,  1269,  1270,  1271,  1272,  1273,
    1274,  1275,  1276,  1277,  1278,  1279,  1280,  1281,  1282,  1283,
    1284,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,
      -8,     0,     0,     0,     0,     0,     0,   591,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   637,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   867,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,     0,     0,     0,
       0,     0,     0,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1342,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,     0,     0,     0,     0,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,    -3,     1,
       0,     0,    -8,     0,     0,     0,     0,     0,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,     0,
       0,     0,     0,     0,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,     0,     0,     0,     0,     0,     2,
       0,     0,     0,     0,     0,     0,     0,     3,     0,     0,
       4,     5,     6,     0,     0,     0,     7,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     8,     0,     0,     0,     0,     9,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    -8,     0,     0,
      -8,    -8,     0,    -8,    10,     0,    11,    12,    13,    14,
      15,    16,     0,    -8,    17,     0,    18,     0,     0,    19,
      20,    21,    -8,    -8,    -8,     0,     0,    22,    23,    24,
      25,    26,     0,     0,     0,     0,     0,     0,     0,    27,
      28,     0,    29,    -8,    30,    31,    32,    33,    34,    35,
      36,    37,    38,     0,     0,    39,     0,     0,     0,    40,
      41,    42,    43,    44,     0,     0,     0,     0,     0,  1263,
       0,     0,     0,     0,     0,     0,  1264,  1495,  1265,     0,
    1266,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    -2,     1,     0,     0,    -8,  1496,  1497,  1498,  1270,
    1271,  1272,  1273,  1274,  1275,  1276,  1277,  1278,  1279,  1280,
    1281,  1282,  1283,  1284,     0,     0,     0,     0,     0,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,     0,    -8,     0,     0,
       0,     0,     2,     0,    45,     0,    46,     0,     0,     0,
       3,     0,     0,     4,     5,     6,     0,     0,     0,     7,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     8,     0,     0,     0,     0,
       9,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      -8,     0,     0,    -8,    -8,     0,    -8,    10,     0,    11,
      12,    13,    14,    15,    16,     0,    -8,    17,     0,    18,
       0,     0,    19,    20,    21,    -8,    -8,    -8,     0,     0,
      22,    23,    24,    25,    26,     0,     0,     0,     0,     0,
       0,     0,    27,    28,    47,    29,    -8,    30,    31,    32,
      33,    34,    35,    36,    37,    38,     0,     0,    39,     0,
       0,     0,    40,    41,    42,    43,    44,     0,     0,     0,
       0,     0,  1263,  1501,     0,     0,     0,     0,     0,  1264,
       0,  1265,     0,  1266,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   972,     0,    -8,    -8,  1267,
    1268,  1269,  1270,  1271,  1272,  1273,  1274,  1275,  1276,  1277,
    1278,  1279,  1280,  1281,  1282,  1283,  1284,     0,     0,     0,
       0,     0,    -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,
      -8,     0,     0,     0,     0,     2,     0,    45,     0,    46,
       0,     0,    -8,    -8,    -8,  1208,    -8,    -8,    -8,  1209,
       0,     0,    -8,     0,     0,    -8,     0,     0,     0,  -302,
       0,     0,     0,     0,     0,     0,     0,     0,    -8,  1210,
       0,     0,     0,    -8,     0,     0,  1211,   973,  -302,   974,
      -8,    -8,    -8,    -8,     0,     0,    -8,     0,     0,     0,
      -8,     0,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,     0,     0,     0,    -8,    -8,    -8,    -8,    -8,
      -8,     0,     0,    -8,    -8,    -8,    -8,    -8,     0,     0,
       0,    -8,     0,     0,     0,    -8,    -8,    47,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,
       0,    -8,     0,  1263,     0,    -8,    -8,    -8,    -8,    -8,
    1264,     0,  1265,     0,  1266,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1267,  1268,  1269,  1270,  1271,  1272,  1273,  1274,  1275,  1276,
    1277,  1278,  1279,  1280,  1281,  1282,  1283,  1284,     0,     0,
       0,     0,     0,   972,     0,    -8,    -8,     0,     0,     0,
       0,     0,     0,     0,     0,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,     0,    -8,     0,     0,     0,    -8,    -8,    -8,
      -8,     0,    -8,     0,     0,     0,     0,     0,    -8,     0,
       0,    -8,     0,     2,    -8,     0,    -8,     0,     0,     0,
      -8,    -8,    -8,  1208,    -8,    -8,    -8,  1209,     0,     0,
      -8,     0,     0,    -8,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    -8,  1210,     0,     0,
       0,    -8,     0,     0,  1211,   973,  -303,   974,    -8,    -8,
      -8,    -8,     0,     0,    -8,     0,     0,     0,    -8,     0,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,
       0,     0,     0,    -8,    -8,    -8,    -8,    -8,    -8,     0,
     975,    -8,    -8,    -8,    -8,    -8,     0,     0,     0,    -8,
       0,     0,     0,    -8,    -8,     0,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,     0,    -8,
       0,     0,     0,    -8,    -8,    -8,    -8,    -8,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   972,     0,    -8,    -8,     0,     0,     0,     0,     0,
       0,     0,     0,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
       0,    -8,     0,     0,     0,    -8,    -8,    -8,    -8,     0,
      -8,     0,     0,     0,     0,     0,    -8,     0,     0,    -8,
       0,     2,    -8,     0,    -8,     0,     0,     0,    -8,    -8,
      -8,  1208,    -8,    -8,    -8,  1209,     0,     0,    -8,     0,
       0,    -8,     0,     0,     0,  -303,     0,     0,     0,     0,
       0,     0,     0,     0,    -8,  1210,     0,     0,     0,    -8,
       0,     0,  1211,   973,     0,   974,    -8,    -8,    -8,    -8,
       0,     0,    -8,     0,     0,     0,    -8,     0,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,     0,     0,
       0,    -8,    -8,    -8,    -8,    -8,    -8,     0,   975,    -8,
      -8,    -8,    -8,    -8,     0,     0,     0,    -8,     0,     0,
       0,    -8,    -8,     0,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,     0,     0,    -8,     0,     0,
       0,    -8,    -8,    -8,    -8,    -8,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   972,
       0,    -8,    -8,     0,     0,     0,     0,     0,     0,     0,
       0,    -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,    -8,
       0,     0,     0,    -8,    -8,    -8,    -8,     0,    -8,     0,
       0,     0,     0,     0,    -8,     0,     0,    -8,     0,     2,
      -8,     0,    -8,     0,     0,     0,    -8,    -8,    -8,  1208,
      -8,    -8,    -8,  1209,     0,     0,    -8,     0,     0,    -8,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    -8,  1210,     0,     0,     0,    -8,     0,     0,
    1211,   973,     0,   974,    -8,    -8,    -8,    -8,     0,     0,
      -8,     0,     0,     0,    -8,     0,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,     0,     0,     0,     0,    -8,
      -8,    -8,    -8,    -8,    -8,     0,   975,    -8,    -8,    -8,
      -8,    -8,     0,     0,     0,    -8,     0,     0,     0,    -8,
      -8,     0,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,     0,     0,    -8,     0,     0,     0,    -8,
      -8,    -8,    -8,    -8,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   972,     0,    -8,
      -8,     0,     0,     0,     0,     0,     0,     0,     0,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,     0,    -8,     0,     0,
       0,    -8,    -8,    -8,    -8,     0,    -8,     0,     0,     0,
       0,     0,    -8,     0,     0,    -8,     0,     2,    -8,     0,
      -8,     0,     0,     0,    -8,    -8,    -8,     0,    -8,    -8,
      -8,     0,     0,     0,    -8,     0,     0,    -8,     0,     0,
       0,     0,     0,     0,  -323,     0,     0,     0,     0,     0,
      -8,     0,     0,     0,     0,    -8,     0,     0,     0,   973,
       0,   974,    -8,    -8,    -8,    -8,     0,     0,    -8,     0,
       0,     0,    -8,     0,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,     0,     0,     0,     0,    -8,    -8,    -8,
      -8,    -8,    -8,     0,   975,    -8,    -8,    -8,    -8,    -8,
       0,     0,     0,    -8,     0,     0,     0,    -8,    -8,     0,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,     0,    -8,     0,     0,     0,    -8,    -8,    -8,
      -8,    -8,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   972,     0,    -8,    -8,     0,
       0,     0,     0,     0,     0,     0,     0,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,     0,    -8,     0,     0,     0,    -8,
      -8,    -8,    -8,     0,    -8,     0,     0,     0,     0,     0,
      -8,     0,     0,    -8,     0,     2,    -8,     0,    -8,     0,
       0,     0,    -8,    -8,    -8,     0,    -8,    -8,    -8,     0,
       0,     0,    -8,     0,     0,    -8,     0,     0,     0,     0,
       0,     0,  -322,     0,     0,     0,     0,     0,    -8,     0,
       0,     0,     0,    -8,     0,     0,     0,   973,     0,   974,
      -8,    -8,    -8,    -8,     0,     0,    -8,     0,     0,     0,
      -8,     0,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,     0,     0,     0,    -8,    -8,    -8,    -8,    -8,
      -8,     0,   975,    -8,    -8,    -8,    -8,    -8,     0,     0,
       0,    -8,     0,     0,     0,    -8,    -8,     0,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,
       0,    -8,     0,     0,     0,    -8,    -8,    -8,    -8,    -8,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1087,  1088,     0,     0,     0,
       0,     0,     0,     0,     0,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,     0,    -8,     0,     0,     0,    -8,    -8,    -8,
      -8,     0,    -8,     0,     0,     0,     0,     0,    -8,     0,
       0,    -8,     0,     0,    -8,     0,    -8,     0,     0,     0,
    1089,     3,  1090,     0,     4,     5,     6,     0,     0,     0,
       7,     0,     0,  1091,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,  1093,     0,     0,     0,     0,     0,     0,  1094,   711,
     712,   111,     0,     0,   112,     0,     0,     0,    10,     0,
      11,    12,    13,    14,    15,    16,  1095,   115,    17,     0,
       0,     0,     0,  1096,  1097,    21,   116,   117,   118,     0,
     975,    22,    23,    24,    25,    26,     0,     0,     0,  1098,
       0,     0,     0,    27,    28,     0,  1099,   119,    30,    31,
      32,    33,    34,    35,    36,    37,  1100,     0,     0,    39,
       0,     0,     0,    40,    41,    42,    43,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   120,   121,   122,   123,   124,   125,   126,
       0,   127,     0,     0,     0,  1101,  1102,  1103,    45,     0,
      46,     0,     0,     0,     0,     0,  1104,     0,     0,  1105,
       0,     0,  1106,     0,  1107
};

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1579)))

#define yytable_value_is_error(Yytable_value) \
  YYID (0)

static const yytype_int16 yycheck[] =
{
       0,     0,   261,    56,    56,   157,    20,   157,    45,    68,
      29,   444,   872,  1208,   928,     3,   467,   736,     3,     3,
       1,    69,     3,   260,   261,   547,   265,  1034,   235,   943,
      41,    72,   239,   471,   472,    90,    40,   825,   336,    35,
      36,  1416,    56,   654,   655,   864,   125,   254,   976,   103,
      50,    50,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,  1228,    76,   856,   231,     3,     3,   300,   301,
     302,     3,     3,   150,     1,   125,     3,     1,     3,     3,
      93,   857,     3,    96,   136,    98,     3,   100,   147,   321,
     322,   323,   324,   325,     3,    40,   328,   329,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,     1,
       1,     3,   114,     3,   809,     6,  1507,  1508,   131,  1211,
       3,   135,   136,     1,    41,     3,     3,   822,     3,     3,
     652,   653,     6,     7,     8,   118,     3,   832,   833,   218,
     292,   185,   292,  1213,     3,     3,     3,     6,     6,     8,
       8,     3,     3,     3,     6,     6,     8,     8,    41,   978,
       3,     3,    89,     3,     3,    89,   208,   334,   218,   105,
      44,    45,    46,   339,   319,   327,   326,   327,     3,     3,
     338,  1109,     0,   341,    89,    38,    39,   114,   115,     1,
     114,   115,   337,   400,     1,   402,     3,    89,   125,   650,
     976,   125,  1368,    87,    88,   944,   945,  1365,   135,   114,
     115,   135,   214,  1001,  1002,     4,   293,   230,   277,   426,
     104,   428,   114,    37,  1382,   432,   921,   434,   241,   436,
     135,  1606,    41,   125,   247,    37,     1,     1,     3,     3,
      37,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,   269,    13,   332,   185,    71,
     335,   185,    35,    36,   319,    22,    11,    12,   260,    14,
      15,    16,    17,    18,    19,    20,    21,    88,   332,    88,
     294,   335,  1074,  1075,   334,  1292,  1293,  1026,   334,   163,
     164,   218,    37,   104,   218,   169,   338,  1875,   172,     3,
      89,  1879,  1880,  1881,    18,   116,    20,   457,    37,     3,
     184,    13,   923,  1775,  1776,  1777,    10,   469,   125,   469,
      22,   332,   336,    37,   775,   776,   218,   116,   332,   340,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   492,   493,   494,   341,   334,   333,  1926,   337,
     114,  1070,  1547,   334,   339,   341,   337,   341,   339,     3,
     125,   125,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     403,   630,   440,   543,   442,   545,   104,   634,   439,   638,
     441,   460,   479,   480,   341,   337,   613,   420,   339,   616,
    1202,   218,   337,   334,   341,   332,   337,   341,   335,   319,
     319,   338,   339,   212,    40,   214,   215,   216,   217,   338,
     339,   882,   332,   332,   332,     3,   341,   327,     6,     7,
       8,  1286,   340,   334,   334,  1290,   320,   321,   322,   341,
     214,   325,   326,   218,   218,   104,   606,   334,    13,   334,
     334,   339,  1157,  1158,  1159,  1160,   319,    22,     3,   343,
     344,    91,   339,   333,    94,   334,   334,   334,  1197,   629,
      67,   341,   334,   334,   334,   332,   916,   925,   196,   197,
     198,   334,   334,   340,   334,   334,   204,   205,   206,   207,
     208,   209,   210,   211,   654,   655,   126,   215,   334,   334,
     334,   332,  1034,   327,   328,   329,   333,  1431,  1432,   340,
     672,   338,   672,   325,   326,   327,   328,   329,   325,   326,
     327,   328,   329,   740,   341,   986,    11,    12,   332,    14,
      15,   872,     1,    18,     3,    20,   340,  1288,   607,   549,
     549,   333,   341,     6,     7,   332,   332,   265,   550,  1784,
     209,   334,    37,   340,   340,   338,   215,    70,   341,   646,
     332,   902,   332,   335,  1313,   335,   341,   341,   323,   324,
     325,   326,   327,   328,   329,   735,   917,   325,   326,  1019,
    1020,  1021,  1022,   332,   332,   163,   164,   336,   327,   328,
     329,   169,  1827,  1828,   172,  1830,  1887,  1832,  1889,   759,
    1891,   325,   326,   327,   328,   329,   184,    18,    19,    20,
      21,   332,   772,     1,   335,     3,   326,   777,     1,   868,
       3,  1569,  1570,  1571,  1572,  1573,    37,   332,  1333,  1334,
    1335,   336,  1337,   793,   794,   345,   346,   347,   798,   357,
     358,   334,   896,   336,   898,   363,   334,   901,  1399,  1400,
     904,  1402,     3,   341,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,  1125,   765,   341,
       1,   928,     3,   334,  1507,  1508,   846,  1436,  1437,     1,
     341,     3,     1,     1,     3,     3,   943,   332,   357,   358,
    1161,  1162,  1163,  1164,   363,   340,     3,   717,   717,  1789,
    1439,  1434,  1435,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   334,   125,  1943,   749,
    1201,   332,   125,   341,   335,   905,   906,   907,  1089,  1829,
    1501,   341,    81,  1094,   764,   764,   334,   919,     1,   919,
       3,  1293,   922,   923,   332,  1867,  1107,   335,   928,   929,
     930,   931,   932,   933,   934,   935,   936,   937,   938,   939,
     940,   110,  1531,   943,     3,    97,  1866,  1011,  1868,    11,
      12,   334,  1894,   336,  1896,   107,    18,    19,    20,    21,
    1024,   130,   332,   132,   125,   335,   109,  1755,   332,  1757,
    1758,   335,  1760,  1893,   339,    37,   125,   125,   841,  1899,
     149,   908,     1,   910,     3,   912,   129,   914,   131,  1931,
     218,     3,   332,  1057,  1058,   218,   336,   336,   323,   324,
     325,   326,   327,   328,   329,   148,     1,  1534,     1,  1536,
       3,  1538,    10,     6,     7,     8,    55,    56,    57,    86,
     332,    88,   872,   872,   336,  1614,   332,  1616,  1028,  1029,
     336,    10,   874,   591,   592,   962,  1625,   104,   332,  1039,
    1040,   335,   125,    82,   298,   299,   332,  1172,  1173,   116,
     336,    44,    45,    46,   332,  1055,  1056,   218,   336,  1059,
    1060,  1061,  1062,     3,  1245,  1246,  1247,    82,   332,   218,
     218,   335,   630,   333,   325,   326,   327,   328,   329,   637,
     638,    45,   332,   332,  1794,  1630,   336,   336,   341,   976,
     953,    55,   591,   592,   335,   334,   332,   336,  1687,   338,
     336,    65,   341,   332,  1168,   228,   229,   336,   950,   951,
     952,   332,   954,   128,  1295,   336,     3,  1706,   968,  1300,
     983,   332,  1124,   335,  1124,   336,  1126,  1716,    89,  1310,
     336,  1312,   332,  1314,  1315,   218,   336,   332,   637,  1440,
     335,   156,   157,   158,   159,   160,   161,   110,   332,  1576,
    1577,   335,  1152,   114,   115,   116,   120,   332,   332,   123,
     337,   336,   336,   721,   125,  1222,     1,   130,     3,   132,
     163,   164,  1172,  1173,   135,  1476,   169,  1177,   335,   172,
      11,  1181,  1091,  1676,  1677,   332,   149,  1090,   335,  1734,
     335,   184,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,  1069,  1110,  1110,   335,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   721,   332,  1093,   332,  1068,   336,  1409,   336,
    1099,   332,  1096,  1097,   335,     4,   336,   332,   796,   797,
    1421,   336,   334,  1085,   336,  1078,  1110,   332,     1,   336,
       3,   336,   332,     6,     7,     8,   336,   218,   334,   223,
     336,   323,   324,   325,   326,   327,   328,   329,   332,   334,
       7,   332,   336,   237,   335,  1108,     3,   332,  1128,  1128,
     121,   122,   332,   124,   125,   126,   336,   336,   336,   338,
     332,    44,    45,    46,   336,     1,   332,   796,   797,  1582,
     336,  1584,  1302,   332,  1154,  1154,     1,   336,     3,   867,
     868,    11,    12,  1240,    14,    15,   336,    69,    18,   334,
      20,   332,   332,    69,     3,   336,   336,   320,   321,   322,
     332,   332,   325,   326,   336,   336,    80,    37,  1236,   336,
     336,   334,    42,    43,    44,    45,    46,  1238,   336,  1252,
     343,   344,  1194,     1,  1256,     3,   125,  1221,  1422,  1423,
    1424,  1425,   131,   132,   332,   109,  1366,   335,   867,   336,
     139,   140,   141,   142,   143,   332,  1485,  1486,   147,   336,
     336,  1244,   151,   152,   153,   129,     1,   131,     3,  1231,
    1253,  1255,  1256,   332,   336,   336,   332,   336,  1485,  1486,
     336,   332,   332,   332,   148,   336,   336,   336,   332,   332,
     163,   164,   336,   336,  1414,   336,   169,  1259,   332,   172,
     332,   332,   336,   332,   336,   336,   332,   336,   332,   335,
    1430,   184,   336,  1433,  1434,  1435,   332,   332,   332,   336,
     336,   336,   336,  1306,   332,   214,  1296,  1296,   336,   218,
     332,  1453,   332,  1453,   336,  1305,   336,   332,  1458,   228,
     332,   336,   716,  1372,   336,   332,  1530,   336,   336,   336,
    1534,  1535,  1536,  1537,  1538,   332,   332,  1541,  1341,   336,
     336,  1782,   332,  1346,   336,   335,  1568,  1569,  1570,  1571,
    1572,  1573,    11,    12,   332,    14,    15,     3,   336,    18,
     332,    20,   333,   332,   336,   332,   332,   336,   332,   336,
    1373,     1,   336,     3,  1695,  1073,  1697,  1698,    37,   332,
     332,   332,   335,  1386,   336,    44,  1389,  1391,  1528,  1529,
     332,   196,   197,   198,  1534,     3,  1536,     5,  1538,   204,
     205,   206,   207,   208,   332,   210,   211,   335,   332,     3,
     332,   335,   806,    11,    12,   338,    14,    15,   341,     3,
      18,  1119,    20,  1563,     3,     3,   334,   320,   321,   322,
     334,   334,   325,   326,  1073,   332,   334,   332,   335,    37,
     335,   334,   332,  1665,  1666,    43,    44,    45,    46,   334,
     343,   344,   333,  1675,   332,   336,   332,   335,   333,   335,
     332,  1465,  1466,   335,   334,    11,    12,     9,  1608,   334,
     334,   334,    18,  1794,    20,   334,  1917,   334,   872,   334,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     334,    37,   334,   334,     3,   334,   336,     3,   336,   336,
     336,   333,   896,  1485,   898,   336,  1488,   901,   902,  1649,
     904,     1,  1515,     3,   337,   336,     6,     7,     8,     9,
    1510,  1661,  1662,   917,  1514,  1665,  1666,     3,   336,   335,
     334,  1513,     3,  1755,   332,  1757,  1758,     3,  1760,   333,
     332,   334,   341,   333,   335,    35,    36,     9,   335,   335,
     944,   945,   335,   335,   335,   335,  1696,   333,   332,    11,
      12,  1628,    14,    15,    16,    17,    18,    19,    20,    21,
     334,   336,    80,    81,   335,     3,     3,  1719,  1560,  1719,
     332,   335,   335,  1787,   319,    37,   336,     3,  1817,   334,
     334,  1813,    44,    45,    46,  1585,  1585,   334,   334,   341,
    1740,   109,   110,   336,  1586,   336,   335,  1747,   105,     3,
    1592,     3,   336,   336,  1754,   719,  1756,     3,   133,  1759,
     335,   129,   130,   131,   132,  1765,  1766,   335,   340,   232,
    1834,  1853,  1026,  1855,   336,  1857,   319,  1859,   334,    73,
     148,   149,   334,   334,  1342,  1787,   334,  1787,   334,   334,
      68,   116,   336,   334,   332,   335,   333,  1797,    70,  1799,
    1800,   335,   333,   322,   323,   324,   325,   326,   327,   328,
     329,   336,     3,   163,   164,    65,   336,   167,   168,   169,
     333,    90,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,  1089,  1699,  1091,   336,  1839,
    1094,   335,  1842,  1342,   335,   334,   334,  1847,  1848,  1849,
     342,  1851,   235,  1107,   238,   241,  1783,    67,   336,  1701,
      65,   335,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   298,  1873,   336,   839,     3,   332,   335,   332,
     336,   340,   150,    84,   336,   335,   335,   332,  1446,   232,
    1448,    67,    71,  1743,  1743,     1,     3,    72,   333,   336,
     342,   335,   335,   335,   335,   334,   870,     3,    65,  1909,
     334,    74,   334,  1913,  1914,  1915,  1916,   323,   324,   325,
     326,   327,   328,   329,   334,   336,    89,     9,   336,   338,
     335,   335,    71,    11,    12,   336,    14,    15,    16,    17,
      18,    19,    20,    21,  1794,  1794,   340,  1446,   336,  1448,
     339,     3,     3,   116,   336,   336,   336,   336,   335,    37,
     363,   332,     3,     3,    42,    43,    44,    45,    46,   334,
     334,   334,   135,   334,  1228,   334,   334,    41,   334,   333,
     319,   336,   333,   336,   334,    66,   333,   336,   336,   339,
     336,  1245,  1246,  1247,   336,   336,   960,    64,   342,   333,
       9,   336,   334,   967,   333,   333,   336,     3,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   335,   341,    71,   335,   335,   335,   319,   336,
      66,  1295,    66,    66,    66,     1,  1300,     3,   211,   212,
     213,   214,   215,   216,   217,    66,  1310,    64,  1312,  1313,
    1314,  1315,    66,    65,   335,   335,   229,   230,   333,   336,
     317,   332,   332,  1631,  1632,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,  1641,  1642,     3,   334,  1645,  1646,   332,
     332,    47,   332,   332,    50,    51,   317,   317,   336,    55,
      56,    57,   336,    59,   335,   342,    62,   319,   341,    65,
     336,   336,    73,   332,  1368,   332,   332,   332,   332,    75,
      76,    77,    78,   336,   335,  1683,    82,  1685,   335,   335,
     319,   335,  1631,  1632,  1633,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,  1642,   342,  1109,  1645,  1646,   335,   335,
      66,    51,    64,    67,   338,  1409,   336,   319,   335,  1717,
       3,   117,   118,   335,   335,   335,   335,  1421,   336,   336,
     336,   336,   336,    65,   335,   335,   335,   335,   276,    50,
     970,   968,  1436,  1437,  1202,  1149,  1150,   903,   768,  1286,
     146,  1597,  1290,  1787,   150,    11,    12,  1788,    14,    15,
      16,    17,    18,    19,    20,    21,  1308,   163,   164,   165,
     166,  1510,  1606,  1372,   170,  1741,  1310,  1154,  1717,  1585,
     717,    37,    38,    39,   967,  1095,    42,    43,    44,    45,
      46,  1555,   608,   158,  1198,     1,   634,     3,  1100,  1743,
     318,  1205,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,  1476,  1507,  1508,   976,   465,   847,   293,  1817,
       1,   339,     3,     4,   220,   221,   222,  1663,  1745,  1233,
    1685,  1235,  1745,   593,  1111,    -1,   232,  1531,    -1,    -1,
      -1,    -1,   976,    -1,    -1,    -1,    -1,    -1,  1252,    -1,
    1254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      41,    -1,    -1,    -1,  1558,    -1,    47,    -1,    74,    50,
      51,    -1,    -1,    -1,    55,    56,    57,    -1,    59,    -1,
      -1,    62,    -1,    89,    -1,    -1,     4,    -1,   333,    -1,
      -1,    -1,    -1,    -1,    75,    76,    77,    78,    -1,   125,
    1304,    82,    -1,    -1,    -1,   131,   132,    88,    89,    -1,
     116,    92,    -1,   139,   140,   141,   142,   143,    -1,    -1,
    1614,   147,  1616,    -1,   105,   151,   152,   153,    -1,   135,
      -1,  1625,    -1,   114,   115,   116,   117,   118,    -1,    -1,
     336,   337,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,   363,    -1,   150,
      -1,    89,    -1,    -1,    92,    93,    -1,    95,    -1,    -1,
      -1,    -1,   163,   164,   165,   166,    -1,   105,    -1,   170,
      -1,    -1,   218,  1687,    -1,    -1,   114,   115,   116,    -1,
       1,  1695,     3,  1697,  1698,   211,   212,   213,   214,   215,
     216,   217,  1706,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,  1716,   229,   230,    -1,    -1,    -1,    -1,    -1,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,    -1,    -1,    -1,    -1,    47,  1741,    -1,    50,
      51,   232,    -1,    -1,    55,    56,    57,    -1,    59,    -1,
      -1,    62,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    75,    76,    77,    78,     1,    -1,
       3,    82,    -1,    -1,    -1,    -1,   342,    -1,    -1,    90,
      -1,    -1,    -1,   211,   212,   213,   214,   215,   216,   217,
    1794,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   117,   118,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    50,    51,    -1,
      -1,    -1,    55,    56,    57,    -1,    59,    -1,    -1,    62,
      -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,   150,
    1844,    -1,    75,    76,    77,    78,   337,    -1,   339,    82,
      -1,    -1,   163,   164,   165,   166,    -1,    -1,    -1,   170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   363,    -1,  1878,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   117,   118,    -1,    -1,    -1,    -1,
      -1,    -1,     1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,
     221,   222,    -1,   146,    -1,    -1,    -1,   150,    -1,    -1,
      -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     163,   164,   165,   166,    -1,    -1,    -1,   170,    47,    -1,
      -1,    50,    51,    -1,    -1,    -1,    55,    56,    57,    -1,
      59,    -1,    -1,    62,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    75,    76,    77,    78,
      -1,    11,    12,    82,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    -1,    -1,    -1,    -1,   220,   221,   222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,   232,
      -1,    -1,    42,    43,    44,    45,    46,    -1,   117,   118,
      -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,   336,   337,     3,   339,    -1,
       6,     7,     8,     9,    -1,    -1,    -1,   146,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   363,    -1,   163,   164,   165,   166,    -1,    35,
      36,   170,    47,    -1,    -1,    50,    51,    -1,    -1,    -1,
      55,    56,    57,    -1,    59,    -1,    -1,    62,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,    -1,
      75,    76,    77,    78,     1,    -1,     3,    82,    -1,    -1,
      -1,    -1,    -1,   336,   337,    -1,   339,    -1,    -1,    -1,
      -1,   220,   221,   222,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
     363,     3,   117,   118,     6,     7,     8,     9,    -1,    -1,
      47,    -1,    -1,    50,    51,    -1,    -1,    -1,    55,    56,
      57,    -1,    59,    -1,    -1,    62,    -1,    -1,    -1,    -1,
      -1,   146,    -1,    35,    36,   150,    -1,    -1,    75,    76,
      77,    78,    44,    45,    46,    82,    -1,    -1,   163,   164,
     165,   166,    -1,    -1,    -1,   170,    -1,   163,   164,    -1,
      -1,   167,   168,   169,    -1,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     117,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,     6,     7,     8,     9,    -1,   336,   337,    -1,
     339,     4,    -1,    -1,    -1,   220,   221,   222,    -1,   146,
      -1,    -1,    -1,   150,    -1,    -1,   118,   232,    -1,    -1,
      -1,    35,    36,    -1,   363,    -1,   163,   164,   165,   166,
      44,    45,    46,   170,    -1,    -1,    -1,    -1,    41,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   163,   164,    -1,    -1,   167,   168,   169,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   220,   221,   222,    89,    -1,    -1,    92,
      -1,    -1,     1,    -1,     3,   232,    -1,     6,     7,     8,
       9,    -1,   105,    -1,   118,    -1,    -1,    -1,    -1,    -1,
      -1,   114,   115,   116,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   336,   337,    -1,   339,    -1,    35,    36,   334,    -1,
      -1,    -1,   135,   339,    -1,    44,    45,    46,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,   163,
     164,    60,    -1,   167,   168,   169,    -1,    66,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,    11,    12,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,
     337,    -1,   339,    42,    43,    44,    45,    46,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,    -1,   320,   321,
     322,    -1,    -1,   325,   326,    -1,   363,    -1,    -1,    -1,
      -1,    -1,   334,    -1,    -1,   337,    -1,   339,    -1,    -1,
      -1,   343,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   163,   164,    -1,    -1,   167,   168,
     169,   363,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     1,    -1,     3,    -1,    -1,     6,     7,
       8,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,
      -1,   325,   326,    -1,    -1,    -1,    -1,    35,    36,    -1,
     334,    -1,    -1,   337,    -1,   339,    44,    45,    46,   343,
     344,     1,    -1,     3,    -1,    -1,     6,     7,     8,     9,
      -1,    -1,    60,    -1,    -1,    -1,    -1,    -1,    66,   363,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     1,    -1,     3,    35,    36,     6,     7,     8,
       9,    -1,    -1,    -1,    44,    45,    46,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      60,    -1,    -1,     1,    -1,     3,    35,    36,     6,     7,
       8,     9,    -1,    -1,    -1,    44,    45,    46,    -1,    -1,
     319,   320,   321,   322,    -1,    -1,   325,   326,    -1,    -1,
      -1,    60,    -1,   332,    -1,   334,    -1,    35,    36,    -1,
     339,    -1,    -1,    -1,   343,   344,    44,    45,    46,    -1,
      -1,    -1,    -1,    -1,    -1,   163,   164,    -1,    -1,   167,
     168,   169,    60,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,    -1,   163,   164,    -1,   335,   167,   168,   169,
      -1,    -1,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   163,   164,    -1,    -1,   167,   168,
     169,    -1,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   163,   164,    -1,    -1,   167,
     168,   169,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     1,    -1,     3,    -1,    -1,     6,
       7,     8,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,   320,   321,   322,    -1,    -1,   325,   326,    -1,
      -1,    -1,    -1,    -1,   332,    -1,   334,    -1,    35,    36,
      -1,   339,     4,    -1,    -1,   343,   344,    44,    45,    46,
      -1,    -1,     1,    -1,     3,    -1,    -1,     6,     7,     8,
       9,    -1,    -1,    60,    -1,    -1,    -1,    -1,    -1,   319,
     320,   321,   322,    -1,    -1,   325,   326,    -1,    -1,    -1,
      -1,    -1,   332,    -1,   334,    -1,    35,    36,    -1,   339,
      -1,    -1,    -1,   343,   344,    44,    45,    46,    -1,    -1,
     319,   320,   321,   322,    -1,    -1,   325,   326,    -1,    -1,
      -1,    -1,    -1,   332,    -1,   334,    -1,    -1,    -1,    -1,
     339,    -1,    -1,    -1,   343,   344,    -1,    89,    -1,    -1,
      92,   319,   320,   321,   322,    -1,    -1,   325,   326,    -1,
      -1,    -1,    -1,   105,   332,    -1,   334,    -1,    97,    -1,
      -1,   339,   114,   115,   116,   343,   344,    -1,   107,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   163,   164,    -1,    -1,
     167,   168,   169,   135,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   163,   164,    -1,    -1,   167,   168,
     169,    -1,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,     1,    -1,     3,    -1,
      -1,     6,     7,     8,     9,    -1,    -1,    -1,    -1,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,    -1,    -1,
      -1,     1,    -1,     3,    -1,    -1,     6,     7,     8,     9,
      35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,
      45,    46,    -1,    -1,    -1,     1,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    -1,    35,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    44,    45,    46,    -1,    -1,     1,
      -1,     3,    -1,    -1,     6,     7,     8,     9,    -1,    35,
      36,    -1,   319,   320,   321,   322,    -1,    -1,   325,   326,
      -1,    -1,    -1,    -1,    -1,   332,    -1,   334,    -1,    -1,
      -1,    -1,   339,    35,    36,    -1,   343,   344,    -1,    -1,
      -1,    -1,    44,    45,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   320,   321,   322,    -1,    -1,   325,   326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   334,    -1,    -1,    -1,    -1,
     339,    -1,    -1,    -1,   343,   344,    -1,    -1,   163,   164,
      -1,    -1,   167,   168,   169,     4,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,    -1,    -1,   163,   164,    -1,    -1,   167,   168,   169,
      -1,    -1,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,    -1,   163,   164,    -1,
      -1,   167,   168,   169,    -1,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
      -1,   163,   164,    -1,    -1,   167,   168,   169,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,     1,    -1,     3,    -1,    -1,     6,     7,
       8,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     1,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    -1,    -1,   125,    35,    36,    -1,
      -1,    -1,   131,   132,    -1,    -1,    44,    45,    46,    -1,
     139,   140,   141,   142,   143,    -1,    -1,    -1,   147,    35,
      36,    -1,   151,   152,   153,   320,   321,   322,    -1,     3,
     325,   326,     6,     7,     8,     9,    -1,    -1,    -1,   334,
     335,    -1,    -1,    -1,   339,    -1,    -1,    -1,   343,   344,
     320,   321,   322,    -1,     3,   325,   326,     6,     7,     8,
       9,    35,    36,    -1,   334,    -1,    -1,    -1,    -1,   339,
      44,    45,    46,   343,   344,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   214,    35,    36,   334,   218,
      -1,    -1,    -1,   339,    -1,    44,    45,    46,   320,   321,
     322,    -1,    -1,   325,   326,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   334,    -1,    -1,    -1,    -1,   339,    -1,    -1,
      -1,   343,   344,    97,    -1,   163,   164,    -1,    -1,   167,
     168,   169,    -1,   107,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   163,   164,    -1,
      -1,   167,   168,   169,    -1,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   163,
     164,    -1,    -1,   167,   168,   169,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,    -1,    -1,   163,   164,    -1,    -1,   167,   168,
     169,    -1,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,     3,    -1,    -1,     6,
       7,     8,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,     6,     7,     8,     9,    35,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,    45,    46,
      -1,    -1,   320,   321,   322,    -1,    -1,   325,   326,    -1,
      -1,    -1,    -1,    35,    36,    -1,   334,    -1,    -1,    -1,
      -1,   339,    44,    45,    46,   343,   344,     1,    -1,     3,
      -1,    -1,     6,     7,     8,     9,    -1,    -1,   334,    -1,
      -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,     1,
      -1,     3,    -1,    -1,     6,     7,     8,     9,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,   320,   321,   322,    -1,
      -1,   325,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     334,    -1,    -1,    35,    36,   339,    -1,    -1,    -1,   343,
     344,   320,   321,   322,    -1,    -1,   325,   326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   334,   335,    -1,    -1,    -1,
     339,    -1,    -1,    -1,   343,   344,   163,   164,    -1,    -1,
     167,   168,   169,    -1,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,    -1,
      -1,   163,   164,    -1,    -1,   167,   168,   169,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   163,
     164,    -1,    -1,   167,   168,   169,    -1,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   163,   164,    -1,    -1,   167,   168,   169,    -1,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,     1,    -1,     3,    -1,    -1,     6,     7,
       8,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     1,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    -1,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,   320,   321,   322,    -1,    -1,   325,   326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,    35,
      36,    -1,   339,    -1,    -1,    -1,   343,   344,   320,   321,
     322,    -1,    -1,   325,   326,    -1,    -1,    -1,     1,    -1,
       3,    -1,   334,     6,     7,     8,     9,   339,    -1,    -1,
      -1,   343,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     1,    -1,     3,    -1,    -1,     6,     7,     8,
       9,    -1,    35,    36,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,     1,    -1,     3,    -1,
     334,     6,     7,     8,     9,   339,    35,    36,    -1,    -1,
      37,    -1,    -1,    -1,    -1,    42,    43,    44,    45,    46,
      -1,    -1,   334,    -1,    -1,    -1,    -1,   339,    -1,    -1,
      35,    36,    -1,    -1,    -1,   163,   164,    -1,    -1,   167,
     168,   169,    -1,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   163,   164,    -1,
      -1,   167,   168,   169,    -1,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     163,   164,    -1,    -1,   167,   168,   169,    -1,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,    -1,   163,   164,    -1,    -1,   167,   168,
     169,    -1,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,    -1,   163,   164,
      -1,    -1,   167,   168,   169,    -1,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
       3,    -1,    -1,     6,     7,     8,     9,    -1,    -1,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    -1,    20,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,    -1,    -1,
      -1,   339,    35,    36,    -1,    37,    -1,    -1,    -1,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,   334,    -1,
      -1,    11,    12,   339,    14,    15,    -1,    -1,    18,    -1,
      20,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      -1,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,
      -1,   334,    -1,    -1,   107,    -1,   339,    -1,    -1,    -1,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,    -1,   334,    -1,    -1,    -1,    -1,
     339,    -1,    -1,    -1,    -1,   342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,
      -1,    -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
     163,   164,    -1,    -1,   167,   168,   169,    -1,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      -1,    20,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      -1,    20,    -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    -1,    -1,    42,    43,    44,    45,    46,    37,    -1,
      -1,    -1,    -1,    42,    43,    44,    45,    46,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    -1,    20,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    -1,     3,    -1,    -1,    42,
      43,    44,    45,    46,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    -1,    11,    12,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    -1,
      37,    -1,    -1,    -1,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    -1,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,    -1,
      -1,   334,    -1,    -1,    -1,    -1,   339,    -1,    -1,    -1,
     342,    -1,    -1,    -1,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      37,    -1,    -1,    -1,    -1,    42,    43,    44,    45,    46,
      11,    12,   342,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,
      -1,    42,    43,    44,    45,    46,    11,    12,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    -1,    -1,    42,    43,    44,
      45,    46,    11,    12,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    -1,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    12,   342,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    37,    -1,    -1,
      -1,    -1,    42,    43,    44,    45,    46,    -1,    -1,   342,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   318,   332,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,    -1,    -1,    -1,
      11,    12,   336,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    11,
      12,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,    -1,    37,    -1,    -1,    -1,   336,
      42,    43,    44,    45,    46,    11,    12,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
      -1,    37,    -1,    -1,    -1,   336,    42,    43,    44,    45,
      46,    11,    12,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,    -1,    37,    -1,    -1,
      -1,   336,    42,    43,    44,    45,    46,    11,    12,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,    -1,    37,    -1,    -1,    -1,   336,    42,    43,
      44,    45,    46,    11,    12,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    -1,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,    -1,    -1,    -1,    11,    12,   336,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    -1,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    11,    12,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
      -1,    37,    -1,    -1,    -1,   336,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,    -1,
      37,    -1,    -1,    -1,   336,    42,    43,    44,    45,    46,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,    -1,    37,    -1,    -1,    -1,
     336,    42,    43,    44,    45,    46,    11,    12,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,    -1,    37,    -1,    -1,    -1,   336,    42,    43,    44,
      45,    46,    -1,    11,    12,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,    -1,   332,    37,
      -1,   335,    -1,    -1,    42,    43,    44,    45,    46,    11,
      12,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,    -1,   332,    37,    -1,   335,    -1,    -1,
      42,    43,    44,    45,    46,    11,    12,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    -1,    -1,    42,    43,    44,    45,
      46,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,    -1,    -1,    11,    12,   335,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    -1,    -1,    42,    43,    44,
      45,    46,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,    -1,    -1,    -1,    -1,   335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    12,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,    37,    -1,    -1,    -1,   335,    42,
      43,    44,    45,    46,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
      37,    -1,    -1,    -1,   335,    42,    43,    44,    45,    46,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,    37,    -1,    -1,    -1,
     335,    42,    43,    44,    45,    46,    -1,    11,    12,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    -1,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,    37,    -1,    -1,    -1,   335,    42,    43,
      44,    45,    46,    11,    12,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    -1,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,    37,
      -1,    -1,    -1,   335,    42,    43,    44,    45,    46,    11,
      12,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    -1,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,    37,    -1,    -1,    -1,   335,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,    37,    -1,    -1,    -1,
     335,    42,    43,    44,    45,    46,    11,    12,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    -1,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,    -1,    -1,
      -1,    -1,   335,    -1,    -1,    -1,    -1,    -1,    11,    12,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,    37,    -1,    -1,    -1,   335,    42,
      43,    44,    45,    46,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
      37,    -1,    -1,    -1,   335,    42,    43,    44,    45,    46,
      -1,    11,    12,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    -1,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,    37,    -1,    -1,
      -1,   335,    42,    43,    44,    45,    46,    11,    12,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    -1,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,    37,    -1,    -1,    -1,   335,    42,    43,
      44,    45,    46,    11,    12,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    -1,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,    37,
      -1,    -1,    -1,   335,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    -1,    20,    -1,    -1,    -1,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
      37,    -1,    -1,    -1,   335,    42,    43,    44,    45,    46,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    -1,    20,
      -1,    -1,    -1,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,    37,    -1,    -1,    -1,
     335,    42,    43,    44,    45,    46,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    -1,    20,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    -1,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,    -1,    -1,
      -1,    -1,   335,    -1,    -1,    -1,    -1,    -1,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    -1,    20,    -1,    -1,
      -1,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,    37,    -1,    -1,    -1,   335,    42,
      43,    44,    45,    46,    -1,    11,    12,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    -1,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,    37,    -1,    -1,    -1,   335,    42,    43,    44,    45,
      46,    11,    12,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    -1,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,    37,    -1,    -1,
      74,   335,    -1,    -1,    44,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,    -1,    -1,    -1,    -1,   335,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,    -1,    -1,    -1,    -1,   335,    -1,
      -1,    -1,    -1,    -1,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    -1,    -1,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
      37,    -1,    -1,    -1,   335,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   211,   212,   213,
     214,   215,   216,   217,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   229,   230,    -1,    11,    12,
     335,    14,    15,    16,    17,    18,    19,    20,    21,   243,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    37,    -1,    -1,    -1,
      -1,    42,    43,    44,    45,    46,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     1,    -1,     3,
       4,    -1,   335,    -1,    -1,    -1,    -1,    -1,    11,    12,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      -1,    -1,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    37,    -1,   332,    41,    -1,    -1,
      43,    44,    45,    46,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    -1,    58,    -1,    -1,    61,    -1,    -1,
      -1,    65,   322,   323,   324,   325,   326,   327,   328,   329,
      74,    75,    -1,    -1,    -1,    79,    -1,    -1,    82,    83,
      -1,    85,    86,    87,    88,    89,    -1,    -1,    92,    -1,
      -1,    -1,    96,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,   127,    -1,    -1,    -1,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,    -1,    -1,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    -1,    20,    -1,    -1,    -1,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    37,    -1,    -1,    -1,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    -1,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,    -1,    -1,    -1,   223,
     224,   225,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,   237,    -1,    -1,   240,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    -1,    20,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    11,    12,    -1,
      14,    15,   316,    -1,    18,   319,    20,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,    11,    12,
      -1,    14,    15,    37,    -1,    18,    -1,    20,    42,    43,
      44,    45,    46,    11,    12,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    37,     4,    -1,    -1,    -1,    42,
      43,    44,    45,    46,    11,    12,    -1,    14,    15,    37,
      -1,    18,    -1,    20,    -1,    -1,    44,    45,    46,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    -1,    20,    -1,
      37,    -1,    41,    -1,    -1,    42,    43,    44,    45,    46,
      11,    12,    -1,    14,    15,    37,    -1,    18,    -1,    20,
      42,    43,    44,    45,    46,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    -1,    20,    -1,    37,    -1,    -1,    -1,
      -1,    -1,    -1,    44,    45,    46,    -1,    -1,    87,    88,
      89,    37,    -1,    92,    -1,    -1,    -1,    -1,    44,    45,
      46,    -1,    -1,    -1,    -1,   104,   105,    -1,    -1,    -1,
      -1,   318,   319,    -1,    -1,   114,   115,   116,   325,    -1,
     327,    -1,   329,    -1,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   135,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   318,   319,    -1,    -1,
      -1,    -1,    -1,   325,    -1,   327,    -1,   329,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,    -1,    -1,    -1,    -1,    -1,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,    -1,    -1,
      -1,    -1,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,    -1,    -1,    -1,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,     1,
      -1,    -1,     4,    -1,    -1,    -1,    -1,    -1,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
      -1,    -1,    -1,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,    -1,    -1,    -1,    -1,    41,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,    -1,    -1,
      52,    53,    54,    -1,    -1,    -1,    58,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    74,    -1,    -1,    -1,    -1,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    89,    -1,    -1,
      92,    93,    -1,    95,    96,    -1,    98,    99,   100,   101,
     102,   103,    -1,   105,   106,    -1,   108,    -1,    -1,   111,
     112,   113,   114,   115,   116,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,
     132,    -1,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,    -1,    -1,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,    -1,    -1,    -1,    -1,    -1,   318,
      -1,    -1,    -1,    -1,    -1,    -1,   325,   326,   327,    -1,
     329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     0,     1,    -1,    -1,     4,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,    -1,    -1,    -1,    -1,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,    -1,    -1,
      -1,    -1,    41,    -1,   226,    -1,   228,    -1,    -1,    -1,
      49,    -1,    -1,    52,    53,    54,    -1,    -1,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    -1,    -1,    -1,    -1,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      89,    -1,    -1,    92,    93,    -1,    95,    96,    -1,    98,
      99,   100,   101,   102,   103,    -1,   105,   106,    -1,   108,
      -1,    -1,   111,   112,   113,   114,   115,   116,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   131,   132,   316,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,    -1,    -1,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,    -1,    -1,    -1,
      -1,    -1,   318,   319,    -1,    -1,    -1,    -1,    -1,   325,
      -1,   327,    -1,   329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     1,    -1,     3,     4,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,    -1,    -1,
      -1,    -1,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,    -1,    -1,    -1,    -1,    41,    -1,   226,    -1,   228,
      -1,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    -1,    58,    -1,    -1,    61,    -1,    -1,    -1,    65,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,
      -1,    -1,    -1,    79,    -1,    -1,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    -1,    -1,    -1,
      96,    -1,    98,    99,   100,   101,   102,   103,   104,   105,
     106,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,   127,    -1,    -1,    -1,   131,   132,   316,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   318,    -1,   151,   152,   153,   154,   155,
     325,    -1,   327,    -1,   329,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,    -1,
      -1,    -1,    -1,     1,    -1,     3,     4,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,    -1,    -1,    -1,   223,   224,   225,
     226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,   237,    -1,    41,   240,    -1,   242,    -1,    -1,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    -1,
      58,    -1,    -1,    61,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    -1,    -1,
      -1,    79,    -1,    -1,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    -1,    -1,    -1,    96,    -1,
      98,    99,   100,   101,   102,   103,   104,   105,   106,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,    -1,
     316,   119,   120,   121,   122,   123,    -1,    -1,    -1,   127,
      -1,    -1,    -1,   131,   132,    -1,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,    -1,    -1,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     1,    -1,     3,     4,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,    -1,    -1,    -1,   223,   224,   225,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,   237,
      -1,    41,   240,    -1,   242,    -1,    -1,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    -1,    58,    -1,
      -1,    61,    -1,    -1,    -1,    65,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    74,    75,    -1,    -1,    -1,    79,
      -1,    -1,    82,    83,    -1,    85,    86,    87,    88,    89,
      -1,    -1,    92,    -1,    -1,    -1,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,    -1,   316,   119,
     120,   121,   122,   123,    -1,    -1,    -1,   127,    -1,    -1,
      -1,   131,   132,    -1,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,    -1,    -1,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,
      -1,     3,     4,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
      -1,    -1,    -1,   223,   224,   225,   226,    -1,   228,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,   237,    -1,    41,
     240,    -1,   242,    -1,    -1,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    -1,    58,    -1,    -1,    61,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    74,    75,    -1,    -1,    -1,    79,    -1,    -1,
      82,    83,    -1,    85,    86,    87,    88,    89,    -1,    -1,
      92,    -1,    -1,    -1,    96,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,    -1,   316,   119,   120,   121,
     122,   123,    -1,    -1,    -1,   127,    -1,    -1,    -1,   131,
     132,    -1,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,    -1,    -1,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,     3,
       4,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,    -1,    -1,
      -1,   223,   224,   225,   226,    -1,   228,    -1,    -1,    -1,
      -1,    -1,   234,    -1,    -1,   237,    -1,    41,   240,    -1,
     242,    -1,    -1,    -1,    48,    49,    50,    -1,    52,    53,
      54,    -1,    -1,    -1,    58,    -1,    -1,    61,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,
      74,    -1,    -1,    -1,    -1,    79,    -1,    -1,    -1,    83,
      -1,    85,    86,    87,    88,    89,    -1,    -1,    92,    -1,
      -1,    -1,    96,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,    -1,   316,   119,   120,   121,   122,   123,
      -1,    -1,    -1,   127,    -1,    -1,    -1,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,    -1,    -1,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     1,    -1,     3,     4,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,    -1,    -1,    -1,   223,
     224,   225,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,   237,    -1,    41,   240,    -1,   242,    -1,
      -1,    -1,    48,    49,    50,    -1,    52,    53,    54,    -1,
      -1,    -1,    58,    -1,    -1,    61,    -1,    -1,    -1,    -1,
      -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,    74,    -1,
      -1,    -1,    -1,    79,    -1,    -1,    -1,    83,    -1,    85,
      86,    87,    88,    89,    -1,    -1,    92,    -1,    -1,    -1,
      96,    -1,    98,    99,   100,   101,   102,   103,   104,   105,
     106,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,    -1,   316,   119,   120,   121,   122,   123,    -1,    -1,
      -1,   127,    -1,    -1,    -1,   131,   132,    -1,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,    -1,
      -1,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,    -1,    -1,    -1,   223,   224,   225,
     226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,   237,    -1,    -1,   240,    -1,   242,    -1,    -1,    -1,
      48,    49,    50,    -1,    52,    53,    54,    -1,    -1,    -1,
      58,    -1,    -1,    61,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    74,    -1,    -1,    -1,
      -1,    79,    -1,    -1,    -1,    -1,    -1,    -1,    86,    87,
      88,    89,    -1,    -1,    92,    -1,    -1,    -1,    96,    -1,
      98,    99,   100,   101,   102,   103,   104,   105,   106,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,    -1,
     316,   119,   120,   121,   122,   123,    -1,    -1,    -1,   127,
      -1,    -1,    -1,   131,   132,    -1,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,    -1,    -1,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,    -1,    -1,    -1,   223,   224,   225,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,   237,
      -1,    -1,   240,    -1,   242
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     1,    41,    49,    52,    53,    54,    58,    74,    79,
      96,    98,    99,   100,   101,   102,   103,   106,   108,   111,
     112,   113,   119,   120,   121,   122,   123,   131,   132,   134,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   147,
     151,   152,   153,   154,   155,   226,   228,   316,   365,   366,
     373,   374,   382,   409,   492,   541,   564,   592,   597,   336,
     367,   368,   377,     1,   185,   535,     3,    10,     3,   334,
     562,   563,   334,   562,   535,   334,   552,   553,     4,   125,
     131,   132,   139,   140,   141,   142,   143,   147,   151,   152,
     153,   214,   218,   536,   538,   592,     4,    89,   116,   212,
     214,   215,   216,   217,   341,   520,   521,   593,   334,     0,
       4,    89,    92,    93,    95,   105,   114,   115,   116,   135,
     211,   212,   213,   214,   215,   216,   217,   219,   384,   374,
     334,   536,   546,   334,   337,   514,   546,   562,     3,   596,
       3,   369,   370,    40,     3,   407,    67,   536,   334,    70,
     334,   521,   109,   129,   131,   148,   547,   600,   332,   336,
     110,   130,   132,   149,   548,   336,     3,    91,    94,   126,
     520,   114,   214,   539,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   520,     3,     3,   520,
     520,   520,     3,     6,     7,     8,    44,    45,    46,   163,
     164,   169,   172,   184,   320,   321,   322,   325,   326,   334,
     343,   344,   396,   398,   399,   341,   339,     3,   336,     1,
     125,   218,   537,   507,   508,    10,    10,     1,    89,   114,
     536,   568,     1,   504,     1,   505,     1,   540,     1,   502,
       1,   536,     1,   537,     1,   537,     1,   536,     1,   537,
       1,   537,     1,   537,   506,     3,    80,    81,   547,   548,
     520,   375,     3,     6,     8,   334,   517,   334,   562,   514,
     562,   336,   332,   336,   333,    40,   332,   408,   332,   336,
      89,   114,   115,   135,   521,   522,     3,   410,   208,   338,
     574,   575,   600,   334,   335,     3,     8,     9,    35,    36,
      44,    45,    46,   163,   164,   167,   168,   169,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   320,   321,   322,   325,   326,   334,   339,   343,   344,
     396,   400,   401,   402,   406,   563,   335,   336,   335,   335,
     335,   514,   515,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   336,   336,   334,   341,     7,
     399,   399,   399,   334,   399,   399,   399,   399,   399,   398,
     399,   399,    11,    12,    14,    15,    18,    20,    37,    42,
      43,    44,    45,    46,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   398,     3,   594,   595,   332,
     503,   336,   499,   536,   571,     1,    69,    69,   336,   568,
     568,   520,   336,   336,     3,   523,   525,   336,   525,   336,
     536,   336,   525,   336,   520,   336,   497,   336,   496,   336,
     520,   336,   498,   336,   500,   336,   501,   525,   383,   332,
     332,   332,   332,     3,   337,   407,   513,   543,   544,     3,
     543,   398,   516,   336,   562,   336,     3,   371,   370,   521,
       3,     3,   332,   335,     3,   332,   335,   402,   574,   600,
     562,   406,   406,     1,   401,     1,   401,     1,   401,   334,
     334,   334,   334,   334,   334,   334,   334,   334,   334,   334,
     334,   334,   334,   334,   334,     1,   401,     1,   401,     1,
     401,     1,   401,     1,   401,   400,   400,   402,     1,   401,
       1,   401,    11,    12,    14,    15,    16,    17,    18,    19,
      20,    21,    37,    42,    43,    44,    45,    46,   318,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   332,
     601,    35,    36,   334,   338,   341,   598,   599,   562,   378,
     376,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   397,   398,   398,   398,   335,   398,   398,
     398,   398,   398,   398,   398,   398,   398,   398,   398,   398,
     398,   398,   398,   398,   398,   398,   398,   398,   398,   398,
     398,   319,   333,   332,   340,     9,   525,   525,   520,   336,
     336,   336,   336,     3,   569,   570,   333,   524,   332,   336,
     336,   520,   336,   494,   525,   525,   495,   525,   525,   525,
     336,   337,   385,   548,   547,    81,   548,    80,   547,   333,
     334,   517,   336,     3,   332,   336,   336,   319,   332,   335,
     336,   400,   521,   336,     3,   336,   334,   575,   601,   335,
     402,   336,   599,   599,   600,   600,   400,   404,   404,   404,
     404,   404,   404,   404,   404,   404,   404,   404,   400,   400,
     400,   335,   339,   340,   400,   400,   400,   400,   400,   400,
     400,   400,   400,   400,   400,   400,   400,   400,   400,   400,
     400,   400,   400,   400,   400,   400,   400,   400,   400,   400,
     400,   400,   335,   400,   403,     3,   400,    35,    36,   598,
     336,    87,    88,   104,   366,   492,   526,   527,   528,   554,
     407,   332,   335,   342,   335,   342,   398,   398,   594,   332,
     336,   336,     3,   572,   573,   333,   332,   400,   521,   523,
     493,   525,   336,   336,   525,   336,   336,   336,   386,   334,
     388,   335,   335,   335,   335,   335,   335,   400,   516,   333,
     544,   398,   516,   372,   380,    88,   104,   116,   411,   412,
       1,   335,   600,   335,   601,   403,   403,   332,   335,   335,
     335,   335,   335,   335,   335,   335,   335,   335,   335,   335,
     335,   335,   402,   319,   332,   335,    38,    39,   319,   342,
       1,     3,    47,    50,    51,    59,    62,    75,    76,    77,
      78,   117,   118,   146,   150,   163,   164,   165,   166,   170,
     220,   221,   222,   232,   336,   339,   363,   406,   469,   470,
     487,   488,   513,   549,   591,   528,    89,   114,   115,   116,
     135,   536,   336,   398,   342,     9,   333,   332,   400,   570,
     525,   336,   336,   334,     3,   338,   339,   366,   389,   390,
     391,   392,   393,   394,   336,   335,   400,   319,   332,   335,
      88,   492,   565,   566,   600,     3,     3,    86,   412,   413,
     414,   335,   400,   335,   601,   601,   400,   340,   400,   400,
     398,   398,   400,   336,   319,     3,   471,   606,   473,   406,
     608,   475,   606,   604,   477,   334,   334,   334,   334,   336,
     334,   336,   334,   336,   334,   336,   334,   606,   336,   602,
       3,   327,   334,   334,   336,   602,   336,   379,    11,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   333,   606,   606,    55,    56,    57,    82,
     531,   533,   534,   536,   532,   520,   335,   400,   573,   336,
     105,   387,   341,     3,   394,   395,   104,   554,   332,   335,
     332,   335,     1,    83,    85,   316,   366,   434,   435,   436,
     492,   398,   516,   536,   470,   566,   407,   336,   336,     3,
     133,   415,   601,   335,   335,   340,   342,   342,   342,   232,
     336,   339,   406,   489,   319,   405,   483,   489,   336,   334,
     489,   470,   405,   481,   489,   400,   400,     1,   400,   600,
     600,   600,   600,   404,   470,   402,   606,     1,    97,   107,
     400,   550,   551,   403,   599,    73,   118,   363,   400,   513,
     549,   400,   400,   400,   400,   400,   400,   400,   400,   400,
     400,   400,   400,   118,   400,   513,   549,   487,   487,   334,
     334,   334,   334,   407,   407,   407,   520,   407,   529,   536,
     332,   335,     1,   600,   334,   332,   340,   116,   542,   538,
       3,   390,   392,   336,   453,   454,   334,     3,     4,    48,
      50,    61,    74,    79,    86,   104,   111,   112,   127,   134,
     144,   223,   224,   225,   234,   237,   240,   242,   541,   554,
     564,   592,   597,    68,   436,   335,   520,   381,   601,   333,
     416,    70,   335,   336,   602,   602,   333,     3,   484,   607,
     336,     1,    74,    89,   116,   135,   211,   212,   213,   214,
     215,   216,   217,   229,   230,   460,   461,   462,   463,   466,
     467,   468,   333,   607,   482,    90,   336,   335,   335,   335,
     335,   404,   404,   404,   404,   335,   607,   603,   487,   335,
     400,   400,   103,   332,   335,   335,   603,   334,   336,   400,
     400,   334,   400,   400,   607,   607,   400,   400,   400,     1,
     400,   336,   336,   336,   530,   336,   407,   520,   105,   570,
     342,   398,   339,   394,   394,   540,     1,     3,    51,    55,
      75,    82,   426,   427,   428,   436,   407,     1,     3,   319,
     337,   557,   438,   470,     1,   545,   546,   406,   521,   555,
     556,   443,     1,   535,   470,   542,   334,   562,   334,   562,
     455,   456,   457,   535,   552,   446,   447,   448,   235,   238,
     241,   470,   540,   536,   541,   514,   546,   562,   596,   567,
      67,   336,   396,   318,   325,   327,   329,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   417,   418,   419,   420,   421,
     423,   424,   402,   599,   400,   490,   491,   492,    65,   474,
     335,   298,   336,     3,   231,   339,   536,   536,   332,   400,
     490,   478,   606,   606,   606,   606,   601,   601,   601,   601,
     336,   150,   340,   607,   551,   551,   336,   400,   336,   336,
     400,   336,   336,   335,   335,   335,   335,   335,   407,   336,
     570,   536,   319,   601,   395,   335,   536,   319,   426,   610,
     430,   610,    84,   428,   336,   335,   332,   232,     1,     6,
     334,   562,   525,   333,   336,   444,   333,   556,   332,   336,
     407,    67,   536,   536,   547,   336,   548,   336,   600,    71,
       1,     3,   520,   470,   470,   470,   536,   546,   520,   536,
     562,   514,   562,   336,   336,   407,   336,    72,   419,   420,
     319,   421,   420,   424,   603,   603,   336,   336,   470,   486,
     492,   470,     1,   400,   333,   536,   366,   464,   520,   462,
     336,   486,   470,   487,   470,   470,   335,   335,   335,   335,
     334,   335,   335,   606,   606,   606,   479,   606,   336,   520,
     398,   342,   340,   520,     3,    65,   334,   334,   334,   336,
       9,   336,   338,   558,   560,   561,   336,   336,   458,   515,
     400,   556,   336,   522,   520,   335,   335,    82,   128,   156,
     157,   158,   159,   160,   161,   334,   576,   577,   580,   581,
     587,   588,    71,   336,   515,   520,   437,     1,   439,   520,
     336,   562,   336,   336,   319,   326,   345,   346,   347,   421,
     422,   319,   340,   472,   336,   470,   609,   336,   336,   400,
     339,   243,   461,   465,   332,   340,     3,   476,   605,   607,
     607,   607,   607,   336,   336,   336,   336,   400,   549,   549,
       1,    60,   402,   509,   512,     1,   512,     1,   512,   485,
     487,   487,   570,   601,   335,     1,     3,   429,   398,     3,
     425,   398,   332,     3,   402,   332,   335,   400,   445,     3,
     441,   562,   562,   334,     3,     5,   578,   579,   334,   334,
     334,   334,   334,   334,     1,     3,    97,   107,   582,   577,
     601,   336,   333,   336,   333,   449,   442,   407,   543,   543,
     336,   407,   440,   336,   345,   346,   347,   319,   336,   406,
     469,   488,     1,   469,   464,   407,   366,   520,   333,   335,
     400,   400,   510,   607,   319,   487,   319,     1,   509,   607,
     607,   607,   607,   607,   480,    64,   607,   342,   333,   426,
     335,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,   333,   336,   335,     9,   334,
     559,   561,   459,   489,   518,   519,   336,   407,   336,   336,
     400,   333,   333,   332,   336,    97,   107,   401,   584,   584,
     584,   584,   584,   584,   335,   341,   582,   582,   325,   326,
     332,   583,    71,   334,   517,   334,   517,   526,   407,   336,
     336,   336,   336,   407,   422,   335,   333,   335,   335,   340,
     336,   465,   400,   336,   336,   336,   319,    66,   487,   487,
      66,    66,    66,    66,    66,   487,    64,   600,    65,   606,
     398,   398,   398,   398,   398,   398,   398,   398,   398,   398,
     398,   398,   398,   398,   611,   335,   335,   400,   335,   336,
     333,   332,   336,   451,   336,   335,   400,   334,   400,   579,
     400,   401,   400,   401,   317,   332,   332,   332,   332,   332,
     332,   401,   583,   583,     3,    13,    22,     1,   516,   590,
     590,   487,   336,   336,   336,   470,   470,   470,   520,   407,
     487,   487,   398,     1,    60,   402,   432,   433,   336,   606,
     336,   335,   400,   519,   565,   580,   587,   319,   400,   317,
     317,   400,   584,   400,   584,   584,   400,   584,   342,    13,
      22,    13,    22,   341,   400,   400,   335,   332,   335,   335,
     450,   609,   609,   609,   336,   511,   601,   600,   319,   611,
     319,   432,   607,   425,   428,   470,   336,   336,   400,   332,
     400,   400,   332,     3,   332,   585,   586,   332,   332,   332,
     335,   332,     3,   334,     3,   334,     3,   334,     3,   334,
     401,   335,   335,   516,    73,   611,   611,   428,   611,   611,
     335,   607,   452,   319,   400,   400,   406,   335,   332,   400,
     400,   400,   336,   400,   335,   401,   335,   401,   335,   401,
     335,   401,   342,   319,   428,   610,   428,    66,    51,    64,
      67,   400,   335,   585,   336,   406,   585,   585,   585,   332,
      38,    39,   319,   589,   589,   589,   589,   428,   610,   610,
     319,   428,   335,   335,   335,   335,   400,   400,   400,   400,
     400,   601,     3,   336,   336,   336,   336,   585,   335,   335,
     335,   335,   610,   431,   335,   335,   335,   335,   335,   426,
     336,    65
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))

/* Error token number */
#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (YYID (N))                                                     \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (YYID (0))
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

__attribute__((__unused__))
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
#else
static unsigned
yy_location_print_ (yyo, yylocp)
    FILE *yyo;
    YYLTYPE const * const yylocp;
#endif
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += fprintf (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += fprintf (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += fprintf (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += fprintf (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += fprintf (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */
#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
        break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULL, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULL;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULL, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {
      case 3: /* IDENTIFIER */
/* Line 1398 of yacc.c  */
#line 363 "./parser.y"
        { FREE_TEXT( ((*yyvaluep).text) ); };
/* Line 1398 of yacc.c  */
#line 5109 "parser.c"
        break;
      case 5: /* PATHPULSE_IDENTIFIER */
/* Line 1398 of yacc.c  */
#line 363 "./parser.y"
        { FREE_TEXT( ((*yyvaluep).text) ); };
/* Line 1398 of yacc.c  */
#line 5116 "parser.c"
        break;
      case 6: /* DEC_NUMBER */
/* Line 1398 of yacc.c  */
#line 363 "./parser.y"
        { FREE_TEXT( ((*yyvaluep).text) ); };
/* Line 1398 of yacc.c  */
#line 5123 "parser.c"
        break;
      case 7: /* BASE_NUMBER */
/* Line 1398 of yacc.c  */
#line 363 "./parser.y"
        { FREE_TEXT( ((*yyvaluep).text) ); };
/* Line 1398 of yacc.c  */
#line 5130 "parser.c"
        break;
      case 405: /* begin_end_id */
/* Line 1398 of yacc.c  */
#line 363 "./parser.y"
        { FREE_TEXT( ((*yyvaluep).text) ); };
/* Line 1398 of yacc.c  */
#line 5137 "parser.c"
        break;
      case 406: /* identifier */
/* Line 1398 of yacc.c  */
#line 363 "./parser.y"
        { FREE_TEXT( ((*yyvaluep).text) ); };
/* Line 1398 of yacc.c  */
#line 5144 "parser.c"
        break;

      default:
        break;
    }
}




/* The lookahead symbol.  */
int yychar;


#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval YY_INITIAL_VALUE(yyval_default);

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;


/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 4:
/* Line 1792 of yacc.c  */
#line 378 "./parser.y"
    {
      if( (ignore_mode == 0) && !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Attribute syntax found in block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      }
    }
    break;

  case 5:
/* Line 1792 of yacc.c  */
#line 385 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        ignore_mode--;
      } else if( ignore_mode == 0 ) {
        db_parse_attribute( (yyvsp[(3) - (4)].attr_parm), (yylsp[(1) - (4)]).first_line );
      }
    }
    break;

  case 6:
/* Line 1792 of yacc.c  */
#line 393 "./parser.y"
    {
      if( (ignore_mode == 0) && !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Attribute syntax found in block that is specified to not allow Verilog-2001 syntax" );
      }
    }
    break;

  case 9:
/* Line 1792 of yacc.c  */
#line 404 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (3)].attr_parm) != NULL) && ((yyvsp[(1) - (3)].attr_parm) != NULL) ) {
        (yyvsp[(3) - (3)].attr_parm)->next  = (yyvsp[(1) - (3)].attr_parm);
        (yyvsp[(1) - (3)].attr_parm)->prev  = (yyvsp[(3) - (3)].attr_parm);
        (yyvsp[(3) - (3)].attr_parm)->index = (yyvsp[(1) - (3)].attr_parm)->index + 1;
        (yyval.attr_parm) = (yyvsp[(3) - (3)].attr_parm);
      } else {
        (yyval.attr_parm) = NULL;
      }
    }
    break;

  case 10:
/* Line 1792 of yacc.c  */
#line 415 "./parser.y"
    {
      (yyval.attr_parm) = (yyvsp[(1) - (1)].attr_parm);
    }
    break;

  case 11:
/* Line 1792 of yacc.c  */
#line 422 "./parser.y"
    {
      attr_param* ap;
      if( ignore_mode == 0 ) {
        ap = db_create_attr_param( (yyvsp[(1) - (1)].text), NULL );
        (yyval.attr_parm) = ap;
      } else {
        (yyval.attr_parm) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 12:
/* Line 1792 of yacc.c  */
#line 432 "./parser.y"
    {attr_mode++;}
    break;

  case 13:
/* Line 1792 of yacc.c  */
#line 432 "./parser.y"
    {attr_mode--;}
    break;

  case 14:
/* Line 1792 of yacc.c  */
#line 433 "./parser.y"
    {
      attr_param* ap;
      if( ignore_mode == 0 ) {
        ap = db_create_attr_param( (yyvsp[(1) - (5)].text), (yyvsp[(4) - (5)].expr) );
        (yyval.attr_parm) = ap;
      } else {
        (yyval.attr_parm) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (5)].text) );
    }
    break;

  case 19:
/* Line 1792 of yacc.c  */
#line 454 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (8)].text) );
      vector_dealloc( (yyvsp[(5) - (8)].num).vec );
      vector_dealloc( (yyvsp[(7) - (8)].num).vec );
    }
    break;

  case 23:
/* Line 1792 of yacc.c  */
#line 463 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].integer) == 1) ) {
        parser_implicitly_set_curr_range( 0, 0, TRUE );
      }
      curr_signed = FALSE;
    }
    break;

  case 25:
/* Line 1792 of yacc.c  */
#line 471 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    }
    break;

  case 27:
/* Line 1792 of yacc.c  */
#line 479 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(2) - (3)].strlink) );
    }
    break;

  case 28:
/* Line 1792 of yacc.c  */
#line 483 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    }
    break;

  case 29:
/* Line 1792 of yacc.c  */
#line 487 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    }
    break;

  case 30:
/* Line 1792 of yacc.c  */
#line 491 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(4) - (5)].strlink) );
    }
    break;

  case 31:
/* Line 1792 of yacc.c  */
#line 495 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(2) - (3)].strlink) );
    }
    break;

  case 32:
/* Line 1792 of yacc.c  */
#line 499 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(2) - (3)].strlink) );
    }
    break;

  case 33:
/* Line 1792 of yacc.c  */
#line 503 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(5) - (6)].strlink) );
    }
    break;

  case 34:
/* Line 1792 of yacc.c  */
#line 507 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(5) - (6)].strlink) );
    }
    break;

  case 36:
/* Line 1792 of yacc.c  */
#line 512 "./parser.y"
    {
      curr_mba      = TRUE;
      curr_signed   = FALSE;
      curr_sig_type = SSUPPL_TYPE_EVENT;
      curr_handled  = TRUE;
      parser_implicitly_set_curr_range( 0, 0, TRUE );
    }
    break;

  case 38:
/* Line 1792 of yacc.c  */
#line 521 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          if( !db_add_function_task_namedblock( ((yyvsp[(2) - (4)].logical) ? FUNIT_ATASK : FUNIT_TASK), (yyvsp[(3) - (4)].text), (yylsp[(3) - (4)]).text, (yylsp[(3) - (4)]).first_line ) ) {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      }
      FREE_TEXT( (yyvsp[(3) - (4)].text) );
    }
    break;

  case 39:
/* Line 1792 of yacc.c  */
#line 535 "./parser.y"
    {
      statement* stmt = (yyvsp[(7) - (7)].state);
      if( ignore_mode == 0 ) {
        if( stmt == NULL ) {
          stmt = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, (yylsp[(7) - (7)]).first_line, (yylsp[(7) - (7)]).first_column, ((yylsp[(7) - (7)]).last_column - 1), NULL ), (yylsp[(7) - (7)]).ppline );
        }
        stmt->suppl.part.head      = 1;
        stmt->suppl.part.is_called = 1;
        db_add_statement( stmt, stmt );
      }
    }
    break;

  case 40:
/* Line 1792 of yacc.c  */
#line 547 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(9) - (9)]).first_line );
      } else {
        ignore_mode--;
      }
    }
    break;

  case 41:
/* Line 1792 of yacc.c  */
#line 555 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          if( db_add_function_task_namedblock( ((yyvsp[(2) - (6)].logical) ? FUNIT_AFUNCTION : FUNIT_FUNCTION), (yyvsp[(5) - (6)].text), (yylsp[(5) - (6)]).text, (yylsp[(5) - (6)]).first_line ) ) {
            db_add_signal( (yyvsp[(5) - (6)].text), curr_sig_type, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(5) - (6)]).first_line, (yylsp[(5) - (6)]).first_column, TRUE );
          } else {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
        FREE_TEXT( (yyvsp[(5) - (6)].text) );
      }
    }
    break;

  case 42:
/* Line 1792 of yacc.c  */
#line 571 "./parser.y"
    {
      statement* stmt = (yyvsp[(9) - (9)].state);
      if( (ignore_mode == 0) && (stmt != NULL) ) {
        stmt->suppl.part.head      = 1;
        stmt->suppl.part.is_called = 1;
        db_add_statement( stmt, stmt );
      }
    }
    break;

  case 43:
/* Line 1792 of yacc.c  */
#line 580 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(11) - (11)]).first_line );
      } else {
        ignore_mode--;
      }
    }
    break;

  case 44:
/* Line 1792 of yacc.c  */
#line 588 "./parser.y"
    {
      VLerror( "Invalid $root item" );
    }
    break;

  case 45:
/* Line 1792 of yacc.c  */
#line 592 "./parser.y"
    {
      VLerror( "Syntax error in function description" );
    }
    break;

  case 46:
/* Line 1792 of yacc.c  */
#line 596 "./parser.y"
    {
      str_link* strl = (yyvsp[(2) - (3)].strlink);
      while( strl != NULL ) {
        db_add_signal( strl->str, SSUPPL_TYPE_DECL_REG, &curr_prange, NULL, curr_signed, FALSE, strl->suppl, strl->suppl2, TRUE );
        strl = strl->next;
      }
      str_link_delete_list( (yyvsp[(2) - (3)].strlink) );
    }
    break;

  case 47:
/* Line 1792 of yacc.c  */
#line 608 "./parser.y"
    {
      db_add_module( (yyvsp[(3) - (3)].text), (yylsp[(2) - (3)]).text, (yylsp[(2) - (3)]).first_line );
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    }
    break;

  case 48:
/* Line 1792 of yacc.c  */
#line 615 "./parser.y"
    {
      db_end_module( (yylsp[(9) - (9)]).first_line );
    }
    break;

  case 53:
/* Line 1792 of yacc.c  */
#line 629 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Pre-module parameter declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      }
    }
    break;

  case 54:
/* Line 1792 of yacc.c  */
#line 636 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        ignore_mode--;
      }
    }
    break;

  case 56:
/* Line 1792 of yacc.c  */
#line 646 "./parser.y"
    {
      curr_prange.clear = TRUE;
    }
    break;

  case 58:
/* Line 1792 of yacc.c  */
#line 651 "./parser.y"
    {
      curr_prange.clear = TRUE;
    }
    break;

  case 60:
/* Line 1792 of yacc.c  */
#line 659 "./parser.y"
    {
      if( (yyvsp[(2) - (3)].portinfo) != NULL ) {
        parser_dealloc_sig_range( (yyvsp[(2) - (3)].portinfo)->prange, TRUE );
        parser_dealloc_sig_range( (yyvsp[(2) - (3)].portinfo)->urange, TRUE );
        free_safe( (yyvsp[(2) - (3)].portinfo), sizeof( port_info ) );
      }
    }
    break;

  case 62:
/* Line 1792 of yacc.c  */
#line 672 "./parser.y"
    {
      (yyval.portinfo) = (yyvsp[(1) - (1)].portinfo);
    }
    break;

  case 63:
/* Line 1792 of yacc.c  */
#line 676 "./parser.y"
    {
      if( (yyvsp[(1) - (3)].portinfo) != NULL ) {
        parser_dealloc_sig_range( (yyvsp[(1) - (3)].portinfo)->prange, TRUE );
        parser_dealloc_sig_range( (yyvsp[(1) - (3)].portinfo)->urange, TRUE );
        free_safe( (yyvsp[(1) - (3)].portinfo), sizeof( port_info ) );
      }
      (yyval.portinfo) = (yyvsp[(3) - (3)].portinfo);
    }
    break;

  case 64:
/* Line 1792 of yacc.c  */
#line 685 "./parser.y"
    {
      if( (yyvsp[(1) - (3)].portinfo) != NULL ) {
        db_add_signal( (yyvsp[(3) - (3)].text), (yyvsp[(1) - (3)].portinfo)->type, (yyvsp[(1) - (3)].portinfo)->prange, (yyvsp[(1) - (3)].portinfo)->urange, curr_signed, curr_mba, (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, TRUE );
      }
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
      (yyval.portinfo) = (yyvsp[(1) - (3)].portinfo);
    }
    break;

  case 65:
/* Line 1792 of yacc.c  */
#line 697 "./parser.y"
    { PROFILE(PARSER_PORT_DECLARATION_A);
      port_info* pi;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Inline port declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
        FREE_TEXT( (yyvsp[(4) - (4)].text) );
        (yyval.portinfo) = NULL;
      } else {
        if( ignore_mode == 0 ) {
          db_add_signal( (yyvsp[(4) - (4)].text), curr_sig_type, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(4) - (4)]).first_line, (yylsp[(4) - (4)]).first_column, TRUE );
          pi = (port_info*)malloc_safe( sizeof( port_info ) );
          pi->type      = curr_sig_type;
          pi->is_signed = curr_signed;
          pi->prange    = parser_copy_curr_range( TRUE );
          pi->urange    = parser_copy_curr_range( FALSE );
          FREE_TEXT( (yyvsp[(4) - (4)].text) );
          (yyval.portinfo) = pi;
        } else {
          (yyval.portinfo) = NULL;
        }
      }
    }
    break;

  case 66:
/* Line 1792 of yacc.c  */
#line 719 "./parser.y"
    { PROFILE(PARSER_PORT_DECLARATION_B);
      port_info* pi;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Inline port declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
        FREE_TEXT( (yyvsp[(7) - (7)].text) );
        (yyval.portinfo) = NULL;
      } else {
        if( ignore_mode == 0 ) {
          db_add_signal( (yyvsp[(7) - (7)].text), SSUPPL_TYPE_OUTPUT_REG, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(7) - (7)]).first_line, (yylsp[(7) - (7)]).first_column, TRUE );
          pi = (port_info*)malloc_safe( sizeof( port_info ) );
          pi->type      = SSUPPL_TYPE_OUTPUT_REG;
          pi->is_signed = curr_signed;
          pi->prange    = parser_copy_curr_range( TRUE );
          pi->urange    = parser_copy_curr_range( FALSE );
          FREE_TEXT( (yyvsp[(7) - (7)].text) );
          (yyval.portinfo) = pi;
        } else {
          (yyval.portinfo) = NULL;
        }
      }
    }
    break;

  case 67:
/* Line 1792 of yacc.c  */
#line 742 "./parser.y"
    { PROFILE(PARSER_PORT_DECLARATION_C);
      port_info* pi;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Inline port declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
        FREE_TEXT( (yyvsp[(7) - (11)].text) );
        (yyval.portinfo) = NULL;
      } else {
        if( ignore_mode == 0 ) {
          db_add_signal( (yyvsp[(7) - (11)].text), SSUPPL_TYPE_OUTPUT_REG, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(7) - (11)]).first_line, (yylsp[(7) - (11)]).first_column, TRUE );
          pi = (port_info*)malloc_safe( sizeof( port_info ) );
          pi->type       = SSUPPL_TYPE_OUTPUT_REG;
          pi->is_signed  = curr_signed;
          pi->prange     = parser_copy_curr_range( TRUE );
          pi->urange     = parser_copy_curr_range( FALSE );
          FREE_TEXT( (yyvsp[(7) - (11)].text) );
          (yyval.portinfo) = pi;
        } else {
          (yyval.portinfo) = NULL;
        }
      }
    }
    break;

  case 68:
/* Line 1792 of yacc.c  */
#line 764 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Inline port declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
      } else if( ignore_mode == 0 ) {
        VLerror( "Invalid variable list in port declaration" );
      }
      (yyval.portinfo) = NULL;
    }
    break;

  case 69:
/* Line 1792 of yacc.c  */
#line 773 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Inline port declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
      } else if( ignore_mode == 0 ) {
        VLerror( "Invalid variable list in port declaration" );
      }
      (yyval.portinfo) = NULL;
    }
    break;

  case 75:
/* Line 1792 of yacc.c  */
#line 799 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (5)].text) );
    }
    break;

  case 77:
/* Line 1792 of yacc.c  */
#line 804 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (7)].text) );
    }
    break;

  case 78:
/* Line 1792 of yacc.c  */
#line 811 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 79:
/* Line 1792 of yacc.c  */
#line 815 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (8)].text) );
    }
    break;

  case 80:
/* Line 1792 of yacc.c  */
#line 819 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (6)].text) );
    }
    break;

  case 81:
/* Line 1792 of yacc.c  */
#line 823 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    }
    break;

  case 84:
/* Line 1792 of yacc.c  */
#line 835 "./parser.y"
    {
      char* num = (yyvsp[(1) - (1)].text);
      vector_from_string( &num, FALSE, &((yyval.num).vec), &((yyval.num).base) );
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 85:
/* Line 1792 of yacc.c  */
#line 841 "./parser.y"
    { 
      char* num = (yyvsp[(1) - (1)].text);
      vector_from_string( &num, FALSE, &((yyval.num).vec), &((yyval.num).base) );
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 86:
/* Line 1792 of yacc.c  */
#line 847 "./parser.y"
    {
      int          slen     = strlen( (yyvsp[(1) - (2)].text) ) + strlen( (yyvsp[(2) - (2)].text) ) + 1;
      char*        combined = (char*)malloc_safe( slen );
      char*        num      = combined;
      unsigned int rv       = snprintf( num, slen, "%s%s", (yyvsp[(1) - (2)].text), (yyvsp[(2) - (2)].text) );
      assert( rv < slen );
      vector_from_string( &num, FALSE, &((yyval.num).vec), &((yyval.num).base) );
      FREE_TEXT( (yyvsp[(1) - (2)].text) );
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
      free_safe( combined, slen );
    }
    break;

  case 87:
/* Line 1792 of yacc.c  */
#line 862 "./parser.y"
    {
      static_expr* tmp = (yyvsp[(3) - (3)].statexp);
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            tmp = static_expr_gen_unary( (yyvsp[(3) - (3)].statexp), EXP_OP_PASSIGN, (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
          } Catch_anonymous {
            error_count++;
          }
          Try {
            tmp = static_expr_gen( tmp, (yyvsp[(1) - (3)].statexp), EXP_OP_PLIST, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.statexp) = tmp;
        } else {
          (yyval.statexp) = (yyvsp[(1) - (3)].statexp);
        }
      } else {
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 88:
/* Line 1792 of yacc.c  */
#line 885 "./parser.y"
    {
      static_expr* tmp = (yyvsp[(1) - (1)].statexp);
      if( ignore_mode == 0 ) {
        if( (yyvsp[(1) - (1)].statexp) != NULL ) {
          Try {
            tmp = static_expr_gen_unary( (yyvsp[(1) - (1)].statexp), EXP_OP_PASSIGN, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1) );
          } Catch_anonymous {
            error_count++;
          }
        }
        (yyval.statexp) = tmp;
      } else {
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 89:
/* Line 1792 of yacc.c  */
#line 904 "./parser.y"
    {
      (yyval.statexp) = (yyvsp[(1) - (1)].statexp);
    }
    break;

  case 90:
/* Line 1792 of yacc.c  */
#line 908 "./parser.y"
    {
      static_expr* tmp = (yyvsp[(2) - (2)].statexp);
      if( tmp != NULL ) {
        if( tmp->exp == NULL ) {
          tmp->num = 0 + tmp->num;
        }
      }
      (yyval.statexp) = tmp;
    }
    break;

  case 91:
/* Line 1792 of yacc.c  */
#line 918 "./parser.y"
    {
      static_expr* tmp = (yyvsp[(2) - (2)].statexp);
      if( tmp != NULL ) {
        if( tmp->exp == NULL ) {
          tmp->num = 0 - tmp->num;
        }
      }
      (yyval.statexp) = tmp;
    }
    break;

  case 92:
/* Line 1792 of yacc.c  */
#line 928 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UINV, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 93:
/* Line 1792 of yacc.c  */
#line 937 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UAND, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 94:
/* Line 1792 of yacc.c  */
#line 946 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UNOT, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 95:
/* Line 1792 of yacc.c  */
#line 955 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UOR, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 96:
/* Line 1792 of yacc.c  */
#line 964 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UXOR, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 97:
/* Line 1792 of yacc.c  */
#line 973 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UNAND, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 98:
/* Line 1792 of yacc.c  */
#line 982 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UNOR, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 99:
/* Line 1792 of yacc.c  */
#line 991 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UNXOR, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 100:
/* Line 1792 of yacc.c  */
#line 1000 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_XOR, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 101:
/* Line 1792 of yacc.c  */
#line 1004 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_MULTIPLY, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 102:
/* Line 1792 of yacc.c  */
#line 1008 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_DIVIDE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 103:
/* Line 1792 of yacc.c  */
#line 1012 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_MOD, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 104:
/* Line 1792 of yacc.c  */
#line 1016 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_ADD, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 105:
/* Line 1792 of yacc.c  */
#line 1020 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_SUBTRACT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 106:
/* Line 1792 of yacc.c  */
#line 1024 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Exponential power operation found in block that is specified to not allow Verilog-2001 syntax" );
        static_expr_dealloc( (yyvsp[(1) - (3)].statexp), TRUE );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.statexp) = NULL;
      } else {
        (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_EXPONENT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
      }
    }
    break;

  case 107:
/* Line 1792 of yacc.c  */
#line 1035 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_AND, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 108:
/* Line 1792 of yacc.c  */
#line 1039 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_OR, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 109:
/* Line 1792 of yacc.c  */
#line 1043 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_NOR, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 110:
/* Line 1792 of yacc.c  */
#line 1047 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_NAND, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 111:
/* Line 1792 of yacc.c  */
#line 1051 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_NXOR, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 112:
/* Line 1792 of yacc.c  */
#line 1055 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_LSHIFT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 113:
/* Line 1792 of yacc.c  */
#line 1059 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_RSHIFT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 114:
/* Line 1792 of yacc.c  */
#line 1063 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_GE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 115:
/* Line 1792 of yacc.c  */
#line 1067 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_LE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 116:
/* Line 1792 of yacc.c  */
#line 1071 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_EQ, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 117:
/* Line 1792 of yacc.c  */
#line 1075 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_NE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 118:
/* Line 1792 of yacc.c  */
#line 1079 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_GT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 119:
/* Line 1792 of yacc.c  */
#line 1083 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_LT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 120:
/* Line 1792 of yacc.c  */
#line 1087 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_LAND, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 121:
/* Line 1792 of yacc.c  */
#line 1091 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_LOR, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    }
    break;

  case 122:
/* Line 1792 of yacc.c  */
#line 1098 "./parser.y"
    { PROFILE(PARSER_STATIC_EXPR_PRIMARY_A);
      static_expr* tmp;
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].num).vec != NULL) ) {
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        if( vector_is_unknown( (yyvsp[(1) - (1)].num).vec ) ) {
          Try {
            tmp->exp = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
            tmp->exp->suppl.part.base = (yyvsp[(1) - (1)].num).base;
          } Catch_anonymous {
            error_count++;
          }
          vector_dealloc( tmp->exp->value );
          tmp->exp->value = (yyvsp[(1) - (1)].num).vec;
        } else {
          tmp->num = vector_to_int( (yyvsp[(1) - (1)].num).vec );
          tmp->exp = NULL;
          vector_dealloc( (yyvsp[(1) - (1)].num).vec );
        }
        (yyval.statexp) = tmp;
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].num).vec );
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 123:
/* Line 1792 of yacc.c  */
#line 1123 "./parser.y"
    {
      static_expr* tmp;
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].realtime) != NULL) ) {
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        Try {
          tmp->exp = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        vector_dealloc( tmp->exp->value );
        tmp->exp->value = (yyvsp[(1) - (1)].realtime);
        (yyval.statexp) = tmp;
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].realtime) );
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 124:
/* Line 1792 of yacc.c  */
#line 1141 "./parser.y"
    { PROFILE(PARSER_STATIC_EXPR_PRIMARY_B);
      static_expr* tmp;
      if( ignore_mode == 0 ) {
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        tmp->num = -1;
        Try {
          tmp->exp = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), (yyvsp[(1) - (1)].text) );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.statexp) = tmp;
      } else {
        (yyval.statexp) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 125:
/* Line 1792 of yacc.c  */
#line 1158 "./parser.y"
    {
      (yyval.statexp) = (yyvsp[(2) - (3)].statexp);
    }
    break;

  case 126:
/* Line 1792 of yacc.c  */
#line 1162 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        (yyval.statexp) = static_expr_gen( NULL, (yyvsp[(3) - (4)].statexp), EXP_OP_FUNC_CALL, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), (yyvsp[(1) - (4)].text) );
      } else {
        static_expr_dealloc( (yyvsp[(3) - (4)].statexp), TRUE );
        (yyval.statexp) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    }
    break;

  case 127:
/* Line 1792 of yacc.c  */
#line 1172 "./parser.y"
    {
      if( ignore_mode == 0 ) { 
        (yyval.statexp) = static_expr_gen( NULL, (yyvsp[(3) - (4)].statexp), EXP_OP_SBIT_SEL, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), (yyvsp[(1) - (4)].text) );
      } else {
        static_expr_dealloc( (yyvsp[(3) - (4)].statexp), TRUE );
        (yyval.statexp) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    }
    break;

  case 128:
/* Line 1792 of yacc.c  */
#line 1182 "./parser.y"
    {
      stmt_blk_specify_removal_reason( LOGIC_RM_SYSFUNC, (yylsp[(1) - (1)]).text, (yylsp[(1) - (1)]).first_line, __FILE__, __LINE__ );
      (yyval.statexp) = NULL;
    }
    break;

  case 129:
/* Line 1792 of yacc.c  */
#line 1187 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        static_expr* tmp;
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        tmp->num = -1;
        Try {
          tmp->exp = db_create_expression( NULL, NULL, EXP_OP_NOOP, lhs_mode, 0, 0, 0, NULL );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.statexp) = tmp;
      } else {
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 130:
/* Line 1792 of yacc.c  */
#line 1203 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        static_expr* tmp;
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        tmp->num = -1;
        Try {
          tmp->exp = db_create_expression( NULL, NULL, EXP_OP_SRANDOM, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.statexp) = tmp;
      } else {
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 131:
/* Line 1792 of yacc.c  */
#line 1219 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        static_expr* tmp;
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        tmp->num = -1;
        Try {
          tmp->exp = db_create_expression( NULL, NULL, EXP_OP_SURANDOM, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.statexp) = tmp;
      } else {
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 132:
/* Line 1792 of yacc.c  */
#line 1235 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].statexp) != NULL) ) {
        (yyval.statexp) = static_expr_gen( NULL, (yyvsp[(3) - (4)].statexp), EXP_OP_SCLOG2, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
      } else {
        static_expr_dealloc( (yyvsp[(3) - (4)].statexp), TRUE );
        (yyval.statexp) = NULL;
      }
    }
    break;

  case 133:
/* Line 1792 of yacc.c  */
#line 1247 "./parser.y"
    {
      (yyval.expr) = (yyvsp[(1) - (1)].expr);
    }
    break;

  case 134:
/* Line 1792 of yacc.c  */
#line 1251 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        (yyvsp[(2) - (2)].expr)->value->suppl.part.is_signed = 1;
        (yyval.expr) = (yyvsp[(2) - (2)].expr);
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 135:
/* Line 1792 of yacc.c  */
#line 1260 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_NEGATE, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.is_signed = 1;
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 136:
/* Line 1792 of yacc.c  */
#line 1274 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UINV, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 137:
/* Line 1792 of yacc.c  */
#line 1287 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UAND, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 138:
/* Line 1792 of yacc.c  */
#line 1300 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UNOT, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 139:
/* Line 1792 of yacc.c  */
#line 1313 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UOR, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 140:
/* Line 1792 of yacc.c  */
#line 1326 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UXOR, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 141:
/* Line 1792 of yacc.c  */
#line 1339 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UNAND, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 142:
/* Line 1792 of yacc.c  */
#line 1352 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UNOR, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 143:
/* Line 1792 of yacc.c  */
#line 1365 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UNXOR, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 144:
/* Line 1792 of yacc.c  */
#line 1378 "./parser.y"
    {
      VLerror( "Operand of signed positive + is not a primary expression" );
    }
    break;

  case 145:
/* Line 1792 of yacc.c  */
#line 1382 "./parser.y"
    {
      VLerror( "Operand of signed negative - is not a primary expression" );
    }
    break;

  case 146:
/* Line 1792 of yacc.c  */
#line 1386 "./parser.y"
    {
      VLerror( "Operand of unary ~ is not a primary expression" );
    }
    break;

  case 147:
/* Line 1792 of yacc.c  */
#line 1390 "./parser.y"
    {
      VLerror( "Operand of reduction & is not a primary expression" );
    }
    break;

  case 148:
/* Line 1792 of yacc.c  */
#line 1394 "./parser.y"
    {
      VLerror( "Operand of unary ! is not a primary expression" );
    }
    break;

  case 149:
/* Line 1792 of yacc.c  */
#line 1398 "./parser.y"
    {
      VLerror( "Operand of reduction | is not a primary expression" );
    }
    break;

  case 150:
/* Line 1792 of yacc.c  */
#line 1402 "./parser.y"
    {
      VLerror( "Operand of reduction ^ is not a primary expression" );
    }
    break;

  case 151:
/* Line 1792 of yacc.c  */
#line 1406 "./parser.y"
    {
      VLerror( "Operand of reduction ~& is not a primary expression" );
    }
    break;

  case 152:
/* Line 1792 of yacc.c  */
#line 1410 "./parser.y"
    {
      VLerror( "Operand of reduction ~| is not a primary expression" );
    }
    break;

  case 153:
/* Line 1792 of yacc.c  */
#line 1414 "./parser.y"
    {
      VLerror( "Operand of reduction ~^ is not a primary expression" );
    }
    break;

  case 154:
/* Line 1792 of yacc.c  */
#line 1418 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_XOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 155:
/* Line 1792 of yacc.c  */
#line 1433 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_MULTIPLY, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 156:
/* Line 1792 of yacc.c  */
#line 1448 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_DIVIDE, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 157:
/* Line 1792 of yacc.c  */
#line 1463 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_MOD, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 158:
/* Line 1792 of yacc.c  */
#line 1478 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ADD, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 159:
/* Line 1792 of yacc.c  */
#line 1493 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_SUBTRACT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 160:
/* Line 1792 of yacc.c  */
#line 1508 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Exponential power operator found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
          Try {
            (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_EXPONENT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.expr) = NULL;
        }
      }
    }
    break;

  case 161:
/* Line 1792 of yacc.c  */
#line 1530 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_AND, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 162:
/* Line 1792 of yacc.c  */
#line 1545 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_OR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 163:
/* Line 1792 of yacc.c  */
#line 1560 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_NAND, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 164:
/* Line 1792 of yacc.c  */
#line 1575 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_NOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 165:
/* Line 1792 of yacc.c  */
#line 1590 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_NXOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 166:
/* Line 1792 of yacc.c  */
#line 1605 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 167:
/* Line 1792 of yacc.c  */
#line 1620 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_GT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 168:
/* Line 1792 of yacc.c  */
#line 1635 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LSHIFT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 169:
/* Line 1792 of yacc.c  */
#line 1650 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Arithmetic left shift operation found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
          Try {
            (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ALSHIFT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.expr) = NULL;
        }
      }
    }
    break;

  case 170:
/* Line 1792 of yacc.c  */
#line 1672 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_RSHIFT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 171:
/* Line 1792 of yacc.c  */
#line 1687 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Arithmetic right shift operation found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
          Try {
            (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ARSHIFT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.expr) = NULL;
        }
      }
    }
    break;

  case 172:
/* Line 1792 of yacc.c  */
#line 1709 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_EQ, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 173:
/* Line 1792 of yacc.c  */
#line 1724 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_CEQ, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 174:
/* Line 1792 of yacc.c  */
#line 1739 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LE, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 175:
/* Line 1792 of yacc.c  */
#line 1754 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_GE, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 176:
/* Line 1792 of yacc.c  */
#line 1769 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_NE, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 177:
/* Line 1792 of yacc.c  */
#line 1784 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_CNE, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 178:
/* Line 1792 of yacc.c  */
#line 1799 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 179:
/* Line 1792 of yacc.c  */
#line 1814 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LAND, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 180:
/* Line 1792 of yacc.c  */
#line 1829 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].expr) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) && ((yyvsp[(5) - (5)].expr) != NULL) ) {
        Try {
          expression* csel = db_create_expression( (yyvsp[(5) - (5)].expr), (yyvsp[(3) - (5)].expr), EXP_OP_COND_SEL, lhs_mode, (yyvsp[(3) - (5)].expr)->line, (yylsp[(1) - (5)]).first_column, ((yylsp[(3) - (5)]).last_column - 1), NULL );
          (yyval.expr) = db_create_expression( csel, (yyvsp[(1) - (5)].expr), EXP_OP_COND, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(5) - (5)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 181:
/* Line 1792 of yacc.c  */
#line 1849 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].num).vec != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
          (yyval.expr)->suppl.part.base = (yyvsp[(1) - (1)].num).base;
          vector_dealloc( (yyval.expr)->value );
          (yyval.expr)->value = (yyvsp[(1) - (1)].num).vec;
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].num).vec );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 182:
/* Line 1792 of yacc.c  */
#line 1866 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].realtime) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
          vector_dealloc( (yyval.expr)->value );
          (yyval.expr)->value = (yyvsp[(1) - (1)].realtime);
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].realtime) );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 183:
/* Line 1792 of yacc.c  */
#line 1882 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
          (yyval.expr)->suppl.part.base = (yyvsp[(1) - (1)].num).base;
          vector_dealloc( (yyval.expr)->value );
          (yyval.expr)->value = (yyvsp[(1) - (1)].num).vec;
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].num).vec );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 184:
/* Line 1792 of yacc.c  */
#line 1899 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), (yyvsp[(1) - (1)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 185:
/* Line 1792 of yacc.c  */
#line 1913 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          expression* tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(1) - (2)].text) );
          (yyval.expr) = db_create_expression( NULL, tmp,  EXP_OP_PINC, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (2)].text) );
    }
    break;

  case 186:
/* Line 1792 of yacc.c  */
#line 1928 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          expression* tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(1) - (2)].text) );
          (yyval.expr) = db_create_expression( NULL, tmp,  EXP_OP_PDEC, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (2)].text) );
    }
    break;

  case 187:
/* Line 1792 of yacc.c  */
#line 1943 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          expression* tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(2) - (2)].text) );
          (yyval.expr) = db_create_expression( NULL, tmp,  EXP_OP_IINC, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    }
    break;

  case 188:
/* Line 1792 of yacc.c  */
#line 1958 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          expression* tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(2) - (2)].text) );
          (yyval.expr) = db_create_expression( NULL, tmp,  EXP_OP_IDEC, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    }
    break;

  case 189:
/* Line 1792 of yacc.c  */
#line 1973 "./parser.y"
    {
      stmt_blk_specify_removal_reason( LOGIC_RM_SYSFUNC, (yylsp[(1) - (1)]).text, (yylsp[(1) - (1)]).first_line, __FILE__, __LINE__ );
      (yyval.expr) = NULL;
    }
    break;

  case 190:
/* Line 1792 of yacc.c  */
#line 1978 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_NOOP, lhs_mode, 0, 0, 0, NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 191:
/* Line 1792 of yacc.c  */
#line 1991 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SRANDOM, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 192:
/* Line 1792 of yacc.c  */
#line 2004 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SURANDOM, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 193:
/* Line 1792 of yacc.c  */
#line 2017 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STIME, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 194:
/* Line 1792 of yacc.c  */
#line 2030 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SREALTIME, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 195:
/* Line 1792 of yacc.c  */
#line 2043 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].text) != NULL) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(2) - (2)].expr), (yyvsp[(1) - (2)].text) );
        (yyvsp[(2) - (2)].expr)->line           = (yylsp[(1) - (2)]).first_line;
        (yyvsp[(2) - (2)].expr)->col.part.first = (yylsp[(1) - (2)]).first_column;
        (yyval.expr) = (yyvsp[(2) - (2)].expr);
      } else {
        expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (2)].text) );
    }
    break;

  case 196:
/* Line 1792 of yacc.c  */
#line 2056 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(2) - (3)].expr), (yyvsp[(1) - (3)].text) );
        (yyvsp[(2) - (3)].expr)->line           = (yylsp[(1) - (3)]).first_line;
        (yyvsp[(2) - (3)].expr)->col.part.first = (yylsp[(1) - (3)]).first_column;
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(2) - (3)].expr), EXP_OP_PINC, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 197:
/* Line 1792 of yacc.c  */
#line 2074 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(2) - (3)].expr), (yyvsp[(1) - (3)].text) );
        (yyvsp[(2) - (3)].expr)->line           = (yylsp[(1) - (3)]).first_line;
        (yyvsp[(2) - (3)].expr)->col.part.first = (yylsp[(1) - (3)]).first_column;
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(2) - (3)].expr), EXP_OP_PDEC, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 198:
/* Line 1792 of yacc.c  */
#line 2092 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(3) - (3)].expr), (yyvsp[(2) - (3)].text) );
        (yyvsp[(3) - (3)].expr)->line           = (yylsp[(2) - (3)]).first_line;
        (yyvsp[(3) - (3)].expr)->col.part.first = (yylsp[(2) - (3)]).first_column;
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (3)].expr), EXP_OP_IINC, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (3)].text) );
    }
    break;

  case 199:
/* Line 1792 of yacc.c  */
#line 2110 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(3) - (3)].expr), (yyvsp[(2) - (3)].text) );
        (yyvsp[(3) - (3)].expr)->line           = (yylsp[(2) - (3)]).first_line;
        (yyvsp[(3) - (3)].expr)->col.part.first = (yylsp[(2) - (3)]).first_column;
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (3)].expr), EXP_OP_IDEC, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (3)].text) );
    }
    break;

  case 200:
/* Line 1792 of yacc.c  */
#line 2128 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].text) != NULL) && ((yyvsp[(3) - (4)].expr) != NULL ) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_FUNC_CALL, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), (yyvsp[(1) - (4)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    }
    break;

  case 201:
/* Line 1792 of yacc.c  */
#line 2143 "./parser.y"
    {
      stmt_blk_specify_removal_reason( LOGIC_RM_SYSFUNC, (yylsp[(1) - (6)]).text, (yylsp[(1) - (6)]).first_line, __FILE__, __LINE__ );
      (yyval.expr) = NULL;
    }
    break;

  case 202:
/* Line 1792 of yacc.c  */
#line 2148 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_NOOP, lhs_mode, 0, 0, 0, NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 203:
/* Line 1792 of yacc.c  */
#line 2161 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SSIGNED, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.is_signed = 1;
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 204:
/* Line 1792 of yacc.c  */
#line 2177 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SUNSIGNED, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.is_signed = 0;
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 205:
/* Line 1792 of yacc.c  */
#line 2193 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SCLOG2, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 206:
/* Line 1792 of yacc.c  */
#line 2208 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SRANDOM, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 207:
/* Line 1792 of yacc.c  */
#line 2223 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SURANDOM, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 208:
/* Line 1792 of yacc.c  */
#line 2238 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SURAND_RANGE, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 209:
/* Line 1792 of yacc.c  */
#line 2253 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SR2B, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 210:
/* Line 1792 of yacc.c  */
#line 2268 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SB2R, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.data_type = VDATA_R64;
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 211:
/* Line 1792 of yacc.c  */
#line 2284 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SI2R, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.data_type = VDATA_R64;
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 212:
/* Line 1792 of yacc.c  */
#line 2300 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SR2I, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 213:
/* Line 1792 of yacc.c  */
#line 2315 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SSR2B, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 214:
/* Line 1792 of yacc.c  */
#line 2330 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SB2SR, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.data_type = VDATA_R32;
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 215:
/* Line 1792 of yacc.c  */
#line 2346 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_STESTARGS, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 216:
/* Line 1792 of yacc.c  */
#line 2361 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SVALARGS, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(1) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 217:
/* Line 1792 of yacc.c  */
#line 2376 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].expr) != NULL) ) {
        (yyvsp[(2) - (3)].expr)->suppl.part.parenthesis = 1;
        (yyval.expr) = (yyvsp[(2) - (3)].expr);
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 218:
/* Line 1792 of yacc.c  */
#line 2385 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (3)].expr), NULL, EXP_OP_CONCAT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 219:
/* Line 1792 of yacc.c  */
#line 2399 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (6)].expr) != NULL) && ((yyvsp[(4) - (6)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(4) - (6)].expr), (yyvsp[(2) - (6)].expr), EXP_OP_EXPAND, lhs_mode, (yylsp[(1) - (6)]).first_line, (yylsp[(1) - (6)]).first_column, ((yylsp[(6) - (6)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (6)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (6)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 220:
/* Line 1792 of yacc.c  */
#line 2418 "./parser.y"
    { PROFILE(PARSER_EXPRESSION_LIST_A);
      if( ignore_mode == 0 ) {
        if( param_mode == 0 ) {
          if( (yyvsp[(3) - (3)].expr) != NULL ) {
            Try {
              (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LIST, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
              (yyval.expr) = NULL;
            }
          } else {
            (yyval.expr) = (yyvsp[(1) - (3)].expr);
          }
        } else {
          if( (yyvsp[(3) - (3)].expr) != NULL ) {
            param_oride* po = (param_oride*)malloc_safe( sizeof( param_oride ) );
            po->name = NULL;
            po->expr = (yyvsp[(3) - (3)].expr);
            po->next = NULL;
            if( param_oride_head == NULL ) {
              param_oride_head = param_oride_tail = po;
            } else {
              param_oride_tail->next = po;
              param_oride_tail       = po;
            }
          }
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      PROFILE_END;
    }
    break;

  case 221:
/* Line 1792 of yacc.c  */
#line 2452 "./parser.y"
    { PROFILE(PARSER_EXPRESSION_LIST_B);
      if( ignore_mode == 0 ) {
        if( param_mode == 0 ) {
          (yyval.expr) = (yyvsp[(1) - (1)].expr);
        } else {
          if( (yyvsp[(1) - (1)].expr) != NULL ) {
            param_oride* po = (param_oride*)malloc_safe( sizeof( param_oride ) );
            po->name = NULL;
            po->expr = (yyvsp[(1) - (1)].expr);
            po->next = NULL;
            if( param_oride_head == NULL ) {
              param_oride_head = param_oride_tail = po;
            } else {
              param_oride_tail->next = po;
              param_oride_tail       = po;
            }
          }
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      PROFILE_END;
    }
    break;

  case 222:
/* Line 1792 of yacc.c  */
#line 2477 "./parser.y"
    { PROFILE(PARSER_EXPRESSION_LIST_C);
      if( (ignore_mode == 0) && (param_mode == 1) ) {
        param_oride* po = (param_oride*)malloc_safe( sizeof( param_oride ) );
        po->name = NULL;
        po->expr = NULL;
        po->next = NULL;
        if( param_oride_head == NULL ) {
          param_oride_head = param_oride_tail = po;
        } else {
          param_oride_tail->next = po;
          param_oride_tail       = po;
        }
      }
      (yyval.expr) = NULL;
      PROFILE_END;
    }
    break;

  case 223:
/* Line 1792 of yacc.c  */
#line 2494 "./parser.y"
    { PROFILE(PARSER_EXPRESSION_LIST_D);
      if( (ignore_mode == 0) && (param_mode == 1) ) {
        param_oride* po = (param_oride*)malloc_safe( sizeof( param_oride ) );
        po->name = NULL;
        po->expr = NULL;
        po->next = NULL;
        if( param_oride_head == NULL ) {
          param_oride_head = param_oride_tail = po;
        } else {
          param_oride_tail->next = po;
          param_oride_tail       = po;
        }
      }
      (yyval.expr) = (yyvsp[(1) - (2)].expr);
      PROFILE_END;
    }
    break;

  case 224:
/* Line 1792 of yacc.c  */
#line 2515 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].expr) != NULL ) {
          Try {
            expression* tmp = db_create_expression( (yyvsp[(3) - (3)].expr), NULL, EXP_OP_PASSIGN, lhs_mode, (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            (yyval.expr) = db_create_expression( tmp, (yyvsp[(1) - (3)].expr), EXP_OP_PLIST, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          (yyval.expr) = (yyvsp[(1) - (3)].expr);
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 225:
/* Line 1792 of yacc.c  */
#line 2533 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(1) - (1)].expr), NULL, EXP_OP_PASSIGN, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 226:
/* Line 1792 of yacc.c  */
#line 2550 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].expr) != NULL ) {
          Try {
            expression* tmp = db_create_expression( (yyvsp[(3) - (3)].expr), NULL, EXP_OP_SASSIGN, lhs_mode, (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            (yyval.expr) = db_create_expression( tmp, (yyvsp[(1) - (3)].expr), EXP_OP_PLIST, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          (yyval.expr) = (yyvsp[(1) - (3)].expr);
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 227:
/* Line 1792 of yacc.c  */
#line 2569 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(1) - (1)].expr), NULL, EXP_OP_SASSIGN, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (1)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 228:
/* Line 1792 of yacc.c  */
#line 2586 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        (yyval.text) = (yyvsp[(2) - (2)].text);
      } else {
        FREE_TEXT( (yyvsp[(2) - (2)].text) );
        (yyval.text) = NULL;
      }
    }
    break;

  case 229:
/* Line 1792 of yacc.c  */
#line 2594 "./parser.y"
    { (yyval.text) = db_create_unnamed_scope(); }
    break;

  case 230:
/* Line 1792 of yacc.c  */
#line 2599 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        (yyval.text) = (yyvsp[(1) - (1)].text);
      } else {
        FREE_TEXT( (yyvsp[(1) - (1)].text) );
        (yyval.text) = NULL;
      }
    }
    break;

  case 231:
/* Line 1792 of yacc.c  */
#line 2608 "./parser.y"
    { PROFILE(PARSER_IDENTIFIER_A);
      if( ignore_mode == 0 ) {
        unsigned int len = strlen( (yyvsp[(1) - (3)].text) ) + strlen( (yyvsp[(3) - (3)].text) ) + 2;
        char*        str = (char*)malloc_safe( len );
        unsigned int rv  = snprintf( str, len, "%s.%s", (yyvsp[(1) - (3)].text), (yyvsp[(3) - (3)].text) );
        assert( rv < len );
        (yyval.text) = str;
      } else {
        (yyval.text) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    }
    break;

  case 232:
/* Line 1792 of yacc.c  */
#line 2625 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_add_signal( (yyvsp[(1) - (1)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, curr_handled );
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 233:
/* Line 1792 of yacc.c  */
#line 2631 "./parser.y"
    { curr_packed = FALSE; }
    break;

  case 234:
/* Line 1792 of yacc.c  */
#line 2632 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_packed = TRUE;
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "Unpacked array specified for net type in block that was specified to not allow SystemVerilog syntax" );
        } else {
          db_add_signal( (yyvsp[(1) - (3)].text), curr_sig_type, &curr_prange, &curr_urange, curr_signed, curr_mba, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, curr_handled );
        }
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 235:
/* Line 1792 of yacc.c  */
#line 2644 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_add_signal( (yyvsp[(3) - (3)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, curr_handled );
      }
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    }
    break;

  case 236:
/* Line 1792 of yacc.c  */
#line 2651 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "Unpacked array specified for net type in block that was specified to not allow SystemVerilog syntax" );
        } else {
          db_add_signal( (yyvsp[(3) - (4)].text), curr_sig_type, &curr_prange, &curr_urange, curr_signed, curr_mba, (yylsp[(3) - (4)]).first_line, (yylsp[(3) - (4)]).first_column, curr_handled );
        }
      }
      FREE_TEXT( (yyvsp[(3) - (4)].text) );
    }
    break;

  case 237:
/* Line 1792 of yacc.c  */
#line 2671 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        /* We will treat primitives like regular modules */
        db_add_module( (yyvsp[(2) - (10)].text), (yylsp[(1) - (10)]).text, (yylsp[(1) - (10)]).first_line );
        db_end_module( (yylsp[(10) - (10)]).first_line );
      }
      FREE_TEXT( (yyvsp[(2) - (10)].text) );
    }
    break;

  case 239:
/* Line 1792 of yacc.c  */
#line 2684 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 240:
/* Line 1792 of yacc.c  */
#line 2688 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    }
    break;

  case 244:
/* Line 1792 of yacc.c  */
#line 2701 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (3)].text) );
    }
    break;

  case 245:
/* Line 1792 of yacc.c  */
#line 2705 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (3)].text) );
    }
    break;

  case 248:
/* Line 1792 of yacc.c  */
#line 2717 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (5)].text) );
      vector_dealloc( (yyvsp[(4) - (5)].num).vec );
    }
    break;

  case 249:
/* Line 1792 of yacc.c  */
#line 2724 "./parser.y"
    { lex_start_udp_table(); }
    break;

  case 250:
/* Line 1792 of yacc.c  */
#line 2726 "./parser.y"
    { lex_end_udp_table(); }
    break;

  case 287:
/* Line 1792 of yacc.c  */
#line 2792 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expr = db_create_expression( expr, expl, EXP_OP_BASSIGN, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 288:
/* Line 1792 of yacc.c  */
#line 2821 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_ADD_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 289:
/* Line 1792 of yacc.c  */
#line 2850 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_SUB_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 290:
/* Line 1792 of yacc.c  */
#line 2879 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_MLT_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 291:
/* Line 1792 of yacc.c  */
#line 2908 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_DIV_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 292:
/* Line 1792 of yacc.c  */
#line 2937 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_MOD_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 293:
/* Line 1792 of yacc.c  */
#line 2966 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_AND_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 294:
/* Line 1792 of yacc.c  */
#line 2995 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_OR_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 295:
/* Line 1792 of yacc.c  */
#line 3024 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_XOR_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 296:
/* Line 1792 of yacc.c  */
#line 3053 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_LS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 297:
/* Line 1792 of yacc.c  */
#line 3082 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_RS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 298:
/* Line 1792 of yacc.c  */
#line 3111 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_ALS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 299:
/* Line 1792 of yacc.c  */
#line 3140 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_ARS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 300:
/* Line 1792 of yacc.c  */
#line 3169 "./parser.y"
    {
      expression* expr = NULL;
      if( ignore_mode == 0 ) {
        Try {
          expr = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(1) - (2)].text) );
          expr = db_create_expression( NULL, expr, EXP_OP_PINC, FALSE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
          if( generate_varname == NULL ) {
            generate_varname = (yyvsp[(1) - (2)].text);
          } else {
            FREE_TEXT( (yyvsp[(1) - (2)].text) );
          }
        } Catch_anonymous {
          error_count++;
        }
        (yyval.expr) = expr;
      } else {
        FREE_TEXT( (yyvsp[(1) - (2)].text) );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 301:
/* Line 1792 of yacc.c  */
#line 3190 "./parser.y"
    {
      expression* expr = NULL;
      if( ignore_mode == 0 ) {
        Try {
          expr = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(1) - (2)].text) );
          expr = db_create_expression( NULL, expr, EXP_OP_PDEC, FALSE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
          if( generate_varname == NULL ) {
            generate_varname = (yyvsp[(1) - (2)].text);
          } else {
            FREE_TEXT( (yyvsp[(1) - (2)].text) );
          }
        } Catch_anonymous {
          error_count++;
        }
        (yyval.expr) = expr;
      } else {
        FREE_TEXT( (yyvsp[(1) - (2)].text) );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 302:
/* Line 1792 of yacc.c  */
#line 3215 "./parser.y"
    {
      (yyval.gitem) = (yyvsp[(1) - (1)].gitem);
    }
    break;

  case 303:
/* Line 1792 of yacc.c  */
#line 3219 "./parser.y"
    {
      (yyval.gitem) = NULL;
    }
    break;

  case 304:
/* Line 1792 of yacc.c  */
#line 3226 "./parser.y"
    {
      if( (yyvsp[(1) - (2)].gitem) == NULL ) {
        (yyval.gitem) = (yyvsp[(2) - (2)].gitem);
      } else if( (yyvsp[(2) - (2)].gitem) == NULL ) {
        (yyval.gitem) = (yyvsp[(1) - (2)].gitem);
      } else {
        db_gen_item_connect( (yyvsp[(1) - (2)].gitem), (yyvsp[(2) - (2)].gitem) );
        (yyval.gitem) = (yyvsp[(1) - (2)].gitem);
      }
    }
    break;

  case 305:
/* Line 1792 of yacc.c  */
#line 3237 "./parser.y"
    {
      (yyval.gitem) = (yyvsp[(1) - (1)].gitem);
    }
    break;

  case 306:
/* Line 1792 of yacc.c  */
#line 3245 "./parser.y"
    {
      (yyval.gitem) = db_get_curr_gen_block();
    }
    break;

  case 307:
/* Line 1792 of yacc.c  */
#line 3249 "./parser.y"
    {
      (yyval.gitem) = (yyvsp[(2) - (3)].gitem);
    }
    break;

  case 308:
/* Line 1792 of yacc.c  */
#line 3253 "./parser.y"
    {
      generate_expr_mode++;
      if( ignore_mode == 0 ) {
        Try {
          if( !db_add_function_task_namedblock( FUNIT_NAMED_BLOCK, (yyvsp[(3) - (3)].text), (yylsp[(3) - (3)]).text, (yylsp[(3) - (3)]).first_line ) ) {
            ignore_mode++;
          } else {
            gen_item* gi = db_get_curr_gen_block();
            assert( gi != NULL );
            gitem_link_add( gi, &save_gi_head, &save_gi_tail );
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      }
      generate_expr_mode--;
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    }
    break;

  case 309:
/* Line 1792 of yacc.c  */
#line 3273 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(6) - (6)]).first_line );
      } else {
        ignore_mode--;
      }
      db_gen_item_connect_true( save_gi_tail->gi, (yyvsp[(5) - (6)].gitem) );
      (yyval.gitem) = save_gi_tail->gi;
      gitem_link_remove( save_gi_tail->gi, &save_gi_head, &save_gi_tail );
    }
    break;

  case 310:
/* Line 1792 of yacc.c  */
#line 3284 "./parser.y"
    {
      generate_expr_mode++;
    }
    break;

  case 311:
/* Line 1792 of yacc.c  */
#line 3288 "./parser.y"
    {
      generate_for_mode++;
      if( ignore_mode == 0 ) {
        Try {
          if( !db_add_function_task_namedblock( FUNIT_NAMED_BLOCK, (yyvsp[(12) - (12)].text), (yylsp[(12) - (12)]).text, (yylsp[(12) - (12)]).first_line ) ) {
            ignore_mode++;
          } else {
            gen_item* gi = db_get_curr_gen_block();
            assert( gi != NULL );
            gi->varname = generate_varname;
            generate_varname = NULL;
            gitem_link_add( gi, &save_gi_head, &save_gi_tail );
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      }
      generate_expr_mode--;
      FREE_TEXT( (yyvsp[(12) - (12)].text) );
    }
    break;

  case 312:
/* Line 1792 of yacc.c  */
#line 3310 "./parser.y"
    {
      gen_item*   gi1;
      gen_item*   gi2;
      gen_item*   gi3;
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(15) - (15)]).first_line );
      } else {
        ignore_mode--;
      }
      generate_for_mode--;
      generate_expr_mode++;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (15)].expr) != NULL) && ((yyvsp[(6) - (15)].statexp) != NULL) && ((yyvsp[(8) - (15)].expr) != NULL) && ((yyvsp[(14) - (15)].gitem) != NULL) ) {
        block_depth++;
        /* Create first statement */
        db_add_expression( (yyvsp[(4) - (15)].expr) );
        gi1 = db_get_curr_gen_block();
        /* Create second statement and attach it to the first statement */
        db_add_expression( db_create_expr_from_static( (yyvsp[(6) - (15)].statexp), (yylsp[(6) - (15)]).first_line, (yylsp[(6) - (15)]).first_column, ((yylsp[(6) - (15)]).last_column - 1)) );
        gi2 = db_get_curr_gen_block();
        db_gen_item_connect( gi1, gi2 );
        /* Add genvar to the new scope */
        /* Connect next_true of gi2 to the new scope */
        db_gen_item_connect_true( gi2, save_gi_tail->gi );
        /* Connect the generate block to the new scope */
        db_gen_item_connect_true( save_gi_tail->gi, (yyvsp[(14) - (15)].gitem) );
        /* Create third statement and attach it to the generate block */
        db_add_expression( (yyvsp[(8) - (15)].expr) );
        gi3 = db_get_curr_gen_block();
        db_gen_item_connect_false( save_gi_tail->gi, gi3 );
        gitem_link_remove( save_gi_tail->gi, &save_gi_head, &save_gi_tail );
        gi2->suppl.part.conn_id = gi_conn_id;
        db_gen_item_connect( gi3, gi2 );
        block_depth--;
        (yyval.gitem) = gi1;
      } else {
        expression_dealloc( (yyvsp[(4) - (15)].expr), FALSE );
        static_expr_dealloc( (yyvsp[(6) - (15)].statexp), TRUE );
        expression_dealloc( (yyvsp[(8) - (15)].expr), TRUE );
        /* TBD - Deallocate generate block */
        (yyval.gitem) = NULL;
      }
      generate_expr_mode--;
    }
    break;

  case 313:
/* Line 1792 of yacc.c  */
#line 3354 "./parser.y"
    {
      expression* expr;
      gen_item*   gi1;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (9)].statexp) != NULL) && ((yyvsp[(8) - (9)].gitem) != NULL) ) {
        generate_expr_mode++;
        expr = db_create_expr_from_static( (yyvsp[(4) - (9)].statexp), (yylsp[(4) - (9)]).first_line, (yylsp[(4) - (9)]).first_column, ((yylsp[(4) - (9)]).last_column - 1) );
        Try {
          expr = db_create_expression( expr, NULL, EXP_OP_IF, FALSE, (yylsp[(1) - (9)]).first_line, (yylsp[(1) - (9)]).first_column, ((yylsp[(5) - (9)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        db_add_expression( expr );
        gi1 = db_get_curr_gen_block();
        db_gen_item_connect_true( gi1, (yyvsp[(8) - (9)].gitem) );
        generate_expr_mode--;
        (yyval.gitem) = gi1;
      } else {
        static_expr_dealloc( (yyvsp[(4) - (9)].statexp), TRUE );
        /* TBD - Deallocate generate block */
        (yyval.gitem) = NULL;
      }
    }
    break;

  case 314:
/* Line 1792 of yacc.c  */
#line 3377 "./parser.y"
    {
      expression* expr;
      gen_item*   gi1;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (11)].statexp) != NULL) && ((yyvsp[(8) - (11)].gitem) != NULL) && ((yyvsp[(11) - (11)].gitem) != NULL) ) {
        generate_expr_mode++;
        expr = db_create_expr_from_static( (yyvsp[(4) - (11)].statexp), (yylsp[(4) - (11)]).first_line, (yylsp[(4) - (11)]).first_column, ((yylsp[(4) - (11)]).last_column - 1) );
        Try {
          expr = db_create_expression( expr, NULL, EXP_OP_IF, FALSE, (yylsp[(1) - (11)]).first_line, (yylsp[(1) - (11)]).first_column, ((yylsp[(5) - (11)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        db_add_expression( expr );
        gi1 = db_get_curr_gen_block();
        db_gen_item_connect_true( gi1, (yyvsp[(8) - (11)].gitem) );
        db_gen_item_connect_false( gi1, (yyvsp[(11) - (11)].gitem) );
        generate_expr_mode--;
        (yyval.gitem) = gi1;
      } else {
        static_expr_dealloc( (yyvsp[(4) - (11)].statexp), TRUE );
        gen_item_dealloc( db_get_curr_gen_block(), TRUE );
        gen_item_dealloc( (yyvsp[(8) - (11)].gitem), TRUE );
        gen_item_dealloc( (yyvsp[(11) - (11)].gitem), TRUE );
        (yyval.gitem) = NULL;
      }
    }
    break;

  case 315:
/* Line 1792 of yacc.c  */
#line 3403 "./parser.y"
    { 
      expression* expr      = NULL;
      expression* c_expr;
      gen_item*   stmt      = NULL;
      gen_item*   last_stmt = NULL;
      case_gitem* c_stmt    = (yyvsp[(7) - (10)].case_gi);
      case_gitem* tc_stmt;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (10)].statexp) != NULL) ) {
        generate_expr_mode++;
        c_expr = db_create_expr_from_static( (yyvsp[(4) - (10)].statexp), (yylsp[(4) - (10)]).first_line, (yylsp[(4) - (10)]).first_column, ((yylsp[(4) - (10)]).last_column - 1) );
        while( c_stmt != NULL ) {
          Try {
            if( (c_stmt->expr != NULL) && (c_stmt->expr->op == EXP_OP_LIST) ) {
              parser_handle_generate_case_statement_list( c_stmt->expr, c_expr, c_stmt->gi, c_stmt->line, &last_stmt );
            } else {
              parser_handle_generate_case_statement( c_stmt->expr, c_expr, c_stmt->gi, c_stmt->line, &last_stmt );
            } 
          } Catch_anonymous {
            error_count++;
            break;
          }
          tc_stmt   = c_stmt;
          c_stmt    = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_gitem ) );
        }
        if( last_stmt != NULL ) {
          last_stmt->elem.expr->suppl.part.owned = 1;
        }
        generate_expr_mode--;
        (yyval.gitem) = last_stmt;
      } else {
        static_expr_dealloc( (yyvsp[(4) - (10)].statexp), FALSE );
        while( c_stmt != NULL ) {
          expression_dealloc( c_stmt->expr, FALSE );
          // db_remove_statement( c_stmt->stmt );
          /* statement_dealloc_recursive( c_stmt->stmt ); */
          tc_stmt = c_stmt;
          c_stmt  = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_gitem ) );
        }
        (yyval.gitem) = NULL;
      }
    }
    break;

  case 316:
/* Line 1792 of yacc.c  */
#line 3450 "./parser.y"
    { PROFILE(PARSER_GENERATE_CASE_ITEM_A);
      case_gitem* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_gitem*)malloc_safe( sizeof( case_gitem ) );
        cstmt->prev = NULL;
        cstmt->expr = (yyvsp[(1) - (5)].expr);
        cstmt->gi = (yyvsp[(4) - (5)].gitem);
        cstmt->line = (yylsp[(1) - (5)]).first_line;
        (yyval.case_gi) = cstmt;
      } else {
        (yyval.case_gi) = NULL;
      }
    }
    break;

  case 317:
/* Line 1792 of yacc.c  */
#line 3464 "./parser.y"
    { PROFILE(PARSER_GENERATE_CASE_ITEM_B);
      case_gitem* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_gitem*)malloc_safe( sizeof( case_gitem ) );
        cstmt->prev = NULL;
        cstmt->expr = NULL;
        cstmt->gi   = (yyvsp[(4) - (5)].gitem);
        cstmt->line = (yylsp[(1) - (5)]).first_line;
        (yyval.case_gi) = cstmt;
      } else {
        (yyval.case_gi) = NULL;
      }
    }
    break;

  case 318:
/* Line 1792 of yacc.c  */
#line 3478 "./parser.y"
    { PROFILE(PARSER_GENERATE_CASE_ITEM_C);
      case_gitem* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_gitem*)malloc_safe( sizeof( case_gitem ) );
        cstmt->prev = NULL;
        cstmt->expr = NULL;
        cstmt->gi   = (yyvsp[(3) - (4)].gitem);
        cstmt->line = (yylsp[(1) - (4)]).first_line;
        (yyval.case_gi) = cstmt;
      } else {
        (yyval.case_gi) = NULL;
      }
    }
    break;

  case 319:
/* Line 1792 of yacc.c  */
#line 3492 "./parser.y"
    {
      VLerror( "Illegal generate case expression" );
    }
    break;

  case 320:
/* Line 1792 of yacc.c  */
#line 3499 "./parser.y"
    {
      case_gitem* list = (yyvsp[(1) - (2)].case_gi);
      case_gitem* curr = (yyvsp[(2) - (2)].case_gi);
      if( ignore_mode == 0 ) {
        curr->prev = list;
        (yyval.case_gi) = curr;
      } else {
        (yyval.case_gi) = NULL;
      }
    }
    break;

  case 321:
/* Line 1792 of yacc.c  */
#line 3510 "./parser.y"
    {
      (yyval.case_gi) = (yyvsp[(1) - (1)].case_gi);
    }
    break;

  case 328:
/* Line 1792 of yacc.c  */
#line 3533 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (4)].integer) == 1) ) {
        parser_implicitly_set_curr_range( 0, 0, TRUE );
      }
      curr_signed = FALSE;
    }
    break;

  case 330:
/* Line 1792 of yacc.c  */
#line 3542 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_signed  = (yyvsp[(2) - (2)].typdef)->is_signed;
      curr_handled = (yyvsp[(2) - (2)].typdef)->is_handled;
      parser_copy_range_to_curr_range( (yyvsp[(2) - (2)].typdef)->prange, TRUE );
      parser_copy_range_to_curr_range( (yyvsp[(2) - (2)].typdef)->urange, FALSE );
    }
    break;

  case 332:
/* Line 1792 of yacc.c  */
#line 3551 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      if( generate_top_mode > 0 ) {
        ignore_mode++;
        VLerror( "Port declaration not allowed within a generate block" );
      }
    }
    break;

  case 333:
/* Line 1792 of yacc.c  */
#line 3560 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        ignore_mode--;
      }
    }
    break;

  case 334:
/* Line 1792 of yacc.c  */
#line 3567 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "ANSI-C port declaration used in a block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      } else {
        curr_mba     = FALSE;
        curr_handled = TRUE;
        if( generate_top_mode > 0 ) {
          ignore_mode++;
          VLerror( "Port declaration not allowed within a generate block" );
        }
      }
    }
    break;

  case 335:
/* Line 1792 of yacc.c  */
#line 3581 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) || (generate_top_mode > 0) ) {
        ignore_mode--;
      }
    }
    break;

  case 336:
/* Line 1792 of yacc.c  */
#line 3587 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "ANSI-C port declaration used in a block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      } else {
        curr_mba      = FALSE;
        curr_handled  = TRUE;
        curr_sig_type = SSUPPL_TYPE_OUTPUT_REG;
        if( generate_top_mode > 0 ) {
          ignore_mode++;
          VLerror( "Port declaration not allowed within a generate block" );
        }
      }
    }
    break;

  case 337:
/* Line 1792 of yacc.c  */
#line 3602 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) || (generate_top_mode > 0) ) {
        ignore_mode--;
      }
    }
    break;

  case 338:
/* Line 1792 of yacc.c  */
#line 3608 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        VLerror( "Port declaration not allowed within a generate block" );
      } else {
        VLerror( "Invalid variable list in port declaration" );
      }
    }
    break;

  case 339:
/* Line 1792 of yacc.c  */
#line 3616 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      if( generate_top_mode > 0 ) {
        ignore_mode++;
        VLerror( "Port declaration not allowed within a generate block" );
      }
    }
    break;

  case 340:
/* Line 1792 of yacc.c  */
#line 3627 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        ignore_mode--;
      }
    }
    break;

  case 341:
/* Line 1792 of yacc.c  */
#line 3633 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    }
    break;

  case 342:
/* Line 1792 of yacc.c  */
#line 3637 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(4) - (5)].strlink) );
    }
    break;

  case 343:
/* Line 1792 of yacc.c  */
#line 3641 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(4) - (5)].strlink) );
    }
    break;

  case 344:
/* Line 1792 of yacc.c  */
#line 3645 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(5) - (6)].strlink) );
    }
    break;

  case 345:
/* Line 1792 of yacc.c  */
#line 3649 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    }
    break;

  case 346:
/* Line 1792 of yacc.c  */
#line 3653 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    }
    break;

  case 347:
/* Line 1792 of yacc.c  */
#line 3657 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(6) - (7)].strlink) );
    }
    break;

  case 348:
/* Line 1792 of yacc.c  */
#line 3661 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(6) - (7)].strlink) );
    }
    break;

  case 350:
/* Line 1792 of yacc.c  */
#line 3666 "./parser.y"
    {
      unsigned int rv = snprintf( user_msg, USER_MSG_LENGTH, "Defparam found but not used, file: %s, line: %u.  Please use -P option to specify",
                                  obf_file( (yylsp[(1) - (4)]).text ), (yylsp[(1) - (4)]).first_line );
      assert( rv < USER_MSG_LENGTH );
      print_output( user_msg, FATAL, __FILE__, __LINE__ );
    }
    break;

  case 351:
/* Line 1792 of yacc.c  */
#line 3673 "./parser.y"
    {
      curr_mba      = TRUE;
      curr_signed   = FALSE;
      curr_sig_type = SSUPPL_TYPE_EVENT;
      curr_handled  = TRUE;
      parser_implicitly_set_curr_range( 0, 0, TRUE );
    }
    break;

  case 353:
/* Line 1792 of yacc.c  */
#line 3683 "./parser.y"
    {
      str_link*    tmp  = (yyvsp[(4) - (5)].strlink);
      str_link*    curr = tmp;
      param_oride* po;
      if( ignore_mode == 0 ) {
        Try {
          while( curr != NULL ) {
            while( param_oride_head != NULL ){
              po               = param_oride_head;
              param_oride_head = po->next;
              db_add_override_param( curr->str, po->expr, po->name );
              if( po->name != NULL ) {
                free_safe( po->name, (strlen( po->name ) + 1) );
              }
              free_safe( po, sizeof( param_oride ) );
            }
            (void)db_add_instance( curr->str, (yyvsp[(2) - (5)].text), FUNIT_MODULE, curr->range );
            curr = curr->next;
          }
        } Catch_anonymous {
          error_count++;
        }
        str_link_delete_list( tmp );
        param_oride_head = NULL;
        param_oride_tail = NULL;
        FREE_TEXT( (yyvsp[(2) - (5)].text) );
      } else {
        FREE_TEXT( (yyvsp[(2) - (5)].text) );
      }
    }
    break;

  case 354:
/* Line 1792 of yacc.c  */
#line 3714 "./parser.y"
    { ignore_mode++; }
    break;

  case 355:
/* Line 1792 of yacc.c  */
#line 3714 "./parser.y"
    { ignore_mode--; }
    break;

  case 357:
/* Line 1792 of yacc.c  */
#line 3717 "./parser.y"
    {
      statement* stmt = (yyvsp[(3) - (3)].state);
      if( stmt != NULL ) {
        if( db_statement_connect( stmt, stmt ) && (info_suppl.part.excl_always == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
          stmt->suppl.part.head = 1;
          db_add_statement( stmt, stmt );
        } else {
          db_remove_statement( stmt );
        }
      }
    }
    break;

  case 358:
/* Line 1792 of yacc.c  */
#line 3730 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "always_comb syntax found in block that is specified to not allow SystemVerilog syntax" );
        ignore_mode++;
      }
    }
    break;

  case 359:
/* Line 1792 of yacc.c  */
#line 3737 "./parser.y"
    {
      statement*  stmt;
      expression* slist;
      if( !parser_check_generation( GENERATION_SV ) ) {
        ignore_mode--;
      } else {
        if( (yyvsp[(4) - (4)].state) != NULL ) {
          if( (slist = db_create_sensitivity_list( (yyvsp[(4) - (4)].state) )) == NULL ) {
            VLerror( "Empty implicit event expression for the specified always_comb statement" );
          } else {
            Try {
              slist = db_create_expression( slist, NULL, EXP_OP_ALWAYS_COMB, lhs_mode, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(2) - (4)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
            stmt = db_create_statement( slist, (yylsp[(2) - (4)]).ppline );
            if( !db_statement_connect( stmt, (yyvsp[(4) - (4)].state) ) ) {
              db_remove_statement( stmt );
              db_remove_statement( (yyvsp[(4) - (4)].state) );
            } else {
              if( db_statement_connect( stmt, stmt ) && (info_suppl.part.excl_always == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
                stmt->suppl.part.head = 1;
                db_add_statement( stmt, stmt );
              } else {
                db_remove_statement( stmt );
              }
            }
          }
        }
      }
    }
    break;

  case 360:
/* Line 1792 of yacc.c  */
#line 3770 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "always_latch syntax found in block that is specified to not allow SystemVerilog syntax" );
        ignore_mode++;
      }
    }
    break;

  case 361:
/* Line 1792 of yacc.c  */
#line 3777 "./parser.y"
    {
      statement*  stmt;
      expression* slist;
      if( !parser_check_generation( GENERATION_SV ) ) {
        ignore_mode--;
      } else {
        if( (yyvsp[(4) - (4)].state) != NULL ) {
          if( (slist = db_create_sensitivity_list( (yyvsp[(4) - (4)].state) )) == NULL ) {
            VLerror( "Empty implicit event expression for the specified always_latch statement" );
          } else {
            Try {
              slist = db_create_expression( slist, NULL, EXP_OP_ALWAYS_LATCH, lhs_mode, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(2) - (4)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
            stmt  = db_create_statement( slist, (yylsp[(2) - (4)]).ppline );
            if( !db_statement_connect( stmt, (yyvsp[(4) - (4)].state) ) ) {
              db_remove_statement( stmt );
              db_remove_statement( (yyvsp[(4) - (4)].state) );
            } else {
              if( db_statement_connect( stmt, stmt ) && (info_suppl.part.excl_always == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
                stmt->suppl.part.head = 1;
                db_add_statement( stmt, stmt );
              } else {
                db_remove_statement( stmt );
              }
            }
          }
        }
      }
    }
    break;

  case 362:
/* Line 1792 of yacc.c  */
#line 3810 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "always_ff syntax found in block that is specified to not allow SystemVerilog syntax" );
        ignore_mode++;
      }
    }
    break;

  case 363:
/* Line 1792 of yacc.c  */
#line 3817 "./parser.y"
    {
      statement* stmt = (yyvsp[(4) - (4)].state);
      if( !parser_check_generation( GENERATION_SV ) ) {
        ignore_mode--;
      } else {
        if( stmt != NULL ) {
          if( db_statement_connect( stmt, stmt ) && (info_suppl.part.excl_always == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
            stmt->suppl.part.head = 1;
            db_add_statement( stmt, stmt );
          } else {
            db_remove_statement( stmt );
          }
        }
      }
    }
    break;

  case 364:
/* Line 1792 of yacc.c  */
#line 3834 "./parser.y"
    {
      statement* stmt = (yyvsp[(3) - (3)].state);
      if( stmt != NULL ) {
        if( (info_suppl.part.excl_init == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
          stmt->suppl.part.head = 1;
          db_add_statement( stmt, stmt );
        } else {
          db_remove_statement( stmt );
        }
      }
    }
    break;

  case 365:
/* Line 1792 of yacc.c  */
#line 3847 "./parser.y"
    {
      statement* stmt = (yyvsp[(3) - (3)].state);
      if( stmt != NULL ) {
        if( (info_suppl.part.excl_final == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
          stmt->suppl.part.head  = 1;
          stmt->suppl.part.final = 1;
          db_add_statement( stmt, stmt );
        } else {
          db_remove_statement( stmt );
        }
      }
    }
    break;

  case 366:
/* Line 1792 of yacc.c  */
#line 3861 "./parser.y"
    {
      if( generate_for_mode > 0 ) {
        VLerror( "Task definition not allowed within a generate loop" );
        ignore_mode++;
      }
      if( ignore_mode == 0 ) {
        Try {
          if( !db_add_function_task_namedblock( ((yyvsp[(3) - (5)].logical) ? FUNIT_ATASK : FUNIT_TASK), (yyvsp[(4) - (5)].text), (yylsp[(4) - (5)]).text, (yylsp[(4) - (5)]).first_line ) ) {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      }
      FREE_TEXT( (yyvsp[(4) - (5)].text) );
      generate_top_mode--;
    }
    break;

  case 367:
/* Line 1792 of yacc.c  */
#line 3880 "./parser.y"
    {
      statement* stmt = (yyvsp[(8) - (8)].state);
      if( ignore_mode == 0 ) {
        if( stmt == NULL ) {
          stmt = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, (yylsp[(8) - (8)]).first_line, (yylsp[(8) - (8)]).first_column, ((yylsp[(8) - (8)]).last_column - 1), NULL ), (yylsp[(8) - (8)]).ppline );
        }
        stmt->suppl.part.head      = 1;
        stmt->suppl.part.is_called = 1;
        db_add_statement( stmt, stmt );
      }
    }
    break;

  case 368:
/* Line 1792 of yacc.c  */
#line 3892 "./parser.y"
    {
      generate_top_mode++;
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(10) - (10)]).first_line );
      } else {
        ignore_mode--;
      }
    }
    break;

  case 369:
/* Line 1792 of yacc.c  */
#line 3902 "./parser.y"
    {
      if( generate_for_mode > 0 ) {
        VLerror( "Function definition not allowed within a generate loop" );
        ignore_mode++;
      }
      if( ignore_mode == 0 ) {
        Try {
          if( db_add_function_task_namedblock( ((yyvsp[(3) - (7)].logical) ? FUNIT_AFUNCTION : FUNIT_FUNCTION), (yyvsp[(6) - (7)].text), (yylsp[(6) - (7)]).text, (yylsp[(6) - (7)]).first_line ) ) {
            generate_top_mode--;
            db_add_signal( (yyvsp[(6) - (7)].text), curr_sig_type, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(6) - (7)]).first_line, (yylsp[(6) - (7)]).first_column, TRUE );
            generate_top_mode++;
          } else {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      }
      generate_top_mode--;
      FREE_TEXT( (yyvsp[(6) - (7)].text) );
    }
    break;

  case 370:
/* Line 1792 of yacc.c  */
#line 3925 "./parser.y"
    {
      statement* stmt = (yyvsp[(10) - (10)].state);
      if( (ignore_mode == 0) && (stmt != NULL) ) {
        stmt->suppl.part.head      = 1;
        stmt->suppl.part.is_called = 1;
        db_add_statement( stmt, stmt );
      }
    }
    break;

  case 371:
/* Line 1792 of yacc.c  */
#line 3934 "./parser.y"
    {
      generate_top_mode++;
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(12) - (12)]).first_line );
      } else {
        ignore_mode--;
      }
    }
    break;

  case 372:
/* Line 1792 of yacc.c  */
#line 3943 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Generate syntax found in block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      } else {
        if( generate_mode == 0 ) {
          generate_mode = 1;
          generate_top_mode = 1;
        } else {
          VLerror( "Found generate keyword inside of a generate block" );
        }
      }
    }
    break;

  case 373:
/* Line 1792 of yacc.c  */
#line 3958 "./parser.y"
    {
      generate_mode = 0;
      generate_top_mode = 0;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        ignore_mode--;
      } else {
        db_add_gen_item_block( (yyvsp[(3) - (4)].gitem) );
      }
    }
    break;

  case 374:
/* Line 1792 of yacc.c  */
#line 3968 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Genvar syntax found in block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      } else {
        curr_signed   = FALSE;
        curr_mba      = TRUE;
        curr_handled  = TRUE;
        curr_sig_type = SSUPPL_TYPE_GENVAR;
        parser_implicitly_set_curr_range( 31, 0, TRUE );
      }
    }
    break;

  case 375:
/* Line 1792 of yacc.c  */
#line 3981 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        ignore_mode--;
      }
    }
    break;

  case 376:
/* Line 1792 of yacc.c  */
#line 3988 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        VLerror( "Specify block not allowed within a generate block" );
      }
    }
    break;

  case 378:
/* Line 1792 of yacc.c  */
#line 3996 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        VLerror( "Specify block not allowed within a generate block" );
      }
    }
    break;

  case 380:
/* Line 1792 of yacc.c  */
#line 4004 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        VLerror( "Specify block not allowed within a generate block" );
      }
    }
    break;

  case 382:
/* Line 1792 of yacc.c  */
#line 4011 "./parser.y"
    {
      VLerror( "Invalid module item.  Did you forget an initial or always?" );
    }
    break;

  case 383:
/* Line 1792 of yacc.c  */
#line 4015 "./parser.y"
    { ignore_mode++; }
    break;

  case 384:
/* Line 1792 of yacc.c  */
#line 4015 "./parser.y"
    { ignore_mode--; }
    break;

  case 385:
/* Line 1792 of yacc.c  */
#line 4016 "./parser.y"
    {
      VLerror( "Syntax error in left side of continuous assignment" );
    }
    break;

  case 386:
/* Line 1792 of yacc.c  */
#line 4021 "./parser.y"
    {
      VLerror( "Syntax error in continuous assignment" );
    }
    break;

  case 387:
/* Line 1792 of yacc.c  */
#line 4026 "./parser.y"
    {
      if( generate_for_mode > 0 ) {
        VLerror( "Function definition not allowed within generate block" );
      }
      VLerror( "Syntax error in function description" );
    }
    break;

  case 388:
/* Line 1792 of yacc.c  */
#line 4034 "./parser.y"
    {
      str_link* strl = (yyvsp[(3) - (4)].strlink);
      while( strl != NULL ) {
        db_add_signal( strl->str, SSUPPL_TYPE_DECL_REG, &curr_prange, NULL, curr_signed, FALSE, strl->suppl, strl->suppl2, TRUE );
        strl = strl->next;
      }
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    }
    break;

  case 390:
/* Line 1792 of yacc.c  */
#line 4047 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (5)].text) );
    }
    break;

  case 394:
/* Line 1792 of yacc.c  */
#line 4061 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (9)].text) );
      vector_dealloc( (yyvsp[(5) - (9)].num).vec );
      vector_dealloc( (yyvsp[(7) - (9)].num).vec );
    }
    break;

  case 395:
/* Line 1792 of yacc.c  */
#line 4067 "./parser.y"
    {
      VLerror( "Syntax error in $attribute parameter list" );
    }
    break;

  case 396:
/* Line 1792 of yacc.c  */
#line 4074 "./parser.y"
    {
      (yyval.state) = (yyvsp[(1) - (1)].state);
    }
    break;

  case 399:
/* Line 1792 of yacc.c  */
#line 4084 "./parser.y"
    {
    }
    break;

  case 400:
/* Line 1792 of yacc.c  */
#line 4087 "./parser.y"
    {
    }
    break;

  case 401:
/* Line 1792 of yacc.c  */
#line 4090 "./parser.y"
    {
      curr_mba      = TRUE;
      curr_signed   = FALSE;
      curr_sig_type = SSUPPL_TYPE_EVENT;
      curr_handled  = TRUE;
      parser_implicitly_set_curr_range( 0, 0, TRUE );
    }
    break;

  case 402:
/* Line 1792 of yacc.c  */
#line 4101 "./parser.y"
    {
      (yyval.integer) = 1;
    }
    break;

  case 403:
/* Line 1792 of yacc.c  */
#line 4105 "./parser.y"
    {
      (yyval.integer) = 0;
    }
    break;

  case 407:
/* Line 1792 of yacc.c  */
#line 4119 "./parser.y"
    {
    }
    break;

  case 408:
/* Line 1792 of yacc.c  */
#line 4122 "./parser.y"
    {
    }
    break;

  case 409:
/* Line 1792 of yacc.c  */
#line 4125 "./parser.y"
    {
    }
    break;

  case 411:
/* Line 1792 of yacc.c  */
#line 4132 "./parser.y"
    {
    }
    break;

  case 412:
/* Line 1792 of yacc.c  */
#line 4138 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    }
    break;

  case 413:
/* Line 1792 of yacc.c  */
#line 4144 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    }
    break;

  case 414:
/* Line 1792 of yacc.c  */
#line 4150 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    }
    break;

  case 415:
/* Line 1792 of yacc.c  */
#line 4159 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 7, 0, TRUE );
    }
    break;

  case 416:
/* Line 1792 of yacc.c  */
#line 4166 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 7, 0, TRUE );
    }
    break;

  case 417:
/* Line 1792 of yacc.c  */
#line 4173 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 15, 0, TRUE );
    }
    break;

  case 418:
/* Line 1792 of yacc.c  */
#line 4180 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    }
    break;

  case 419:
/* Line 1792 of yacc.c  */
#line 4187 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    }
    break;

  case 420:
/* Line 1792 of yacc.c  */
#line 4194 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 63, 0, TRUE );
    }
    break;

  case 421:
/* Line 1792 of yacc.c  */
#line 4201 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 63, 0, TRUE );
    }
    break;

  case 422:
/* Line 1792 of yacc.c  */
#line 4211 "./parser.y"
    {
      expression* tmp = NULL;
      statement*  stmt;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (4)].expr) != NULL) ) {
        Try {
          if( ((yyvsp[(1) - (4)].integer) == 1) && !parser_check_generation( GENERATION_SV ) ) {
            VLerror( "Variables declared in FOR initialization block that is specified to not allow SystemVerilog syntax" );
          } else if( ((yyvsp[(1) - (4)].integer) == 1) || (db_find_signal( (yyvsp[(2) - (4)].text), TRUE ) == NULL) ) {
            db_add_signal( (yyvsp[(2) - (4)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, TRUE );
          }
          tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(2) - (4)]).last_column - 1), (yyvsp[(2) - (4)].text) );
        } Catch_anonymous {
          error_count++;
        }
        Try {
          tmp = db_create_expression( (yyvsp[(4) - (4)].expr), tmp, EXP_OP_BASSIGN, FALSE, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        stmt = db_create_statement( tmp, (yylsp[(2) - (4)]).ppline );
        (yyval.state) = stmt;
      } else {
        expression_dealloc( (yyvsp[(4) - (4)].expr), FALSE );
        (yyval.state) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (4)].text) );
    }
    break;

  case 423:
/* Line 1792 of yacc.c  */
#line 4239 "./parser.y"
    {
      expression* tmp = NULL;
      statement*  stmt;
      if( (ignore_mode == 0) && ((yyvsp[(1) - (6)].state) != NULL) && ((yyvsp[(6) - (6)].expr) != NULL) ) {
        Try {
          if( ((yyvsp[(3) - (6)].integer) == 1) && !parser_check_generation( GENERATION_SV ) ) {
            VLerror( "Variables declared in FOR initialization block that is specified to not allow SystemVerilog syntax" );
          } else if( ((yyvsp[(3) - (6)].integer) == 1) || (db_find_signal( (yyvsp[(4) - (6)].text), TRUE ) == NULL) ) {
            db_add_signal( (yyvsp[(4) - (6)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(4) - (6)]).first_line, (yylsp[(4) - (6)]).first_column, TRUE );
          }
          tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(4) - (6)]).first_line, (yylsp[(4) - (6)]).first_column, ((yylsp[(4) - (6)]).last_column - 1), (yyvsp[(4) - (6)].text) );
        } Catch_anonymous {
          error_count++;
        }
        Try {
          tmp = db_create_expression( (yyvsp[(6) - (6)].expr), tmp, EXP_OP_BASSIGN, FALSE, (yylsp[(4) - (6)]).first_line, (yylsp[(4) - (6)]).first_column, ((yylsp[(6) - (6)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        stmt = db_create_statement( tmp, (yylsp[(4) - (6)]).ppline );
        if( !db_statement_connect( (yyvsp[(1) - (6)].state), stmt ) ) {
          db_remove_statement( stmt );
        }
      } else {
        expression_dealloc( (yyvsp[(6) - (6)].expr), FALSE );
      }
      FREE_TEXT( (yyvsp[(4) - (6)].text) );
      (yyval.state) = (yyvsp[(1) - (6)].state);
    }
    break;

  case 424:
/* Line 1792 of yacc.c  */
#line 4272 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_BASSIGN, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 425:
/* Line 1792 of yacc.c  */
#line 4288 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "+= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ADD_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 426:
/* Line 1792 of yacc.c  */
#line 4311 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "-= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_SUB_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 427:
/* Line 1792 of yacc.c  */
#line 4334 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "*= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_MLT_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 428:
/* Line 1792 of yacc.c  */
#line 4357 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "/= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_DIV_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 429:
/* Line 1792 of yacc.c  */
#line 4380 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "%= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_MOD_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 430:
/* Line 1792 of yacc.c  */
#line 4403 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "&= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_AND_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 431:
/* Line 1792 of yacc.c  */
#line 4426 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "|= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_OR_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 432:
/* Line 1792 of yacc.c  */
#line 4449 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "^= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_XOR_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 433:
/* Line 1792 of yacc.c  */
#line 4474 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "<<= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 434:
/* Line 1792 of yacc.c  */
#line 4499 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( ">>= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_RS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 435:
/* Line 1792 of yacc.c  */
#line 4524 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "<<<= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ALS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 436:
/* Line 1792 of yacc.c  */
#line 4549 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( ">>>= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ARS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 437:
/* Line 1792 of yacc.c  */
#line 4574 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "Increment (++) operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( NULL, (yyvsp[(1) - (2)].expr), EXP_OP_PINC, FALSE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (2)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 438:
/* Line 1792 of yacc.c  */
#line 4596 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "Decrement (--) operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( NULL, (yyvsp[(1) - (2)].expr), EXP_OP_PDEC, FALSE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (2)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 439:
/* Line 1792 of yacc.c  */
#line 4620 "./parser.y"
    { ignore_mode++; }
    break;

  case 440:
/* Line 1792 of yacc.c  */
#line 4620 "./parser.y"
    { ignore_mode--; }
    break;

  case 441:
/* Line 1792 of yacc.c  */
#line 4621 "./parser.y"
    {
      (yyval.state) = NULL;
    }
    break;

  case 442:
/* Line 1792 of yacc.c  */
#line 4624 "./parser.y"
    { ignore_mode++; }
    break;

  case 443:
/* Line 1792 of yacc.c  */
#line 4624 "./parser.y"
    { ignore_mode--; }
    break;

  case 444:
/* Line 1792 of yacc.c  */
#line 4625 "./parser.y"
    {
      (yyval.state) = NULL;
    }
    break;

  case 445:
/* Line 1792 of yacc.c  */
#line 4628 "./parser.y"
    { ignore_mode++; }
    break;

  case 446:
/* Line 1792 of yacc.c  */
#line 4628 "./parser.y"
    { ignore_mode--; }
    break;

  case 447:
/* Line 1792 of yacc.c  */
#line 4629 "./parser.y"
    {
      (yyval.state) = NULL;
    }
    break;

  case 448:
/* Line 1792 of yacc.c  */
#line 4632 "./parser.y"
    { ignore_mode++; }
    break;

  case 449:
/* Line 1792 of yacc.c  */
#line 4632 "./parser.y"
    { ignore_mode--; }
    break;

  case 450:
/* Line 1792 of yacc.c  */
#line 4633 "./parser.y"
    {
      (yyval.state) = NULL;
    }
    break;

  case 451:
/* Line 1792 of yacc.c  */
#line 4637 "./parser.y"
    { PROFILE(PARSER_STATEMENT_BEGIN_A);
      expression* exp;
      statement*  stmt;
      char        back[4096];
      char        rest[4096];
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(5) - (5)]).first_line );
        if( (yyvsp[(3) - (5)].funit) != NULL ) {
          scope_extract_back( (yyvsp[(3) - (5)].funit)->name, back, rest );
          exp  = db_create_expression( NULL, NULL, EXP_OP_NB_CALL, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL );
          exp->elem.funit      = (yyvsp[(3) - (5)].funit);
          exp->suppl.part.type = ETYPE_FUNIT;
          exp->name            = strdup_safe( back );
          stmt = db_create_statement( exp, (yylsp[(1) - (5)]).ppline );
          (yyval.state)   = stmt;
        } else {
          (yyval.state) = NULL;
        }
      } else {
        if( ignore_mode > 0 ) {
          ignore_mode--;
        }
        if( ignore_mode == 0 ) {
          /* If there is no body to the begin..end block, replace the block with a NOOP */
          exp  = db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL );
          stmt = db_create_statement( exp, (yylsp[(1) - (5)]).ppline );
          (yyval.state)   = stmt;
        }
      }
    }
    break;

  case 452:
/* Line 1792 of yacc.c  */
#line 4668 "./parser.y"
    { PROFILE(PARSER_STATEMENT_FORK_A);
      expression* exp;
      statement*  stmt;
      char        back[4096];
      char        rest[4096];
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(4) - (4)]).first_line );
        if( (yyvsp[(3) - (4)].funit) != NULL ) {
          scope_extract_back( (yyvsp[(3) - (4)].funit)->name, back, rest );
          exp  = db_create_expression( NULL, NULL, EXP_OP_NB_CALL, FALSE, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(1) - (4)]).last_column - 1), NULL );
          exp->elem.funit      = (yyvsp[(3) - (4)].funit);
          exp->suppl.part.type = ETYPE_FUNIT;
          exp->name            = strdup_safe( back );
          stmt = db_create_statement( exp, (yylsp[(1) - (4)]).ppline );
          (yyval.state)   = stmt;
        } else {
          ignore_mode--;
          (yyval.state) = NULL;
        }
      } else {
        ignore_mode--;
        (yyval.state) = NULL;
      }
    }
    break;

  case 453:
/* Line 1792 of yacc.c  */
#line 4693 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].text) != NULL) ) {
        expression* exp = NULL;
        Try {
          exp = db_create_expression( NULL, NULL, EXP_OP_DISABLE, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(2) - (3)]).last_column - 1), (yyvsp[(2) - (3)].text) );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.state) = db_create_statement( exp, (yylsp[(1) - (3)]).ppline );
        FREE_TEXT( (yyvsp[(2) - (3)].text) );
      } else {
        FREE_TEXT( (yyvsp[(2) - (3)].text) );
        (yyval.state) = NULL;
      } 
    }
    break;

  case 454:
/* Line 1792 of yacc.c  */
#line 4709 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].text) != NULL) ) {
        expression* exp = NULL;
        Try {
          exp = db_create_expression( NULL, NULL, EXP_OP_TRIGGER, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(2) - (3)]).last_column - 1), (yyvsp[(2) - (3)].text) );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.state) = db_create_statement( exp, (yylsp[(1) - (3)]).ppline );
      } else {
        (yyval.state) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (3)].text) );
    }
    break;

  case 455:
/* Line 1792 of yacc.c  */
#line 4724 "./parser.y"
    {
      if( (yyvsp[(3) - (4)].state) != NULL ) {
        expression* expr;
        statement*  stmt;
        Try {
          expr = db_create_expression( NULL, NULL, EXP_OP_FOREVER, FALSE, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(1) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        stmt = db_create_statement( expr, (yylsp[(1) - (4)]).ppline );
        if( db_statement_connect( (yyvsp[(3) - (4)].state), (yyvsp[(3) - (4)].state) ) ) {
          db_connect_statement_false( stmt, (yyvsp[(3) - (4)].state) );
          (yyval.state) = stmt;
        } else {
          db_remove_statement( stmt );
          db_remove_statement( (yyvsp[(3) - (4)].state) );
          (yyval.state) = NULL;
        }
      }
    }
    break;

  case 456:
/* Line 1792 of yacc.c  */
#line 4745 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (7)].expr) != NULL) && ((yyvsp[(6) - (7)].state) != NULL) ) {
        vector*     vec  = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
        expression* expr = NULL;
        statement*  stmt;
        Try {
          expr = db_create_expression( NULL, NULL, EXP_OP_STATIC, FALSE, (yylsp[(1) - (7)]).first_line, (yylsp[(1) - (7)]).first_column, ((yylsp[(1) - (7)]).last_column - 1), NULL );
          (void)vector_from_int( vec, 0x0 );
          assert( expr->value->value.ul == NULL );
          free_safe( expr->value, sizeof( vector ) );
          expr->value = vec;
        } Catch_anonymous {
          error_count++;
        }
        Try {
          expr = db_create_expression( (yyvsp[(3) - (7)].expr), expr, EXP_OP_REPEAT, FALSE, (yylsp[(1) - (7)]).first_line, (yylsp[(1) - (7)]).first_column, ((yylsp[(4) - (7)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        stmt = db_create_statement( expr, (yylsp[(1) - (7)]).ppline );
        db_connect_statement_true( stmt, (yyvsp[(6) - (7)].state) );
        stmt->conn_id = stmt_conn_id;   /* This will cause the STOP bit to be set for all statements connecting to stmt */
        assert( db_statement_connect( (yyvsp[(6) - (7)].state), stmt ) );
        (yyval.state) = stmt;
      } else {
        expression_dealloc( (yyvsp[(3) - (7)].expr), FALSE );
        db_remove_statement( (yyvsp[(6) - (7)].state) );
        (yyval.state) = NULL;
      }
    }
    break;

  case 457:
/* Line 1792 of yacc.c  */
#line 4776 "./parser.y"
    {
      expression*     expr      = NULL;
      expression*     c_expr    = (yyvsp[(4) - (9)].expr);
      statement*      stmt      = NULL;
      statement*      last_stmt = NULL;
      case_statement* c_stmt    = (yyvsp[(7) - (9)].case_stmt);
      case_statement* tc_stmt;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (9)].expr) != NULL) ) {
        while( c_stmt != NULL ) {
          Try {
            if( (c_stmt->expr != NULL) && (c_stmt->expr->op == EXP_OP_LIST) ) {
              parser_handle_case_statement_list( EXP_OP_CASE, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            } else {
              parser_handle_case_statement( EXP_OP_CASE, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            }
          } Catch_anonymous {
            error_count++;
          }
          tc_stmt = c_stmt;
          c_stmt  = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        if( last_stmt != NULL ) {
          last_stmt->exp->suppl.part.owned = 1;
        }
        (yyval.state) = last_stmt;
      } else {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
        while( c_stmt != NULL ) {
          expression_dealloc( c_stmt->expr, FALSE );
          db_remove_statement( c_stmt->stmt );
          tc_stmt = c_stmt;
          c_stmt  = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        (yyval.state) = NULL;
      }
    }
    break;

  case 458:
/* Line 1792 of yacc.c  */
#line 4815 "./parser.y"
    {
      expression*     expr      = NULL;
      expression*     c_expr    = (yyvsp[(4) - (9)].expr);
      statement*      stmt      = NULL;
      statement*      last_stmt = NULL;
      case_statement* c_stmt    = (yyvsp[(7) - (9)].case_stmt);
      case_statement* tc_stmt;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (9)].expr) != NULL) ) {
        while( c_stmt != NULL ) {
          Try {
            if( (c_stmt->expr != NULL) && (c_stmt->expr->op == EXP_OP_LIST) ) {
              parser_handle_case_statement_list( EXP_OP_CASEX, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            } else {
              parser_handle_case_statement( EXP_OP_CASEX, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            }
          } Catch_anonymous {
            error_count++;
          }
          tc_stmt   = c_stmt;
          c_stmt    = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        if( last_stmt != NULL ) {
          last_stmt->exp->suppl.part.owned = 1;
        }
        (yyval.state) = last_stmt;
      } else {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
        while( c_stmt != NULL ) {
          expression_dealloc( c_stmt->expr, FALSE );
          db_remove_statement( c_stmt->stmt );
          tc_stmt = c_stmt;
          c_stmt  = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        (yyval.state) = NULL;
      }
    }
    break;

  case 459:
/* Line 1792 of yacc.c  */
#line 4854 "./parser.y"
    {
      expression*     expr      = NULL;
      expression*     c_expr    = (yyvsp[(4) - (9)].expr);
      statement*      stmt      = NULL;
      statement*      last_stmt = NULL;
      case_statement* c_stmt    = (yyvsp[(7) - (9)].case_stmt);
      case_statement* tc_stmt;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (9)].expr) != NULL) ) {
        while( c_stmt != NULL ) {
          Try {
            if( (c_stmt->expr != NULL) && (c_stmt->expr->op == EXP_OP_LIST) ) {
              parser_handle_case_statement_list( EXP_OP_CASEZ, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            } else {
              parser_handle_case_statement( EXP_OP_CASEZ, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            }
          } Catch_anonymous {
            error_count++;
          }
          tc_stmt   = c_stmt;
          c_stmt    = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        if( last_stmt != NULL ) {
          last_stmt->exp->suppl.part.owned = 1;
        }
        (yyval.state) = last_stmt;
      } else {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
        while( c_stmt != NULL ) {
          expression_dealloc( c_stmt->expr, FALSE );
          db_remove_statement( c_stmt->stmt );
          tc_stmt = c_stmt;
          c_stmt  = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        (yyval.state) = NULL;
      }
    }
    break;

  case 460:
/* Line 1792 of yacc.c  */
#line 4893 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
      }
      VLerror( "Illegal case expression" );
      (yyval.state) = NULL;
    }
    break;

  case 461:
/* Line 1792 of yacc.c  */
#line 4901 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
      }
      VLerror( "Illegal casex expression" );
      (yyval.state) = NULL;
    }
    break;

  case 462:
/* Line 1792 of yacc.c  */
#line 4909 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
      }
      VLerror( "Illegal casez expression" );
      (yyval.state) = NULL;
    }
    break;

  case 463:
/* Line 1792 of yacc.c  */
#line 4917 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(4) - (8)].expr) != NULL) ) {
        expression* tmp = NULL;
        Try {
          tmp = db_create_expression( (yyvsp[(4) - (8)].expr), NULL, EXP_OP_IF, FALSE, (yylsp[(2) - (8)]).first_line, (yylsp[(2) - (8)]).first_column, ((yylsp[(5) - (8)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        if( ((yyval.state) = db_create_statement( tmp, (yylsp[(2) - (8)]).ppline )) != NULL ) {
          db_connect_statement_true( (yyval.state), (yyvsp[(7) - (8)].state) );
        }
      } else {
        db_remove_statement( (yyvsp[(7) - (8)].state) );
        (yyval.state) = NULL;
      }
    }
    break;

  case 464:
/* Line 1792 of yacc.c  */
#line 4934 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(4) - (10)].expr) != NULL) ) {
        expression* tmp = NULL;
        Try {
          tmp = db_create_expression( (yyvsp[(4) - (10)].expr), NULL, EXP_OP_IF, FALSE, (yylsp[(2) - (10)]).first_line, (yylsp[(2) - (10)]).first_column, ((yylsp[(5) - (10)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        if( ((yyval.state) = db_create_statement( tmp, (yylsp[(2) - (10)]).ppline )) != NULL ) {
          db_connect_statement_true( (yyval.state), (yyvsp[(7) - (10)].state) );
          db_connect_statement_false( (yyval.state), (yyvsp[(10) - (10)].state) );
        }
      } else {
        db_remove_statement( (yyvsp[(7) - (10)].state) );
        db_remove_statement( (yyvsp[(10) - (10)].state) );
        (yyval.state) = NULL;
      }
    }
    break;

  case 465:
/* Line 1792 of yacc.c  */
#line 4952 "./parser.y"
    { ignore_mode++; }
    break;

  case 466:
/* Line 1792 of yacc.c  */
#line 4952 "./parser.y"
    { ignore_mode--; }
    break;

  case 467:
/* Line 1792 of yacc.c  */
#line 4953 "./parser.y"
    {
      VLerror( "Illegal conditional if expression" );
      (yyval.state) = NULL;
    }
    break;

  case 468:
/* Line 1792 of yacc.c  */
#line 4958 "./parser.y"
    { PROFILE(PARSER_STATEMENT_FOR_A);
      expression* exp;
      statement*  stmt;
      statement*  stmt1 = (yyvsp[(4) - (11)].state);
      statement*  stmt2;
      statement*  stmt3 = (yyvsp[(8) - (11)].state);
      statement*  stmt4 = (yyvsp[(10) - (11)].state);
      char        back[4096];
      char        rest[4096];
      if( (ignore_mode == 0) && ((yyvsp[(4) - (11)].state) != NULL) && ((yyvsp[(6) - (11)].expr) != NULL) && ((yyvsp[(8) - (11)].state) != NULL) && ((yyvsp[(10) - (11)].state) != NULL) ) {
        block_depth++;
        stmt2 = db_create_statement( (yyvsp[(6) - (11)].expr), (yylsp[(6) - (11)]).ppline );
        assert( db_statement_connect( stmt1, stmt2 ) );
        db_connect_statement_true( stmt2, stmt4 );
        assert( db_statement_connect( stmt4, stmt3 ) );
        stmt2->conn_id = stmt_conn_id;   /* This will cause the STOP bit to be set for the stmt3 */
        assert( db_statement_connect( stmt3, stmt2 ) );
        block_depth--;
        stmt1 = db_parallelize_statement( stmt1 );
        stmt1->suppl.part.head      = 1;
        stmt1->suppl.part.is_called = 1;
        db_add_statement( stmt1, stmt1 );
      } else {
        db_remove_statement( stmt1 );
        expression_dealloc( (yyvsp[(6) - (11)].expr), FALSE );
        db_remove_statement( stmt3 );
        db_remove_statement( stmt4 );
        stmt1 = NULL;
      }
      db_end_function_task_namedblock( (yylsp[(11) - (11)]).first_line );
      if( (stmt1 != NULL) && ((yyvsp[(2) - (11)].funit) != NULL) ) {
        scope_extract_back( (yyvsp[(2) - (11)].funit)->name, back, rest );
        exp = db_create_expression( NULL, NULL, EXP_OP_NB_CALL, FALSE, (yylsp[(1) - (11)]).first_line, (yylsp[(1) - (11)]).first_column, ((yylsp[(1) - (11)]).last_column - 1), NULL );
        exp->elem.funit      = (yyvsp[(2) - (11)].funit);
        exp->suppl.part.type = ETYPE_FUNIT;
        exp->name            = strdup_safe( back );
        stmt = db_create_statement( exp, (yylsp[(1) - (11)]).ppline );
        (yyval.state) = stmt;
      } else {
        (yyval.state) = NULL;
      }
    }
    break;

  case 469:
/* Line 1792 of yacc.c  */
#line 5001 "./parser.y"
    {
      db_remove_statement( (yyvsp[(4) - (11)].state) );
      expression_dealloc( (yyvsp[(6) - (11)].expr), FALSE );
      db_remove_statement( (yyvsp[(10) - (11)].state) );
      db_end_function_task_namedblock( (yylsp[(11) - (11)]).first_line );
      (yyval.state) = NULL;
    }
    break;

  case 470:
/* Line 1792 of yacc.c  */
#line 5009 "./parser.y"
    {
      db_remove_statement( (yyvsp[(4) - (11)].state) );
      db_remove_statement( (yyvsp[(8) - (11)].state) );
      db_remove_statement( (yyvsp[(10) - (11)].state) );
      db_end_function_task_namedblock( (yylsp[(11) - (11)]).first_line );
      (yyval.state) = NULL;
    }
    break;

  case 471:
/* Line 1792 of yacc.c  */
#line 5017 "./parser.y"
    {
      db_remove_statement( (yyvsp[(6) - (7)].state) );
      db_end_function_task_namedblock( (yylsp[(7) - (7)]).first_line );
      (yyval.state) = NULL;
    }
    break;

  case 472:
/* Line 1792 of yacc.c  */
#line 5023 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (7)].expr) != NULL) && ((yyvsp[(6) - (7)].state) != NULL) ) {
        expression* expr = NULL;
        Try {
          expr = db_create_expression( (yyvsp[(3) - (7)].expr), NULL, EXP_OP_WHILE, FALSE, (yylsp[(1) - (7)]).first_line, (yylsp[(1) - (7)]).first_column, ((yylsp[(4) - (7)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        if( ((yyval.state) = db_create_statement( expr, (yylsp[(1) - (7)]).ppline )) != NULL ) {
          db_connect_statement_true( (yyval.state), (yyvsp[(6) - (7)].state) );
          (yyval.state)->conn_id = stmt_conn_id;   /* This will cause the STOP bit to be set for all statements connecting to stmt */
          assert( db_statement_connect( (yyvsp[(6) - (7)].state), (yyval.state) ) );
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (7)].expr), FALSE );
        db_remove_statement( (yyvsp[(6) - (7)].state) );
        (yyval.state) = NULL;
      }
    }
    break;

  case 473:
/* Line 1792 of yacc.c  */
#line 5043 "./parser.y"
    {
      db_remove_statement( (yyvsp[(6) - (7)].state) );
      (yyval.state) = NULL;
    }
    break;

  case 474:
/* Line 1792 of yacc.c  */
#line 5048 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (9)].state) != NULL) && ((yyvsp[(7) - (9)].expr) != NULL) ) {
        expression* expr = NULL;
        statement*  stmt;
        Try {
          expr = db_create_expression( (yyvsp[(7) - (9)].expr), NULL, EXP_OP_WHILE, FALSE, (yylsp[(5) - (9)]).first_line, (yylsp[(5) - (9)]).first_column, ((yylsp[(8) - (9)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        if( (stmt = db_create_statement( expr, (yylsp[(5) - (9)]).ppline )) != NULL ) {
          assert( db_statement_connect( (yyvsp[(3) - (9)].state), stmt ) );
          db_connect_statement_true( stmt, (yyvsp[(3) - (9)].state) );
          stmt->suppl.part.stop_true = 1;  /* Set STOP bit for the TRUE path */
        }
        (yyval.state) = (yyvsp[(3) - (9)].state);
      } else {
        expression_dealloc( (yyvsp[(7) - (9)].expr), FALSE );
        db_remove_statement( (yyvsp[(3) - (9)].state) );
        (yyval.state) = NULL;
      }
    }
    break;

  case 475:
/* Line 1792 of yacc.c  */
#line 5070 "./parser.y"
    {
      statement* stmt;
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].expr) != NULL) ) {
        stmt = db_create_statement( (yyvsp[(1) - (4)].expr), (yylsp[(1) - (4)]).ppline );
        if( (yyvsp[(3) - (4)].state) != NULL ) {
          if( !db_statement_connect( stmt, (yyvsp[(3) - (4)].state) ) ) {
            db_remove_statement( stmt );
            db_remove_statement( (yyvsp[(3) - (4)].state) );
            stmt = NULL;
          }
        }
        (yyval.state) = stmt;
      } else {
        db_remove_statement( (yyvsp[(3) - (4)].state) );
        (yyval.state) = NULL;
      }
    }
    break;

  case 476:
/* Line 1792 of yacc.c  */
#line 5088 "./parser.y"
    {
      statement* stmt;
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].expr) != NULL) ) {
        stmt = db_create_statement( (yyvsp[(1) - (4)].expr), (yylsp[(1) - (4)]).ppline );
        if( (yyvsp[(3) - (4)].state) != NULL ) {
          if( !db_statement_connect( stmt, (yyvsp[(3) - (4)].state) ) ) {
            db_remove_statement( stmt );
            db_remove_statement( (yyvsp[(3) - (4)].state) );
            stmt = NULL;
          }
        }
        (yyval.state) = stmt;
      } else {
        db_remove_statement( (yyvsp[(3) - (4)].state) );
        (yyval.state) = NULL;
      }
    }
    break;

  case 477:
/* Line 1792 of yacc.c  */
#line 5106 "./parser.y"
    {
      expression* expr;
      statement*  stmt;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Wildcard combinational logic sensitivity list found in block that is specified to not allow Verilog-2001 syntax" );
        db_remove_statement( (yyvsp[(4) - (5)].state) );
        (yyval.state) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(4) - (5)].state) != NULL) ) {
          if( (expr = db_create_sensitivity_list( (yyvsp[(4) - (5)].state) )) == NULL ) {
            VLerror( "Empty implicit event expression for the specified statement" );
            db_remove_statement( (yyvsp[(4) - (5)].state) );
            (yyval.state) = NULL;
          } else {
            Try {
              expr = db_create_expression( expr, NULL, EXP_OP_SLIST, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(2) - (5)]).last_column - 1), NULL ); 
            } Catch_anonymous {
              error_count++;
            }
            stmt = db_create_statement( expr, (yylsp[(1) - (5)]).ppline );
            if( !db_statement_connect( stmt, (yyvsp[(4) - (5)].state) ) ) {
              db_remove_statement( stmt );
              db_remove_statement( (yyvsp[(4) - (5)].state) );
              stmt = NULL;
            }
            (yyval.state) = stmt;
          }
        } else {
          db_remove_statement( (yyvsp[(4) - (5)].state) );
          (yyval.state) = NULL;
        }
      }
    }
    break;

  case 478:
/* Line 1792 of yacc.c  */
#line 5140 "./parser.y"
    {
      (yyval.state) = (yyvsp[(1) - (2)].state);
    }
    break;

  case 479:
/* Line 1792 of yacc.c  */
#line 5144 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].expr) != NULL) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(3) - (4)].expr), (yyvsp[(1) - (4)].expr), EXP_OP_NASSIGN, FALSE, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(3) - (4)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (4)]).ppline );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (4)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (4)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 480:
/* Line 1792 of yacc.c  */
#line 5162 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].expr) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(4) - (5)].expr), (yyvsp[(3) - (5)].expr), EXP_OP_DLY_OP, FALSE, (yylsp[(3) - (5)]).first_line, (yylsp[(3) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          tmp = db_create_expression( tmp, (yyvsp[(1) - (5)].expr), EXP_OP_DLY_ASSIGN, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          (yyval.state)  = db_create_statement( tmp, (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 481:
/* Line 1792 of yacc.c  */
#line 5181 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].expr) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(4) - (5)].expr), (yyvsp[(1) - (5)].expr), EXP_OP_NASSIGN, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
          expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
          error_count++;
          (yyval.state) = NULL;
        }
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
      } else {
        expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 482:
/* Line 1792 of yacc.c  */
#line 5201 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].expr) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(4) - (5)].expr), (yyvsp[(3) - (5)].expr), EXP_OP_DLY_OP, FALSE, (yylsp[(3) - (5)]).first_line, (yylsp[(3) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          tmp = db_create_expression( tmp, (yyvsp[(1) - (5)].expr), EXP_OP_DLY_ASSIGN, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 483:
/* Line 1792 of yacc.c  */
#line 5220 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].expr) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(4) - (5)].expr), (yyvsp[(1) - (5)].expr), EXP_OP_NASSIGN, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
          expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
          error_count++;
          (yyval.state) = NULL;
        }
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
      } else {
        expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 484:
/* Line 1792 of yacc.c  */
#line 5240 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (9)].expr) != NULL) && ((yyvsp[(5) - (9)].expr) != NULL) && ((yyvsp[(7) - (9)].expr) != NULL) && ((yyvsp[(8) - (9)].expr) != NULL) ) {
        vector* vec = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
        Try {
          expression* tmp = db_create_expression( NULL, NULL, EXP_OP_STATIC, FALSE, (yylsp[(1) - (9)]).first_line, (yylsp[(1) - (9)]).first_column, ((yylsp[(1) - (9)]).last_column - 1), NULL );
          (void)vector_from_int( vec, 0x0 );
          assert( tmp->value->value.ul == NULL );
          free_safe( tmp->value, sizeof( vector ) );
          tmp->value = vec;
          tmp = db_create_expression( (yyvsp[(5) - (9)].expr), tmp, EXP_OP_REPEAT, FALSE, (yylsp[(3) - (9)]).first_line, (yylsp[(3) - (9)]).first_column, ((yylsp[(6) - (9)]).last_column - 1), NULL );
          tmp = db_create_expression( (yyvsp[(7) - (9)].expr), tmp, EXP_OP_RPT_DLY, FALSE, (yylsp[(3) - (9)]).first_line, (yylsp[(3) - (9)]).first_column, ((yylsp[(7) - (9)]).last_column - 1), NULL );
          tmp = db_create_expression( (yyvsp[(8) - (9)].expr), tmp, EXP_OP_DLY_OP, FALSE, (yylsp[(3) - (9)]).first_line, (yylsp[(3) - (9)]).first_column, ((yylsp[(8) - (9)]).last_column - 1), NULL );
          tmp = db_create_expression( tmp, (yyvsp[(1) - (9)].expr), EXP_OP_DLY_ASSIGN, FALSE, (yylsp[(1) - (9)]).first_line, (yylsp[(1) - (9)]).first_column, ((yylsp[(8) - (9)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (9)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(5) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(7) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(8) - (9)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 485:
/* Line 1792 of yacc.c  */
#line 5268 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (9)].expr) != NULL) && ((yyvsp[(8) - (9)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(8) - (9)].expr), (yyvsp[(1) - (9)].expr), EXP_OP_NASSIGN, FALSE, (yylsp[(1) - (9)]).first_line, (yylsp[(1) - (9)]).first_column, ((yylsp[(8) - (9)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (9)]).ppline );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (9)].expr), FALSE );
          expression_dealloc( (yyvsp[(8) - (9)].expr), FALSE );
          error_count++;
          (yyval.state) = NULL;
        }
        expression_dealloc( (yyvsp[(5) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(7) - (9)].expr), FALSE );
      } else {
        expression_dealloc( (yyvsp[(1) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(5) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(7) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(8) - (9)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 486:
/* Line 1792 of yacc.c  */
#line 5290 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (7)].expr) != NULL) ) {
        expression* exp = NULL;
        Try {
          exp = db_create_expression( (yyvsp[(3) - (7)].expr), NULL, EXP_OP_WAIT, FALSE, (yylsp[(1) - (7)]).first_line, (yylsp[(1) - (7)]).first_column, ((yylsp[(4) - (7)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.state) = db_create_statement( exp, (yylsp[(1) - (7)]).ppline );
        if( (yyvsp[(6) - (7)].state) != NULL ) {
          if( !db_statement_connect( (yyval.state), (yyvsp[(6) - (7)].state) ) ) {
            db_remove_statement( (yyval.state) );
            db_remove_statement( (yyvsp[(6) - (7)].state) );
            (yyval.state) = NULL;
          }
        }
      } else {
        db_remove_statement( (yyvsp[(6) - (7)].state) );
        (yyval.state) = NULL;
      }
    }
    break;

  case 487:
/* Line 1792 of yacc.c  */
#line 5312 "./parser.y"
    {
      (yyval.state) = NULL;
    }
    break;

  case 488:
/* Line 1792 of yacc.c  */
#line 5316 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (7)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    }
    break;

  case 489:
/* Line 1792 of yacc.c  */
#line 5329 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_SFINISH, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (7)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    }
    break;

  case 490:
/* Line 1792 of yacc.c  */
#line 5342 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_SSTOP, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (7)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    }
    break;

  case 491:
/* Line 1792 of yacc.c  */
#line 5355 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (5)].expr) != NULL) ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, (yyvsp[(3) - (5)].expr), EXP_OP_SSRANDOM, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL ), (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        (yyval.state) = NULL;
      }
    }
    break;

  case 492:
/* Line 1792 of yacc.c  */
#line 5370 "./parser.y"
    {
      (yyval.state) = NULL;
    }
    break;

  case 493:
/* Line 1792 of yacc.c  */
#line 5374 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (2)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    }
    break;

  case 494:
/* Line 1792 of yacc.c  */
#line 5387 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_SFINISH, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (2)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    }
    break;

  case 495:
/* Line 1792 of yacc.c  */
#line 5400 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_SSTOP, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (2)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    }
    break;

  case 496:
/* Line 1792 of yacc.c  */
#line 5413 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].text) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) ) {
        Try {
          expression* exp = db_create_expression( NULL, (yyvsp[(3) - (5)].expr), EXP_OP_TASK_CALL, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), (yyvsp[(1) - (5)].text) );
          (yyval.state) = db_create_statement( exp, (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (5)].text) );
    }
    break;

  case 497:
/* Line 1792 of yacc.c  */
#line 5428 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].text) != NULL) ) {
        Try {
          expression* exp = db_create_expression( NULL, NULL, EXP_OP_TASK_CALL, FALSE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), (yyvsp[(1) - (2)].text) );
          (yyval.state) = db_create_statement( exp, (yylsp[(1) - (2)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (2)].text) );
    }
    break;

  case 498:
/* Line 1792 of yacc.c  */
#line 5444 "./parser.y"
    {
      expression* exp;
      statement*  stmt;
      if( ignore_mode == 0 ) {
        exp  = db_create_expression( NULL, NULL, EXP_OP_NOOP, lhs_mode, 0, 0, 0, NULL );
        stmt = db_create_statement( exp, (yylsp[(1) - (2)]).ppline );
        (yyval.state)   = stmt;
      }
    }
    break;

  case 499:
/* Line 1792 of yacc.c  */
#line 5455 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          expression* exp = db_create_expression( NULL, NULL, EXP_OP_NOOP, lhs_mode, 0, 0, 0, NULL );
          (yyval.state) = db_create_statement( exp, (yylsp[(1) - (4)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    }
    break;

  case 500:
/* Line 1792 of yacc.c  */
#line 5470 "./parser.y"
    {
      VLerror( "Illegal statement" );
      (yyval.state) = NULL;
    }
    break;

  case 501:
/* Line 1792 of yacc.c  */
#line 5478 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          if( !db_add_function_task_namedblock( FUNIT_NAMED_BLOCK, (yyvsp[(1) - (1)].text), (yylsp[(1) - (1)]).text, (yylsp[(1) - (1)]).first_line ) ) {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      } else {
        ignore_mode++;
      }
    }
    break;

  case 502:
/* Line 1792 of yacc.c  */
#line 5493 "./parser.y"
    {
      if( (yyvsp[(3) - (5)].logical) && db_is_unnamed_scope( (yyvsp[(1) - (5)].text) ) && !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "Net/variables declared in unnamed fork...join block that is specified to not allow SystemVerilog syntax" );
        ignore_mode++;
      }
      if( ignore_mode == 0 ) {
        if( (yyvsp[(4) - (5)].state) != NULL ) {
          expression* expr = NULL;
          statement*  stmt;
          Try {
            expr = db_create_expression( NULL, NULL, EXP_OP_JOIN, FALSE, (yylsp[(4) - (5)]).first_line, (yylsp[(4) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          if( ((stmt = db_create_statement( expr, (yylsp[(4) - (5)]).ppline )) != NULL) && db_statement_connect( (yyvsp[(4) - (5)].state), stmt ) ) {
            stmt = (yyvsp[(4) - (5)].state);
            stmt->suppl.part.head      = 1;
            stmt->suppl.part.is_called = 1;
            db_add_statement( stmt, stmt );
            (yyval.funit) = db_get_curr_funit();
          } else {
            db_remove_statement( (yyvsp[(4) - (5)].state) );
            db_remove_statement( stmt );
            (yyval.funit) = NULL;
          }
        } else {
          (yyval.funit) = NULL;
        }
      } else {
        if( (yyvsp[(3) - (5)].logical) && db_is_unnamed_scope( (yyvsp[(1) - (5)].text) ) ) {
          ignore_mode--;
        }
        (yyval.funit) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (5)].text) );
    }
    break;

  case 503:
/* Line 1792 of yacc.c  */
#line 5530 "./parser.y"
    {
      (yyval.funit) = NULL;
    }
    break;

  case 504:
/* Line 1792 of yacc.c  */
#line 5537 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          if( !db_add_function_task_namedblock( FUNIT_NAMED_BLOCK, (yyvsp[(1) - (1)].text), (yylsp[(1) - (1)]).text, (yylsp[(1) - (1)]).first_line ) ) {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      } else {
        ignore_mode++;
      }
      generate_top_mode--;
    }
    break;

  case 505:
/* Line 1792 of yacc.c  */
#line 5553 "./parser.y"
    {
      statement* stmt = (yyvsp[(4) - (4)].state);
      if( (yyvsp[(3) - (4)].logical) && db_is_unnamed_scope( (yyvsp[(1) - (4)].text) ) && !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "Net/variables declared in unnamed begin...end block that is specified to not allow SystemVerilog syntax" );
        ignore_mode++;
      }
      if( ignore_mode == 0 ) {
        if( stmt != NULL ) {
          stmt->suppl.part.head      = 1;
          stmt->suppl.part.is_called = 1;
          db_add_statement( stmt, stmt );
          (yyval.funit) = db_get_curr_funit();
        } else {
          (yyval.funit) = NULL;
        }
      } else {
        if( (yyvsp[(3) - (4)].logical) && db_is_unnamed_scope( (yyvsp[(1) - (4)].text) ) ) {
          ignore_mode--;
        }
        (yyval.funit) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
      generate_top_mode++;
    }
    break;

  case 506:
/* Line 1792 of yacc.c  */
#line 5578 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
      ignore_mode++;
      (yyval.funit) = NULL;
    }
    break;

  case 507:
/* Line 1792 of yacc.c  */
#line 5587 "./parser.y"
    {
      (yyval.state) = NULL;
    }
    break;

  case 508:
/* Line 1792 of yacc.c  */
#line 5591 "./parser.y"
    {
      (yyval.state) = NULL;
    }
    break;

  case 509:
/* Line 1792 of yacc.c  */
#line 5598 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( (yyvsp[(1) - (2)].state) == NULL ) {
          db_remove_statement( (yyvsp[(2) - (2)].state) );
          (yyval.state) = NULL;
        } else {
          if( (yyvsp[(2) - (2)].state) != NULL ) {
            if( !db_statement_connect( (yyvsp[(1) - (2)].state), (yyvsp[(2) - (2)].state) ) ) {
              db_remove_statement( (yyvsp[(2) - (2)].state) );
            }
            (yyval.state) = (yyvsp[(1) - (2)].state);
          } else {
            db_remove_statement( (yyvsp[(1) - (2)].state) );
            (yyval.state) = NULL;
          }
        }
      }
    }
    break;

  case 510:
/* Line 1792 of yacc.c  */
#line 5617 "./parser.y"
    {
      (yyval.state) = (yyvsp[(1) - (1)].state);
    }
    break;

  case 511:
/* Line 1792 of yacc.c  */
#line 5622 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( (yyvsp[(1) - (2)].state) == NULL ) {
          (yyval.state) = NULL;
        } else {
          statement* stmt = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, (yylsp[(2) - (2)]).first_line, (yylsp[(2) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL ), (yylsp[(2) - (2)]).ppline );
          if( !db_statement_connect( (yyvsp[(1) - (2)].state), stmt ) ) {
            db_remove_statement( stmt );
          }
          (yyval.state) = (yyvsp[(1) - (2)].state);
        }
      }
    }
    break;

  case 512:
/* Line 1792 of yacc.c  */
#line 5637 "./parser.y"
    {
      (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL ), (yylsp[(1) - (1)]).ppline );
    }
    break;

  case 513:
/* Line 1792 of yacc.c  */
#line 5644 "./parser.y"
    {
      (yyval.state) = (yyvsp[(1) - (1)].state);
    }
    break;

  case 514:
/* Line 1792 of yacc.c  */
#line 5648 "./parser.y"
    {
      (yyval.state) = NULL;
    }
    break;

  case 515:
/* Line 1792 of yacc.c  */
#line 5657 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), (yyvsp[(1) - (1)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr)  = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 516:
/* Line 1792 of yacc.c  */
#line 5671 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].text) != NULL) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(3) - (4)].expr), (yyvsp[(1) - (4)].text) );
        (yyvsp[(3) - (4)].expr)->line           = (yylsp[(1) - (4)]).first_line;
        (yyvsp[(3) - (4)].expr)->col.part.first = (yylsp[(1) - (4)]).first_column;
        (yyval.expr) = (yyvsp[(3) - (4)].expr);
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    }
    break;

  case 517:
/* Line 1792 of yacc.c  */
#line 5684 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (5)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (5)].expr), NULL, EXP_OP_CONCAT, TRUE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        (yyval.expr)  = NULL;
      }
    }
    break;

  case 518:
/* Line 1792 of yacc.c  */
#line 5704 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), (yyvsp[(1) - (1)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr)  = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 519:
/* Line 1792 of yacc.c  */
#line 5718 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].text) != NULL) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(3) - (4)].expr), (yyvsp[(1) - (4)].text) );
        (yyvsp[(3) - (4)].expr)->line           = (yylsp[(1) - (4)]).first_line;
        (yyvsp[(3) - (4)].expr)->col.part.first = (yylsp[(1) - (4)]).first_column;
        (yyval.expr) = (yyvsp[(3) - (4)].expr);
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr)  = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    }
    break;

  case 520:
/* Line 1792 of yacc.c  */
#line 5731 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (5)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (5)].expr), NULL, EXP_OP_CONCAT, TRUE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        (yyval.expr)  = NULL;
      }
    }
    break;

  case 521:
/* Line 1792 of yacc.c  */
#line 5747 "./parser.y"
    { (yyval.logical) = TRUE; }
    break;

  case 522:
/* Line 1792 of yacc.c  */
#line 5748 "./parser.y"
    { (yyval.logical) = FALSE; }
    break;

  case 525:
/* Line 1792 of yacc.c  */
#line 5763 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    }
    break;

  case 527:
/* Line 1792 of yacc.c  */
#line 5770 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    }
    break;

  case 529:
/* Line 1792 of yacc.c  */
#line 5777 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    }
    break;

  case 531:
/* Line 1792 of yacc.c  */
#line 5784 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 7, 0, TRUE );
    }
    break;

  case 533:
/* Line 1792 of yacc.c  */
#line 5792 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 7, 0, TRUE );
    }
    break;

  case 535:
/* Line 1792 of yacc.c  */
#line 5800 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 15, 0, TRUE );
    }
    break;

  case 537:
/* Line 1792 of yacc.c  */
#line 5808 "./parser.y"
    {
      curr_signed   = TRUE;
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    }
    break;

  case 539:
/* Line 1792 of yacc.c  */
#line 5817 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    }
    break;

  case 541:
/* Line 1792 of yacc.c  */
#line 5825 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 63, 0, TRUE );
    }
    break;

  case 543:
/* Line 1792 of yacc.c  */
#line 5833 "./parser.y"
    {
      curr_signed   = FALSE;
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 63, 0, TRUE );
    }
    break;

  case 545:
/* Line 1792 of yacc.c  */
#line 5842 "./parser.y"
    {
      curr_signed  = (yyvsp[(2) - (3)].typdef)->is_signed;
      curr_mba     = TRUE;
      curr_handled = (yyvsp[(2) - (3)].typdef)->is_handled;
      parser_copy_range_to_curr_range( (yyvsp[(2) - (3)].typdef)->prange, TRUE );
      parser_copy_range_to_curr_range( (yyvsp[(2) - (3)].typdef)->urange, FALSE );
    }
    break;

  case 547:
/* Line 1792 of yacc.c  */
#line 5851 "./parser.y"
    {
      int real_size = sizeof( double ) * 8;
      curr_signed   = TRUE;
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REAL;
      parser_implicitly_set_curr_range( (real_size - 1), 0, TRUE );
    }
    break;

  case 549:
/* Line 1792 of yacc.c  */
#line 5861 "./parser.y"
    {
      int real_size = sizeof( double ) * 8;
      curr_signed   = TRUE;
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REAL;
      parser_implicitly_set_curr_range( (real_size - 1), 0, TRUE );
    }
    break;

  case 551:
/* Line 1792 of yacc.c  */
#line 5871 "./parser.y"
    {
      int real_size = sizeof( float ) * 8;
      curr_signed   = TRUE;
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_SREAL;
      parser_implicitly_set_curr_range( (real_size - 1), 0, TRUE );
    }
    break;

  case 556:
/* Line 1792 of yacc.c  */
#line 5884 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Localparam syntax found in block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      }
    }
    break;

  case 557:
/* Line 1792 of yacc.c  */
#line 5891 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        ignore_mode--;
      }
    }
    break;

  case 558:
/* Line 1792 of yacc.c  */
#line 5897 "./parser.y"
    {
      VLerror( "Syntax error in reg variable list" );
    }
    break;

  case 559:
/* Line 1792 of yacc.c  */
#line 5901 "./parser.y"
    {
      VLerror( "Syntax error in bit variable list" );
    }
    break;

  case 560:
/* Line 1792 of yacc.c  */
#line 5905 "./parser.y"
    {
      VLerror( "Syntax error in byte variable list" );
    }
    break;

  case 561:
/* Line 1792 of yacc.c  */
#line 5909 "./parser.y"
    {
      VLerror( "Syntax error in logic variable list" );
    }
    break;

  case 562:
/* Line 1792 of yacc.c  */
#line 5913 "./parser.y"
    {
      VLerror( "Syntax error in char variable list" );
    }
    break;

  case 563:
/* Line 1792 of yacc.c  */
#line 5917 "./parser.y"
    {
      VLerror( "Syntax error in shortint variable list" );
    }
    break;

  case 564:
/* Line 1792 of yacc.c  */
#line 5921 "./parser.y"
    {
      VLerror( "Syntax error in integer variable list" );
    }
    break;

  case 565:
/* Line 1792 of yacc.c  */
#line 5925 "./parser.y"
    {
      VLerror( "Syntax error in int variable list" );
    }
    break;

  case 566:
/* Line 1792 of yacc.c  */
#line 5929 "./parser.y"
    {
      VLerror( "Syntax error in longint variable list" );
    }
    break;

  case 567:
/* Line 1792 of yacc.c  */
#line 5933 "./parser.y"
    {
      VLerror( "Syntax error in time variable list" );
    }
    break;

  case 568:
/* Line 1792 of yacc.c  */
#line 5937 "./parser.y"
    {
      VLerror( "Syntax error in real variable list" );
    }
    break;

  case 569:
/* Line 1792 of yacc.c  */
#line 5941 "./parser.y"
    {
      VLerror( "Syntax error in realtime variable list" );
    }
    break;

  case 570:
/* Line 1792 of yacc.c  */
#line 5945 "./parser.y"
    {
      VLerror( "Syntax error in parameter variable list" );
    }
    break;

  case 571:
/* Line 1792 of yacc.c  */
#line 5949 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Localparam syntax found in block that is specified to not allow Verilog-2001 syntax" );
      }
    }
    break;

  case 572:
/* Line 1792 of yacc.c  */
#line 5955 "./parser.y"
    {
      if( parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Syntax error in localparam list" );
      }
    }
    break;

  case 573:
/* Line 1792 of yacc.c  */
#line 5964 "./parser.y"
    { PROFILE(PARSER_CASE_ITEM_A);
      case_statement* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_statement*)malloc_safe( sizeof( case_statement ) );
        cstmt->prev   = NULL;
        cstmt->expr   = (yyvsp[(1) - (3)].expr);
        cstmt->stmt   = (yyvsp[(3) - (3)].state);
        cstmt->line   = (yylsp[(1) - (3)]).first_line;
        cstmt->ppline = (yylsp[(1) - (3)]).ppline;
        (yyval.case_stmt) = cstmt;
      } else {
        (yyval.case_stmt) = NULL;
      }
    }
    break;

  case 574:
/* Line 1792 of yacc.c  */
#line 5979 "./parser.y"
    { PROFILE(PARSER_CASE_ITEM_B);
      case_statement* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_statement*)malloc_safe( sizeof( case_statement ) );
        cstmt->prev   = NULL;
        cstmt->expr   = NULL;
        cstmt->stmt   = (yyvsp[(3) - (3)].state);
        cstmt->line   = (yylsp[(1) - (3)]).first_line;
        cstmt->ppline = (yylsp[(1) - (3)]).ppline;
        (yyval.case_stmt) = cstmt;
      } else {
        (yyval.case_stmt) = NULL;
      }
    }
    break;

  case 575:
/* Line 1792 of yacc.c  */
#line 5994 "./parser.y"
    { PROFILE(PARSER_CASE_ITEM_C);
      case_statement* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_statement*)malloc_safe( sizeof( case_statement ) );
        cstmt->prev   = NULL;
        cstmt->expr   = NULL;
        cstmt->stmt   = (yyvsp[(2) - (2)].state);
        cstmt->line   = (yylsp[(1) - (2)]).first_line;
        cstmt->ppline = (yylsp[(1) - (2)]).ppline;
        (yyval.case_stmt) = cstmt;
      } else {
        (yyval.case_stmt) = NULL;
      }
    }
    break;

  case 576:
/* Line 1792 of yacc.c  */
#line 6008 "./parser.y"
    { ignore_mode++; }
    break;

  case 577:
/* Line 1792 of yacc.c  */
#line 6008 "./parser.y"
    { ignore_mode--; }
    break;

  case 578:
/* Line 1792 of yacc.c  */
#line 6009 "./parser.y"
    {
      VLerror( "Illegal case expression" );
    }
    break;

  case 579:
/* Line 1792 of yacc.c  */
#line 6016 "./parser.y"
    {
      case_statement* list = (yyvsp[(1) - (2)].case_stmt);
      case_statement* curr = (yyvsp[(2) - (2)].case_stmt);
      if( ignore_mode == 0 ) {
        curr->prev = list;
        (yyval.case_stmt) = curr;
      } else {
        (yyval.case_stmt) = NULL;
      }
    }
    break;

  case 580:
/* Line 1792 of yacc.c  */
#line 6027 "./parser.y"
    {
      (yyval.case_stmt) = (yyvsp[(1) - (1)].case_stmt);
    }
    break;

  case 581:
/* Line 1792 of yacc.c  */
#line 6034 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 582:
/* Line 1792 of yacc.c  */
#line 6049 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (4)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 583:
/* Line 1792 of yacc.c  */
#line 6067 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 584:
/* Line 1792 of yacc.c  */
#line 6082 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (4)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 585:
/* Line 1792 of yacc.c  */
#line 6097 "./parser.y"
    {
      expression_dealloc( (yyvsp[(5) - (6)].expr), FALSE );
      if( (ignore_mode == 0) && ((yyvsp[(3) - (6)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (6)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (6)]).first_line, (yylsp[(1) - (6)]).first_column, ((yylsp[(6) - (6)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (6)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (6)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 586:
/* Line 1792 of yacc.c  */
#line 6113 "./parser.y"
    {
      expression_dealloc( (yyvsp[(3) - (8)].expr), FALSE );
      expression_dealloc( (yyvsp[(7) - (8)].expr), FALSE );
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(5) - (8)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (8)]).first_line, (yylsp[(1) - (8)]).first_column, ((yylsp[(8) - (8)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(5) - (8)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(5) - (8)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 587:
/* Line 1792 of yacc.c  */
#line 6133 "./parser.y"
    {
      (yyval.expr) = (yyvsp[(1) - (1)].expr);
    }
    break;

  case 588:
/* Line 1792 of yacc.c  */
#line 6137 "./parser.y"
    {
      (yyval.expr) = NULL;
    }
    break;

  case 589:
/* Line 1792 of yacc.c  */
#line 6144 "./parser.y"
    { PROFILE(PARSER_DELAY_VALUE_A);
      static_expr* se = (yyvsp[(1) - (1)].statexp);
      if( (ignore_mode == 0) && (se != NULL) ) {
        if( se->exp == NULL ) {
          Try {
            (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
            vector_dealloc( (yyval.expr)->value );
            (yyval.expr)->value = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
            (void)vector_from_int( (yyval.expr)->value, se->num );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
          static_expr_dealloc( se, TRUE );
        } else {
          (yyval.expr) = se->exp;
          static_expr_dealloc( se, FALSE );
        }
      } else {
        (yyval.expr) = NULL;
        static_expr_dealloc( se, TRUE );
      }
      PROFILE_END;
    }
    break;

  case 590:
/* Line 1792 of yacc.c  */
#line 6169 "./parser.y"
    { PROFILE(PARSER_DELAY_VALUE_B);
      if( ignore_mode == 0 ) {
        static_expr* se = NULL;
        if( delay_expr_type == DELAY_EXPR_DEFAULT ) {
          unsigned int rv = snprintf( user_msg,
                                      USER_MSG_LENGTH,
                                      "Delay expression type for min:typ:max not specified, using default of 'typ', file %s, line %u",
                                      obf_file( (yylsp[(1) - (5)]).text ),
                                      (yylsp[(1) - (5)]).first_line );
          assert( rv < USER_MSG_LENGTH );
          print_output( user_msg, WARNING, __FILE__, __LINE__ );
        }
        switch( delay_expr_type ) {
          case DELAY_EXPR_MIN :
            se = (yyvsp[(1) - (5)].statexp);
            static_expr_dealloc( (yyvsp[(3) - (5)].statexp), TRUE );
            static_expr_dealloc( (yyvsp[(5) - (5)].statexp), TRUE );
            break;
          case DELAY_EXPR_DEFAULT :
          case DELAY_EXPR_TYP     :
            se = (yyvsp[(3) - (5)].statexp);
            static_expr_dealloc( (yyvsp[(1) - (5)].statexp), TRUE );
            static_expr_dealloc( (yyvsp[(5) - (5)].statexp), TRUE );
            break;
          case DELAY_EXPR_MAX :
            se = (yyvsp[(5) - (5)].statexp);
            static_expr_dealloc( (yyvsp[(1) - (5)].statexp), TRUE );
            static_expr_dealloc( (yyvsp[(3) - (5)].statexp), TRUE );
            break;
          default:
            assert( (delay_expr_type == DELAY_EXPR_MIN) ||
                    (delay_expr_type == DELAY_EXPR_TYP) ||
                    (delay_expr_type == DELAY_EXPR_MAX) );
            break;
        }
        if( se != NULL ) {
          if( se->exp == NULL ) {
            Try {
              (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL );
              vector_dealloc( (yyval.expr)->value );
              (yyval.expr)->value = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
              (void)vector_from_int( (yyval.expr)->value, se->num );
            } Catch_anonymous {
              error_count++;
              (yyval.expr) = NULL;
            }
            static_expr_dealloc( se, TRUE );
          } else {
            (yyval.expr) = se->exp;
            static_expr_dealloc( se, FALSE );
          }
        } else {
          (yyval.expr) = NULL;
          static_expr_dealloc( se, TRUE );
        }
      } else {
        (yyval.expr) = NULL;
      }
      PROFILE_END;
    }
    break;

  case 591:
/* Line 1792 of yacc.c  */
#line 6233 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          int   base;
          char* num = (yyvsp[(1) - (1)].text);
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
          assert( (yyval.expr)->value->value.ul == NULL );
          free_safe( (yyval.expr)->value, sizeof( vector ) );
          vector_from_string( &num, FALSE, &((yyval.expr)->value), &base );
          (yyval.expr)->suppl.part.base = base;
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 592:
/* Line 1792 of yacc.c  */
#line 6253 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].realtime) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
          assert( (yyval.expr)->value->value.r64 == NULL );
          free_safe( (yyval.expr)->value, sizeof( vector ) );
          (yyval.expr)->value = (yyvsp[(1) - (1)].realtime);
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].realtime) );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 593:
/* Line 1792 of yacc.c  */
#line 6270 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), (yyvsp[(1) - (1)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 596:
/* Line 1792 of yacc.c  */
#line 6292 "./parser.y"
    {
      if( ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) && (info_suppl.part.excl_assign == 0) ) {
        expression* tmp = NULL;
        statement*  stmt;
        Try {
          tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ASSIGN, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        if( (stmt = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline )) != NULL ) {
          stmt->suppl.part.head       = 1;
          stmt->suppl.part.stop_true  = 1;
          stmt->suppl.part.stop_false = 1;
          stmt->suppl.part.cont       = 1;
          /* Statement will be looped back to itself */
          db_connect_statement_true( stmt, stmt );
          db_connect_statement_false( stmt, stmt );
          db_add_statement( stmt, stmt );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
      }
    }
    break;

  case 598:
/* Line 1792 of yacc.c  */
#line 6321 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        parser_implicitly_set_curr_range( 0, 0, curr_packed );
      }
    }
    break;

  case 599:
/* Line 1792 of yacc.c  */
#line 6330 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        parser_explicitly_set_curr_range( (yyvsp[(2) - (5)].statexp), (yyvsp[(4) - (5)].statexp), curr_packed );
      }
    }
    break;

  case 600:
/* Line 1792 of yacc.c  */
#line 6336 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        parser_explicitly_set_curr_range( (yyvsp[(3) - (6)].statexp), (yyvsp[(5) - (6)].statexp), curr_packed );
      }
    }
    break;

  case 601:
/* Line 1792 of yacc.c  */
#line 6345 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT;
      }
    }
    break;

  case 602:
/* Line 1792 of yacc.c  */
#line 6351 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT;
        parser_implicitly_set_curr_range( 31, 0, curr_packed );
      }
    }
    break;

  case 603:
/* Line 1792 of yacc.c  */
#line 6358 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT_REAL;
        parser_implicitly_set_curr_range( 63, 0, curr_packed );
      }
    }
    break;

  case 604:
/* Line 1792 of yacc.c  */
#line 6365 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT_REAL;
        parser_implicitly_set_curr_range( 63, 0, curr_packed );
      }
    }
    break;

  case 605:
/* Line 1792 of yacc.c  */
#line 6372 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT;
        parser_implicitly_set_curr_range( 63, 0, curr_packed );
      }
    }
    break;

  case 606:
/* Line 1792 of yacc.c  */
#line 6379 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT;
        parser_implicitly_set_curr_range( 0, 0, curr_packed );
      }
    }
    break;

  case 607:
/* Line 1792 of yacc.c  */
#line 6394 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_add_signal( (yyvsp[(1) - (1)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, TRUE );
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 608:
/* Line 1792 of yacc.c  */
#line 6401 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( !parser_check_generation( GENERATION_2001 ) ) {
          VLerror( "Register declaration with initialization found in block that is specified to not allow Verilog-2001 syntax" );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        } else {
          db_add_signal( (yyvsp[(1) - (3)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, TRUE );
          if( (yyvsp[(3) - (3)].expr) != NULL ) {
            expression* exp = NULL;
            statement*  stmt;
            Try {
              exp = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
              exp = db_create_expression( (yyvsp[(3) - (3)].expr), exp, EXP_OP_RASSIGN, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
            if( (stmt = db_create_statement( exp, (yylsp[(1) - (3)]).ppline )) != NULL ) {
              stmt->suppl.part.head       = 1;
              stmt->suppl.part.stop_true  = 1;
              stmt->suppl.part.stop_false = 1;
              db_add_statement( stmt, stmt );
            }
          }
        }
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 609:
/* Line 1792 of yacc.c  */
#line 6428 "./parser.y"
    { curr_packed = FALSE; }
    break;

  case 610:
/* Line 1792 of yacc.c  */
#line 6429 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        /* Unpacked dimensions are now handled */
        curr_packed = TRUE;
        db_add_signal( (yyvsp[(1) - (3)].text), SSUPPL_TYPE_MEM, &curr_prange, &curr_urange, curr_signed, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, TRUE );
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 618:
/* Line 1792 of yacc.c  */
#line 6457 "./parser.y"
    {
      curr_signed  = FALSE;
      curr_mba     = FALSE;
      curr_handled = TRUE;
    }
    break;

  case 620:
/* Line 1792 of yacc.c  */
#line 6464 "./parser.y"
    {
      curr_signed  = FALSE;
      curr_mba     = FALSE;
      curr_handled = TRUE;
    }
    break;

  case 622:
/* Line 1792 of yacc.c  */
#line 6471 "./parser.y"
    {
      curr_signed  = FALSE;
      curr_mba     = FALSE;
      curr_handled = TRUE;
    }
    break;

  case 624:
/* Line 1792 of yacc.c  */
#line 6478 "./parser.y"
    {
      curr_signed  = FALSE;
      curr_mba     = FALSE;
      curr_handled = TRUE;
    }
    break;

  case 626:
/* Line 1792 of yacc.c  */
#line 6485 "./parser.y"
    {
      curr_signed  = FALSE;
      curr_mba     = FALSE;
      curr_handled = TRUE;
    }
    break;

  case 628:
/* Line 1792 of yacc.c  */
#line 6492 "./parser.y"
    {
      curr_signed  = FALSE;
      curr_mba     = FALSE;
      curr_handled = TRUE;
    }
    break;

  case 630:
/* Line 1792 of yacc.c  */
#line 6501 "./parser.y"
    { (yyval.logical) = TRUE; }
    break;

  case 631:
/* Line 1792 of yacc.c  */
#line 6502 "./parser.y"
    { (yyval.logical) = FALSE; }
    break;

  case 632:
/* Line 1792 of yacc.c  */
#line 6506 "./parser.y"
    { curr_signed = TRUE;  }
    break;

  case 633:
/* Line 1792 of yacc.c  */
#line 6507 "./parser.y"
    { curr_signed = FALSE; }
    break;

  case 634:
/* Line 1792 of yacc.c  */
#line 6508 "./parser.y"
    { curr_signed = FALSE; }
    break;

  case 635:
/* Line 1792 of yacc.c  */
#line 6512 "./parser.y"
    { curr_signed = FALSE; }
    break;

  case 636:
/* Line 1792 of yacc.c  */
#line 6513 "./parser.y"
    { curr_signed = TRUE;  }
    break;

  case 637:
/* Line 1792 of yacc.c  */
#line 6514 "./parser.y"
    { curr_signed = TRUE;  }
    break;

  case 638:
/* Line 1792 of yacc.c  */
#line 6523 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 639:
/* Line 1792 of yacc.c  */
#line 6529 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 640:
/* Line 1792 of yacc.c  */
#line 6535 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 641:
/* Line 1792 of yacc.c  */
#line 6541 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 642:
/* Line 1792 of yacc.c  */
#line 6547 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 643:
/* Line 1792 of yacc.c  */
#line 6553 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 644:
/* Line 1792 of yacc.c  */
#line 6559 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 645:
/* Line 1792 of yacc.c  */
#line 6565 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 646:
/* Line 1792 of yacc.c  */
#line 6571 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 647:
/* Line 1792 of yacc.c  */
#line 6577 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 648:
/* Line 1792 of yacc.c  */
#line 6583 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 649:
/* Line 1792 of yacc.c  */
#line 6589 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
    }
    break;

  case 650:
/* Line 1792 of yacc.c  */
#line 6594 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_signed  = (yyvsp[(1) - (1)].typdef)->is_signed;
      curr_handled = (yyvsp[(1) - (1)].typdef)->is_handled;
      parser_copy_range_to_curr_range( (yyvsp[(1) - (1)].typdef)->prange, TRUE );
      parser_copy_range_to_curr_range( (yyvsp[(1) - (1)].typdef)->urange, FALSE );
      (yyval.integer) = 1;
    }
    break;

  case 651:
/* Line 1792 of yacc.c  */
#line 6603 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 0;
    }
    break;

  case 652:
/* Line 1792 of yacc.c  */
#line 6611 "./parser.y"
    { (yyval.integer) = 1; }
    break;

  case 653:
/* Line 1792 of yacc.c  */
#line 6612 "./parser.y"
    {
      int real_size = sizeof( double ) * 8;
      curr_signed   = TRUE;
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REAL;
      parser_implicitly_set_curr_range( (real_size - 1), 0, TRUE );
      (yyval.integer) = 1;
    }
    break;

  case 654:
/* Line 1792 of yacc.c  */
#line 6625 "./parser.y"
    {
      (yyval.integer) = (yyvsp[(1) - (1)].integer);
    }
    break;

  case 655:
/* Line 1792 of yacc.c  */
#line 6628 "./parser.y"
    {
      (yyval.integer) = 0;
    }
    break;

  case 656:
/* Line 1792 of yacc.c  */
#line 6635 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 657:
/* Line 1792 of yacc.c  */
#line 6643 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 658:
/* Line 1792 of yacc.c  */
#line 6651 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 659:
/* Line 1792 of yacc.c  */
#line 6659 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 660:
/* Line 1792 of yacc.c  */
#line 6667 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 661:
/* Line 1792 of yacc.c  */
#line 6675 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 662:
/* Line 1792 of yacc.c  */
#line 6683 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 663:
/* Line 1792 of yacc.c  */
#line 6691 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 664:
/* Line 1792 of yacc.c  */
#line 6699 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 665:
/* Line 1792 of yacc.c  */
#line 6707 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 666:
/* Line 1792 of yacc.c  */
#line 6715 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    }
    break;

  case 667:
/* Line 1792 of yacc.c  */
#line 6725 "./parser.y"
    { (yyval.integer) = 1; }
    break;

  case 670:
/* Line 1792 of yacc.c  */
#line 6735 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].text) != NULL) ) {
        db_add_signal( (yyvsp[(1) - (3)].text), SSUPPL_TYPE_DECL_NET, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, TRUE );
        if( (info_suppl.part.excl_assign == 0) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
          expression* tmp = NULL;
          statement*  stmt;
          Try {
            tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), tmp, EXP_OP_DASSIGN, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          if( (stmt = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline )) != NULL ) {
            stmt->suppl.part.head       = 1;
            stmt->suppl.part.stop_true  = 1;
            stmt->suppl.part.stop_false = 1;
            stmt->suppl.part.cont       = 1;
            /* Statement will be looped back to itself */
            db_connect_statement_true( stmt, stmt );
            db_connect_statement_false( stmt, stmt );
            db_add_statement( stmt, stmt );
          }
        } else {
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 671:
/* Line 1792 of yacc.c  */
#line 6766 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (4)].text) != NULL) ) {
        db_add_signal( (yyvsp[(2) - (4)].text), SSUPPL_TYPE_DECL_NET, &curr_prange, NULL, FALSE, FALSE, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, TRUE );
        if( (info_suppl.part.excl_assign == 0) && ((yyvsp[(4) - (4)].expr) != NULL) ) {
          expression* tmp = NULL;
          statement*  stmt;
          Try {
            tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(2) - (4)]).last_column - 1), (yyvsp[(2) - (4)].text) );
            tmp = db_create_expression( (yyvsp[(4) - (4)].expr), tmp, EXP_OP_DASSIGN, FALSE, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          if( (stmt = db_create_statement( tmp, (yylsp[(2) - (4)]).ppline )) != NULL ) {
            stmt->suppl.part.head       = 1;
            stmt->suppl.part.stop_true  = 1;
            stmt->suppl.part.stop_false = 1;
            stmt->suppl.part.cont       = 1;
            /* Statement will be looped back to itself */
            db_connect_statement_true( stmt, stmt );
            db_connect_statement_false( stmt, stmt );
            db_add_statement( stmt, stmt );
          }
        } else {
          expression_dealloc( (yyvsp[(4) - (4)].expr), FALSE );
        }
      } else {
        expression_dealloc( (yyvsp[(4) - (4)].expr), FALSE );
      }
      expression_dealloc( (yyvsp[(1) - (4)].expr), FALSE );
      FREE_TEXT( (yyvsp[(2) - (4)].text) );
    }
    break;

  case 688:
/* Line 1792 of yacc.c  */
#line 6829 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].text) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), (yyvsp[(2) - (2)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    }
    break;

  case 689:
/* Line 1792 of yacc.c  */
#line 6843 "./parser.y"
    {
      (yyval.expr) = (yyvsp[(3) - (4)].expr);
    }
    break;

  case 690:
/* Line 1792 of yacc.c  */
#line 6847 "./parser.y"
    {
      VLerror( "Illegal event control expression" );
      (yyval.expr) = NULL;
    }
    break;

  case 691:
/* Line 1792 of yacc.c  */
#line 6855 "./parser.y"
    {
      (yyval.expr) = (yyvsp[(1) - (1)].expr);
    }
    break;

  case 692:
/* Line 1792 of yacc.c  */
#line 6859 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_EOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 693:
/* Line 1792 of yacc.c  */
#line 6874 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Comma-separated combinational logic sensitivity list found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
          Try {
            (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_EOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.expr) = NULL;
        }
      }
    }
    break;

  case 694:
/* Line 1792 of yacc.c  */
#line 6899 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_PEDGE, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 695:
/* Line 1792 of yacc.c  */
#line 6913 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_NEDGE, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 696:
/* Line 1792 of yacc.c  */
#line 6927 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].expr) != NULL ) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(1) - (1)].expr), NULL, EXP_OP_AEDGE, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (1)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    }
    break;

  case 702:
/* Line 1792 of yacc.c  */
#line 6954 "./parser.y"
    { curr_sig_type = SSUPPL_TYPE_INPUT_NET;  }
    break;

  case 703:
/* Line 1792 of yacc.c  */
#line 6955 "./parser.y"
    { curr_sig_type = SSUPPL_TYPE_OUTPUT_NET; }
    break;

  case 704:
/* Line 1792 of yacc.c  */
#line 6956 "./parser.y"
    { curr_sig_type = SSUPPL_TYPE_INOUT_NET;  }
    break;

  case 708:
/* Line 1792 of yacc.c  */
#line 6967 "./parser.y"
    {
      expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 709:
/* Line 1792 of yacc.c  */
#line 6975 "./parser.y"
    { param_mode++; }
    break;

  case 710:
/* Line 1792 of yacc.c  */
#line 6975 "./parser.y"
    { param_mode--; }
    break;

  case 711:
/* Line 1792 of yacc.c  */
#line 6976 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        expression_dealloc( (yyvsp[(4) - (6)].expr), FALSE );
      }
    }
    break;

  case 713:
/* Line 1792 of yacc.c  */
#line 6983 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    }
    break;

  case 714:
/* Line 1792 of yacc.c  */
#line 6987 "./parser.y"
    {
      VLerror( "Syntax error in parameter value assignment list" );
    }
    break;

  case 718:
/* Line 1792 of yacc.c  */
#line 7000 "./parser.y"
    { PROFILE(PARSER_PARAMETER_VALUE_BYNAME_A);
      param_oride* po;
      if( ignore_mode == 0 ) {
        if( !parser_check_generation( GENERATION_2001 ) ) {
          VLerror( "Explicit in-line parameter passing syntax found in block that is specified to not allow Verilog-2001 syntax" );
          FREE_TEXT( (yyvsp[(2) - (5)].text) );
          expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        } else {
          po = (param_oride*)malloc_safe( sizeof( param_oride ) );
          po->name = (yyvsp[(2) - (5)].text);
          po->expr = (yyvsp[(4) - (5)].expr);
          po->next = NULL;
          if( param_oride_head == NULL ) {
            param_oride_head = param_oride_tail = po;
          } else {
            param_oride_tail->next = po;
            param_oride_tail       = po;
          }
        }
      } else {
        FREE_TEXT( (yyvsp[(2) - (5)].text) );
      }
    }
    break;

  case 719:
/* Line 1792 of yacc.c  */
#line 7024 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( !parser_check_generation( GENERATION_2001 ) ) {
          VLerror( "Explicit in-line parameter passing syntax found in block that is specified to not allow Verilog-2001 syntax" );
        }
      }
      FREE_TEXT( (yyvsp[(2) - (4)].text) );
    }
    break;

  case 720:
/* Line 1792 of yacc.c  */
#line 7036 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (3)].strlink) != NULL) ) {
        (yyvsp[(3) - (3)].strlink)->next = (yyvsp[(1) - (3)].strlink);
        (yyval.strlink) = (yyvsp[(3) - (3)].strlink);
      } else {
        (yyval.strlink) = NULL;
      }
    }
    break;

  case 721:
/* Line 1792 of yacc.c  */
#line 7045 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        (yyval.strlink) = (yyvsp[(1) - (1)].strlink);
      } else {
        (yyval.strlink) = NULL;
      }
    }
    break;

  case 722:
/* Line 1792 of yacc.c  */
#line 7058 "./parser.y"
    { PROFILE(PARSER_GATE_INSTANCE_A);
      if( ignore_mode == 0 ) {
        str_link* tmp;
        tmp        = (str_link*)malloc_safe( sizeof( str_link ) );
        tmp->str   = (yyvsp[(1) - (6)].text);
        tmp->str2  = NULL;
        tmp->range = NULL;
        tmp->next  = NULL;
        (yyval.strlink) = tmp;
      } else {
        FREE_TEXT( (yyvsp[(1) - (6)].text) );
        (yyval.strlink) = NULL;
      }
    }
    break;

  case 723:
/* Line 1792 of yacc.c  */
#line 7073 "./parser.y"
    { PROFILE(PARSER_GATE_INSTANCE_B);
      curr_prange.clear       = TRUE;
      curr_prange.exp_dealloc = FALSE;
      if( ignore_mode == 0 ) {
        str_link* tmp;
        if( !parser_check_generation( GENERATION_2001 ) ) {
          VLerror( "Arrayed instantiation syntax found in block that is specified to not allow Verilog-2001 syntax" );
          FREE_TEXT( (yyvsp[(1) - (7)].text) );
          (yyval.strlink) = NULL;
        } else {
          tmp        = (str_link*)malloc_safe( sizeof( str_link ) );
          tmp->str   = (yyvsp[(1) - (7)].text);
          tmp->str2  = NULL;
          tmp->range = curr_prange.dim;
          tmp->next  = NULL;
          (yyval.strlink) = tmp;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (7)].text) );
        (yyval.strlink) = NULL;
      }
    }
    break;

  case 724:
/* Line 1792 of yacc.c  */
#line 7096 "./parser.y"
    { PROFILE(PARSER_GATE_INSTANCE_C);
      if( ignore_mode == 0 ) {
        str_link* tmp;
        tmp        = (str_link*)malloc_safe( sizeof( str_link ) );
        tmp->str   = (yyvsp[(1) - (4)].text);
        tmp->str2  = NULL;
        tmp->range = NULL;
        tmp->next  = NULL;
        (yyval.strlink) = tmp;
      } else {
        FREE_TEXT( (yyvsp[(1) - (4)].text) );
        (yyval.strlink) = NULL;
      }
    }
    break;

  case 725:
/* Line 1792 of yacc.c  */
#line 7111 "./parser.y"
    { PROFILE(PARSER_GATE_INSTANCE_D);
      curr_prange.clear       = TRUE;
      curr_prange.exp_dealloc = FALSE;
      if( ignore_mode == 0 ) {
        str_link* tmp;
        if( !parser_check_generation( GENERATION_2001 ) ) {
          VLerror( "Arrayed instantiation syntax found in block that is specified to not allow Verilog-2001 syntax" );
          FREE_TEXT( (yyvsp[(1) - (5)].text) );
          (yyval.strlink) = NULL;
        } else {
          tmp        = (str_link*)malloc_safe( sizeof( str_link ) );
          tmp->str   = (yyvsp[(1) - (5)].text);
          tmp->str2  = NULL;
          tmp->range = curr_prange.dim;
          tmp->next  = NULL;
          (yyval.strlink) = tmp;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (5)].text) );
        (yyval.strlink) = NULL;
      }
    }
    break;

  case 726:
/* Line 1792 of yacc.c  */
#line 7134 "./parser.y"
    {
      (yyval.strlink) = NULL;
    }
    break;

  case 753:
/* Line 1792 of yacc.c  */
#line 7177 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_INPUT_NET;
    }
    break;

  case 759:
/* Line 1792 of yacc.c  */
#line 7197 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].expr) != NULL ) {
          /* If the size was not set by the user, the left number will be set to 0 but we need to change this to 31 */
          assert( curr_prange.dim != NULL );
          if( curr_prange.dim[0].implicit ) {
            db_add_declared_param( curr_signed, NULL, NULL, (yyvsp[(1) - (3)].text), (yyvsp[(3) - (3)].expr), FALSE );
          } else {
            db_add_declared_param( curr_signed, curr_prange.dim[0].left, curr_prange.dim[0].right, (yyvsp[(1) - (3)].text), (yyvsp[(3) - (3)].expr), FALSE );
            curr_prange.exp_dealloc = FALSE;
          }
        } else {
          VLerror( "Parameter assignment contains unsupported constructs on the right-hand side" );
        }
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 763:
/* Line 1792 of yacc.c  */
#line 7227 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].expr) != NULL ) {
          /* If the size was not set by the user, the left number will be set to 0 but we need to change this to 31 */
          assert( curr_prange.dim != NULL );
          if( curr_prange.dim[0].implicit ) {
            db_add_declared_param( curr_signed, NULL, NULL, (yyvsp[(1) - (3)].text), (yyvsp[(3) - (3)].expr), TRUE );
          } else {
            db_add_declared_param( curr_signed, curr_prange.dim[0].left, curr_prange.dim[0].right, (yyvsp[(1) - (3)].text), (yyvsp[(3) - (3)].expr), TRUE );
            curr_prange.exp_dealloc = FALSE;
          }
        } else {
          VLerror( "Localparam assignment contains unsupported constructs on the right-hand side" );
        }
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 766:
/* Line 1792 of yacc.c  */
#line 7253 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (7)].text) );
    }
    break;

  case 767:
/* Line 1792 of yacc.c  */
#line 7257 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (5)].text) );
    }
    break;

  case 768:
/* Line 1792 of yacc.c  */
#line 7261 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (4)].text) );
    }
    break;

  case 769:
/* Line 1792 of yacc.c  */
#line 7265 "./parser.y"
    {
      if( (ignore_mode == 0) && !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "Implicit .name port list item found in block that is specified to not allow SystemVerilog syntax" );
      }
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    }
    break;

  case 770:
/* Line 1792 of yacc.c  */
#line 7272 "./parser.y"
    {
      if( (ignore_mode == 0) && !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "Implicit .* port list item found in block that is specified to not allow SystemVerilog syntax" );
      }
    }
    break;

  case 787:
/* Line 1792 of yacc.c  */
#line 7306 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 788:
/* Line 1792 of yacc.c  */
#line 7310 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (7)].text) );
    }
    break;

  case 789:
/* Line 1792 of yacc.c  */
#line 7314 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 790:
/* Line 1792 of yacc.c  */
#line 7318 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (7)].text) );
    }
    break;

  case 797:
/* Line 1792 of yacc.c  */
#line 7337 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 798:
/* Line 1792 of yacc.c  */
#line 7341 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    }
    break;

  case 799:
/* Line 1792 of yacc.c  */
#line 7345 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    }
    break;

  case 800:
/* Line 1792 of yacc.c  */
#line 7349 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (6)].text) );
    }
    break;

  case 808:
/* Line 1792 of yacc.c  */
#line 7366 "./parser.y"
    {
      assert( (yyvsp[(1) - (3)].expr) == NULL );
      assert( (yyvsp[(3) - (3)].expr) == NULL );
    }
    break;

  case 809:
/* Line 1792 of yacc.c  */
#line 7371 "./parser.y"
    {
      assert( (yyvsp[(1) - (1)].expr) == NULL );
    }
    break;

  case 813:
/* Line 1792 of yacc.c  */
#line 7384 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    }
    break;

  case 815:
/* Line 1792 of yacc.c  */
#line 7389 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    }
    break;

  case 816:
/* Line 1792 of yacc.c  */
#line 7393 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 819:
/* Line 1792 of yacc.c  */
#line 7405 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(6) - (7)].text) );
    }
    break;

  case 821:
/* Line 1792 of yacc.c  */
#line 7410 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(6) - (7)].text) );
    }
    break;

  case 823:
/* Line 1792 of yacc.c  */
#line 7415 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(6) - (7)].text) );
    }
    break;

  case 825:
/* Line 1792 of yacc.c  */
#line 7420 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(6) - (7)].text) );
    }
    break;

  case 830:
/* Line 1792 of yacc.c  */
#line 7434 "./parser.y"
    {
      assert( (yyvsp[(1) - (1)].expr) == NULL );
    }
    break;

  case 835:
/* Line 1792 of yacc.c  */
#line 7453 "./parser.y"
    {
      db_end_enum_list();
    }
    break;

  case 836:
/* Line 1792 of yacc.c  */
#line 7461 "./parser.y"
    {
      assert( curr_prange.dim != NULL );
      if( !(yyvsp[(1) - (2)].typdef)->is_sizeable && !curr_prange.dim[0].implicit ) { 
        VLerror( "Packed dimensions are not allowed for this type" );
      } else {
        if( (yyvsp[(1) - (2)].typdef)->is_sizeable && !curr_prange.dim[0].implicit ) {
          /* TBD - Need to multiply the size of the typedef with the size of the curr_range */
        } else {
          parser_copy_range_to_curr_range( (yyvsp[(1) - (2)].typdef)->prange, TRUE );
        }
      }
    }
    break;

  case 839:
/* Line 1792 of yacc.c  */
#line 7476 "./parser.y"
    {
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    }
    break;

  case 840:
/* Line 1792 of yacc.c  */
#line 7480 "./parser.y"
    {
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    }
    break;

  case 841:
/* Line 1792 of yacc.c  */
#line 7484 "./parser.y"
    {
      parser_implicitly_set_curr_range( 15, 0, TRUE );
    }
    break;

  case 842:
/* Line 1792 of yacc.c  */
#line 7488 "./parser.y"
    {
      parser_implicitly_set_curr_range( 63, 0, TRUE );
    }
    break;

  case 843:
/* Line 1792 of yacc.c  */
#line 7492 "./parser.y"
    {
      parser_implicitly_set_curr_range( 7, 0, TRUE );
    }
    break;

  case 844:
/* Line 1792 of yacc.c  */
#line 7496 "./parser.y"
    {
      assert( curr_prange.dim != NULL );
      if( curr_prange.dim[0].implicit ) {
        parser_implicitly_set_curr_range( 31, 0, TRUE );
      }
    }
    break;

  case 845:
/* Line 1792 of yacc.c  */
#line 7507 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_add_signal( (yyvsp[(1) - (1)].text), SSUPPL_TYPE_ENUM, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, TRUE );
        Try {
          db_add_enum( db_find_signal( (yyvsp[(1) - (1)].text), FALSE ), NULL );
        } Catch_anonymous {
          error_count++;
        }
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    }
    break;

  case 846:
/* Line 1792 of yacc.c  */
#line 7519 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_add_signal( (yyvsp[(1) - (3)].text), SSUPPL_TYPE_ENUM, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, TRUE );
        Try {
          db_add_enum( db_find_signal( (yyvsp[(1) - (3)].text), FALSE ), (yyvsp[(3) - (3)].statexp) );
        } Catch_anonymous {
          error_count++;
        }
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    }
    break;

  case 849:
/* Line 1792 of yacc.c  */
#line 7539 "./parser.y"
    { PROFILE(PARSER_LIST_OF_NAMES_A);
      if( ignore_mode == 0 ) {
        str_link* strl = (str_link*)malloc_safe( sizeof( str_link ) );
        strl->str    = (yyvsp[(1) - (1)].text);
        strl->str2   = NULL;
        strl->suppl  = (yylsp[(1) - (1)]).first_line;
        strl->suppl2 = (yylsp[(1) - (1)]).first_column;
        strl->next   = NULL;
        (yyval.strlink) = strl;
      } else {
        FREE_TEXT( (yyvsp[(1) - (1)].text) );
        (yyval.strlink) = NULL;
      }
    }
    break;

  case 850:
/* Line 1792 of yacc.c  */
#line 7554 "./parser.y"
    { PROFILE(PARSER_LIST_OF_NAMES_B);
      if( ignore_mode == 0 ) {
        str_link* strl = (str_link*)malloc_safe( sizeof( str_link ) );
        str_link* strt = (yyvsp[(1) - (3)].strlink);
        strl->str    = (yyvsp[(3) - (3)].text);
        strl->str    = NULL;
        strl->suppl  = (yylsp[(3) - (3)]).first_line;
        strl->suppl2 = (yylsp[(3) - (3)]).first_column;
        strl->next   = NULL;
        while( strt->next != NULL ) strt = strt->next;
        strt->next = strl;
        (yyval.strlink) = (yyvsp[(1) - (3)].strlink); 
      } else {
        str_link_delete_list( (yyvsp[(1) - (3)].strlink) );
        FREE_TEXT( (yyvsp[(3) - (3)].text) );
        (yyval.strlink) = NULL;
      }
    }
    break;

  case 851:
/* Line 1792 of yacc.c  */
#line 7577 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        assert( curr_prange.dim != NULL );
        db_add_typedef( (yyvsp[(3) - (4)].text), curr_signed, curr_handled, TRUE, parser_copy_curr_range( TRUE ), parser_copy_curr_range( FALSE ) );
      }
      FREE_TEXT( (yyvsp[(3) - (4)].text) );
    }
    break;

  case 852:
/* Line 1792 of yacc.c  */
#line 7585 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        assert( curr_prange.dim != NULL );
        db_add_typedef( (yyvsp[(3) - (4)].text), curr_signed, curr_handled, TRUE, parser_copy_curr_range( TRUE ), parser_copy_curr_range( FALSE ) );
      }
      FREE_TEXT( (yyvsp[(3) - (4)].text) );
    }
    break;

  case 853:
/* Line 1792 of yacc.c  */
#line 7596 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(2) - (3)].expr), EXP_OP_SBIT_SEL, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 854:
/* Line 1792 of yacc.c  */
#line 7609 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(4) - (5)].expr), (yyvsp[(2) - (5)].expr), EXP_OP_MBIT_SEL, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 855:
/* Line 1792 of yacc.c  */
#line 7623 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Indexed vector part select found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(2) - (5)].expr), FALSE );
        static_expr_dealloc( (yyvsp[(4) - (5)].statexp), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(2) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].statexp) != NULL) ) {
          if( (yyvsp[(4) - (5)].statexp)->exp == NULL ) {
            Try {
              expression* tmp = db_create_expression( NULL, NULL, EXP_OP_STATIC, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL );
              vector_dealloc( tmp->value );
              tmp->value = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
              (void)vector_from_int( tmp->value, (yyvsp[(4) - (5)].statexp)->num );
              (yyval.expr) = db_create_expression( tmp, (yyvsp[(2) - (5)].expr), EXP_OP_MBIT_POS, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
              (yyval.expr) = NULL;
            }
          } else {
            Try {
              (yyval.expr) = db_create_expression( (yyvsp[(4) - (5)].statexp)->exp, (yyvsp[(2) - (5)].expr), EXP_OP_MBIT_POS, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
              (yyval.expr) = NULL;
            }
          }
          free_safe( (yyvsp[(4) - (5)].statexp), sizeof( static_expr ) );
        } else {
          expression_dealloc( (yyvsp[(2) - (5)].expr), FALSE );
          static_expr_dealloc( (yyvsp[(4) - (5)].statexp), FALSE );
          (yyval.expr) = NULL;
        }
      }
    }
    break;

  case 856:
/* Line 1792 of yacc.c  */
#line 7659 "./parser.y"
    {
      expression* tmp = NULL;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Indexed vector part select found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(2) - (5)].expr), FALSE );
        static_expr_dealloc( (yyvsp[(4) - (5)].statexp), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(2) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].statexp) != NULL) ) {
          if( (yyvsp[(4) - (5)].statexp)->exp == NULL ) {
            Try {
              tmp = db_create_expression( NULL, NULL, EXP_OP_STATIC, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
            vector_dealloc( tmp->value );
            tmp->value = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
            (void)vector_from_int( tmp->value, (yyvsp[(4) - (5)].statexp)->num );
            Try {
              tmp = db_create_expression( tmp, (yyvsp[(2) - (5)].expr), EXP_OP_MBIT_NEG, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
          } else {
            Try {
              tmp = db_create_expression( (yyvsp[(4) - (5)].statexp)->exp, (yyvsp[(2) - (5)].expr), EXP_OP_MBIT_NEG, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
          }
          free_safe( (yyvsp[(4) - (5)].statexp), sizeof( static_expr ) );
          (yyval.expr) = tmp;
        } else {
          expression_dealloc( (yyvsp[(2) - (5)].expr), FALSE );
          static_expr_dealloc( (yyvsp[(4) - (5)].statexp), FALSE );
          (yyval.expr) = NULL;
        }
      }
    }
    break;

  case 857:
/* Line 1792 of yacc.c  */
#line 7702 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].expr) != NULL) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), (yyvsp[(1) - (2)].expr), EXP_OP_DIM, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
        expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    }
    break;

  case 858:
/* Line 1792 of yacc.c  */
#line 7716 "./parser.y"
    {
      (yyval.expr) = (yyvsp[(1) - (1)].expr);
    }
    break;

  case 859:
/* Line 1792 of yacc.c  */
#line 7723 "./parser.y"
    {
      ignore_mode++;
    }
    break;

  case 860:
/* Line 1792 of yacc.c  */
#line 7730 "./parser.y"
    {
      ignore_mode--;
    }
    break;

  case 861:
/* Line 1792 of yacc.c  */
#line 7737 "./parser.y"
    {
      lhs_mode = TRUE;
    }
    break;

  case 862:
/* Line 1792 of yacc.c  */
#line 7744 "./parser.y"
    {
      lhs_mode = FALSE;
    }
    break;

  case 863:
/* Line 1792 of yacc.c  */
#line 7751 "./parser.y"
    {
      fork_depth++;
      fork_block_depth = (int*)realloc_safe( fork_block_depth, (sizeof( int ) * fork_depth), ((fork_depth + 1) * sizeof( int )) );
      fork_block_depth[fork_depth] = block_depth;
    }
    break;

  case 864:
/* Line 1792 of yacc.c  */
#line 7760 "./parser.y"
    {
      fork_depth--;
      fork_block_depth = (int*)realloc_safe( fork_block_depth, (sizeof( int ) * (fork_depth + 2)), ((fork_depth + 1) * sizeof( int )) );
    }
    break;

  case 865:
/* Line 1792 of yacc.c  */
#line 7768 "./parser.y"
    {
      block_depth++;
    }
    break;

  case 866:
/* Line 1792 of yacc.c  */
#line 7775 "./parser.y"
    {
      block_depth--;
    }
    break;

  case 867:
/* Line 1792 of yacc.c  */
#line 7782 "./parser.y"
    {
      char* scope      = NULL;
      func_unit* funit = db_get_curr_funit();
      if( ignore_mode == 0 ) {
        scope = db_create_unnamed_scope();
        Try {
          assert( db_add_function_task_namedblock( FUNIT_NAMED_BLOCK, scope, funit->filename, 0 ) );
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
        free_safe( scope, (strlen( scope ) + 1) );
      }
      block_depth++;
      for_mode++;
      (yyval.funit) = db_get_curr_funit();
    }
    break;

  case 868:
/* Line 1792 of yacc.c  */
#line 7803 "./parser.y"
    {
      block_depth--;
      for_mode--;
    }
    break;

  case 869:
/* Line 1792 of yacc.c  */
#line 7811 "./parser.y"
    {
      generate_expr_mode++;
    }
    break;

  case 870:
/* Line 1792 of yacc.c  */
#line 7818 "./parser.y"
    {
      generate_expr_mode--;
    }
    break;


/* Line 1792 of yacc.c  */
#line 14616 "parser.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}


